import { AlarmOrEvent } from '../alarm-event-selector.model';
import { BsModalService } from 'ngx-bootstrap/modal';
import { AlarmEventSelectorModalOptions } from './alarm-event-selector-modal.model';
import * as i0 from "@angular/core";
/**
 * Service to open the alarm event selector modal.
 */
export declare class AlarmEventSelectorModalService {
    private modal;
    constructor(modal: BsModalService);
    /**
     * Opents the alarm or event selector modal.
     * @param initialState Initial state of the modal.
     * @returns Promise that resolves with the selected alarms or events.
     */
    selectItems(initialState?: Partial<AlarmEventSelectorModalOptions>): Promise<AlarmOrEvent[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlarmEventSelectorModalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AlarmEventSelectorModalService>;
}
//# sourceMappingURL=alarm-event-selector-modal.service.d.ts.map