import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { IAlarm } from '@c8y/client';
import { ContextRouteService } from '@c8y/ngx-components';
import { Observable } from 'rxjs';
import { AlarmsViewService } from './alarms-view.service';
import * as i0 from "@angular/core";
export declare class AlarmInfoComponent implements OnInit {
    activatedRoute: ActivatedRoute;
    private router;
    private contextRouteService;
    private alarmsViewService;
    selectedAlarm$: Observable<IAlarm>;
    hasAnyRoleAllowingToCreateSmartRule: boolean;
    isContextRoute: boolean;
    readonly TITLE: "Alarms";
    constructor(activatedRoute: ActivatedRoute, router: Router, contextRouteService: ContextRouteService, alarmsViewService: AlarmsViewService);
    ngOnInit(): Promise<void>;
    back(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlarmInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlarmInfoComponent, "c8y-alarm-info", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=alarm-info.component.d.ts.map