import { PipeTransform } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
/**
 * Pipe to transform alarm severity to corresponding label.
 */
export declare class AlarmSeverityToLabelPipe implements PipeTransform {
    private translateService;
    constructor(translateService: TranslateService);
    /**
     * Transforms an alarm severity to its corresponding label.
     * @param alarmSeverity - The alarm severity to transform.
     * @returns The translated label corresponding to the given alarm severity.
     */
    transform(alarmSeverity: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlarmSeverityToLabelPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AlarmSeverityToLabelPipe, "AlarmSeverityToLabel", false>;
}
//# sourceMappingURL=alarm-severity-to-label.pipe.d.ts.map