import { LogsJSON } from './logs.model';
import { ApplicationService } from '@c8y/client';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
interface AppLogsRequestParams {
    dateFrom?: any;
    dateTo?: any;
    limit?: any;
}
export declare class AppLogsService {
    private application;
    constructor(application: ApplicationService);
    getLogs$(appId: string, instanceName: string, params?: AppLogsRequestParams): Observable<LogsJSON>;
    formatDate(dateToFormat: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppLogsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AppLogsService>;
}
export {};
//# sourceMappingURL=app-logs.service.d.ts.map