import { IManagedObject } from '@c8y/client';
import { GroupService as MigratedDeviceGroupService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class DeviceGroupService {
    private migratedDeviceGroupService;
    constructor(migratedDeviceGroupService: MigratedDeviceGroupService);
    icon(mo: IManagedObject, open?: boolean): Promise<string>;
    isGroup(mo: IManagedObject): boolean;
    isDynamicGroup(mo: IManagedObject): boolean;
    isDataBroker(mo: IManagedObject): boolean;
    isDataBrokerActive(mo: IManagedObject): boolean;
    isAsset(mo: IManagedObject): boolean;
    isAnyGroup(mo: IManagedObject): boolean;
    isDevice(mo: IManagedObject): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceGroupService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DeviceGroupService>;
}
//# sourceMappingURL=group.service.d.ts.map