import { EventEmitter } from '@angular/core';
import { ControlContainer } from '@angular/forms';
import { ChildPredicate } from '../../sso-configuration.model';
import * as i0 from "@angular/core";
export declare class ChildPredicatesComponent {
    private controlContainer;
    childPredicates: ChildPredicate[];
    accessMappingIndex: string;
    onRemoveAllChildPredicates: EventEmitter<null>;
    relations: {
        name: string;
        value: string;
        label: string;
        ordinal: number;
    }[];
    constructor(controlContainer: ControlContainer);
    removeChildPredicate(childPredicate: ChildPredicate): void;
    addChildPredicate(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChildPredicatesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChildPredicatesComponent, "c8y-sso-child-predicates", never, { "childPredicates": { "alias": "childPredicates"; "required": false; }; "accessMappingIndex": { "alias": "accessMappingIndex"; "required": false; }; }, { "onRemoveAllChildPredicates": "onRemoveAllChildPredicates"; }, never, never, false, never>;
}
//# sourceMappingURL=child-predicates.component.d.ts.map