import { OnChanges } from '@angular/core';
import { TenantService } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class BasicConfigurationComponent implements OnChanges {
    private tenantService;
    templateModel: any;
    REDIRECT_TO_THE_USER_INTERFACE_APPLICATION_TOOLTIP: "The redirect URL is automatically set to the application used by the user. In case of an error, it will be correctly displayed on the application's page.";
    redirectToPlatformWarningParams: {
        defaultRedirectUrl: string;
        host?: string;
    };
    flowControlledByUI: boolean;
    redirectToPlatform: string;
    constructor(tenantService: TenantService);
    shouldShow(field: string): boolean;
    ngOnChanges(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BasicConfigurationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BasicConfigurationComponent, "c8y-basic-configuration", never, { "templateModel": { "alias": "templateModel"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=basic-configuration.component.d.ts.map