import { SSORequestParams, Headers, SSORequest } from '../sso-configuration.model';
export declare class RequestConfiguration {
    body?: string;
    headers: RequestConfigurationDynamicArray;
    method: string;
    operation: string;
    requestParams: RequestConfigurationDynamicArray;
    url?: string;
    constructor(requestConfiguration: SSORequest);
    toRequest(): SSORequest;
}
export declare class RequestConfigurationDynamicArray extends Array {
    constructor(obj: SSORequestParams | Headers);
    toObject(): {
        [key: string]: string;
    };
}
//# sourceMappingURL=request-configuration.model.d.ts.map