import { SsoConfigurationMapper } from './sso-configuration.mapper';
import { AadConfiguration } from './aad.model';
import { SsoConfiguration } from '../sso-configuration.model';
import * as i0 from "@angular/core";
export declare class AadConfigurationMapper implements SsoConfigurationMapper<AadConfiguration> {
    private defaults;
    private urlPattern;
    mapFrom(templateModel: AadConfiguration): SsoConfiguration;
    mapTo(ssoConfiguration: SsoConfiguration): AadConfiguration;
    private setupDefaults;
    private getAadAddress;
    private getTenant;
    private getUrlsFromRequests;
    private getAadAddressFromUrl;
    private getTenantFromUrl;
    private getClientSecret;
    private getClientSecretFromBody;
    private setupUserIdConfig;
    private setupSignatureVerificationConfig;
    private getRedirectAfterLogout;
    private getRedirectAfterLogoutUrl;
    private getFirstDefined;
    private getQueryString;
    static ɵfac: i0.ɵɵFactoryDeclaration<AadConfigurationMapper, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AadConfigurationMapper>;
}
//# sourceMappingURL=aad-configuration-mapper.d.ts.map