import { SsoConfigurationMapper } from './sso-configuration.mapper';
import { KeyCloakConfiguration } from './key-cloak.model';
import { SsoConfiguration } from '../sso-configuration.model';
import * as i0 from "@angular/core";
export declare class KeyCloakConfigurationMapper implements SsoConfigurationMapper<KeyCloakConfiguration> {
    private urlPattern;
    mapFrom(templateModel: KeyCloakConfiguration): SsoConfiguration;
    mapTo(ssoConfiguration: SsoConfiguration): KeyCloakConfiguration;
    private getKeyCloakAddressFromUrl;
    private getRealmName;
    private getClientSecret;
    private getClientSecretFromBody;
    private getFirstDefined;
    private getScopeId;
    static ɵfac: i0.ɵɵFactoryDeclaration<KeyCloakConfigurationMapper, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<KeyCloakConfigurationMapper>;
}
//# sourceMappingURL=key-cloak-configuration-mapper.d.ts.map