import { Router, ActivatedRoute } from '@angular/router';
import { IManagedObject, InventoryBinaryService, InventoryService } from '@c8y/client';
import { AlertService, ModalService } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class BinaryFileDownloadService {
    private router;
    private route;
    private inventoryService;
    private alertService;
    private modalService;
    private translate;
    private inventoryBinary;
    constructor(router: Router, route: ActivatedRoute, inventoryService: InventoryService, alertService: AlertService, modalService: ModalService, translate: TranslateService, inventoryBinary: InventoryBinaryService);
    run(): void;
    showDownloadModal(binaryMo: IManagedObject): Promise<void>;
    private getArrayBuffer;
    static ɵfac: i0.ɵɵFactoryDeclaration<BinaryFileDownloadService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BinaryFileDownloadService>;
}
//# sourceMappingURL=binary-file-download.service.d.ts.map