import { DocLinkWithLabel } from '@c8y/ngx-components';
export interface Bookmark extends Pick<DocLinkWithLabel, 'url' | 'label' | 'icon'> {
    /**
     * ID for the bookmark, represented as a UUID.
     */
    id: string;
    /**
     * Optional property indicating whether a bookmark should be marked for removal.
     */
    markToRemove?: boolean;
}
//# sourceMappingURL=bookmark.model.d.ts.map