import { ControlValueAccessor } from '@angular/forms';
import { EditorComponent } from '@c8y/ngx-components/editor';
import { BehaviorSubject } from 'rxjs';
import { ActivatedRoute } from '@angular/router';
import * as i0 from "@angular/core";
export declare class AdvancedEditBrandingComponent implements ControlValueAccessor {
    private activatedRoute;
    optionsJsonString: BehaviorSubject<string>;
    valueString: BehaviorSubject<string>;
    editorOptions: EditorComponent['editorOptions'];
    infoText: string;
    private onChange;
    private onTouched;
    private onValidatorChange;
    private attributeToEdit;
    constructor(activatedRoute: ActivatedRoute);
    writeValue(obj: string): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: () => void): void;
    onValueChange(value: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdvancedEditBrandingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AdvancedEditBrandingComponent, "c8y-advanced-edit-branding", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=advanced-edit-branding.component.d.ts.map