import { OnInit } from '@angular/core';
import { ApplyBrandingToAppService } from './apply-branding-to-app.service';
import { FormBuilder } from '@angular/forms';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ApplyBrandingToAppModalComponent implements OnInit {
    private apply;
    private formBuilder;
    currentTags: string[];
    brandableApps: Awaited<ReturnType<ApplyBrandingToAppService['getBrandableApps']>>;
    form: ReturnType<ApplyBrandingToAppModalComponent['initForm']>;
    numberOfSelectedApps$: Observable<number>;
    result: Promise<Partial<{
        [x: string]: boolean;
    }>>;
    private _resovle;
    private _reject;
    constructor(apply: ApplyBrandingToAppService, formBuilder: FormBuilder);
    ngOnInit(): Promise<void>;
    save(): void;
    cancel(): void;
    private initForm;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApplyBrandingToAppModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ApplyBrandingToAppModalComponent, "c8y-apply-branding-to-app-modal", never, { "currentTags": { "alias": "currentTags"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=apply-branding-to-app-modal.component.d.ts.map