import { AppStateService, NavigatorNode, NavigatorNodeFactory, Permissions } from '@c8y/ngx-components';
import { EcosystemService } from '@c8y/ngx-components/ecosystem/shared';
import * as i0 from "@angular/core";
export declare class CockpitConfigGuard implements NavigatorNodeFactory {
    private permissions;
    private appState;
    private ecosystemService;
    protected readonly configNode: NavigatorNode;
    constructor(permissions: Permissions, appState: AppStateService, ecosystemService: EcosystemService);
    get(): NavigatorNode;
    canActivate(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CockpitConfigGuard, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CockpitConfigGuard>;
}
//# sourceMappingURL=cockpit-config.guard.d.ts.map