import { EventEmitter } from '@angular/core';
import { CockpitConfig, CockpitConfigRootNode } from './cockpit-config.model';
import * as i0 from "@angular/core";
export declare class RootNodeConfigComponent {
    config: CockpitConfig;
    disabled: boolean;
    onUpdate: EventEmitter<void>;
    /**
     * Removes one of the root nodes.
     * @param node The node to remove.
     */
    removeNavigatorNode(node: CockpitConfigRootNode): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RootNodeConfigComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RootNodeConfigComponent, "c8y-root-node-config", never, { "config": { "alias": "config"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "onUpdate": "onUpdate"; }, never, never, false, never>;
}
//# sourceMappingURL=root-node-config.component.d.ts.map