import { EventEmitter } from '@angular/core';
import { ContextDashboard } from '../context-dashboard.model';
import { TranslateService } from '@ngx-translate/core';
import { ContextDashboardService } from '../context-dashboard.service';
import * as i0 from "@angular/core";
export declare class DashboardVersionHistoryComponent {
    private translateService;
    contextDashboardService: ContextDashboardService;
    dashboardHistory: ContextDashboard[];
    isReport: boolean;
    onRevert: EventEmitter<ContextDashboard>;
    dashboardHistoryExtended: (ContextDashboard & {
        descriptionText?: string;
    })[];
    restoredDashboardMessage: "Restored dashboard state from {{ restoredStateCreationDate }}";
    versionHistoryLimitMessage: "Store up to {{ versionHistoryLimit }} dashboard versions. Any additional versions will replace/delete older ones";
    constructor(translateService: TranslateService, contextDashboardService: ContextDashboardService);
    ngOnInit(): void;
    generateDashboardHistoryDescription(): void;
    revertDashboard(dashboard: ContextDashboard): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DashboardVersionHistoryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DashboardVersionHistoryComponent, "c8y-dashboard-version-history", never, { "dashboardHistory": { "alias": "dashboardHistory"; "required": false; }; "isReport": { "alias": "isReport"; "required": false; }; }, { "onRevert": "onRevert"; }, never, never, false, never>;
}
//# sourceMappingURL=dashboard-version-history.component.d.ts.map