import { OnInit } from '@angular/core';
import { InventoryService } from '@c8y/client';
import { ContextDashboardManagedObject } from '../context-dashboard.model';
import { AlertService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class TypeDashboardInfoComponent implements OnInit {
    private inventory;
    private alert;
    deviceTypeValue: string;
    displayDeviceTypeValue: string;
    context: ContextDashboardManagedObject;
    deviceTypeInstancesCount: number;
    asyncRenderSuccess: () => void;
    asyncRenderFail: () => void;
    constructor(inventory: InventoryService, alert: AlertService);
    ngOnInit(): Promise<void>;
    private updateDeviceTypeCount;
    static ɵfac: i0.ɵɵFactoryDeclaration<TypeDashboardInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TypeDashboardInfoComponent, "c8y-type-dashboard-info", never, { "deviceTypeValue": { "alias": "deviceTypeValue"; "required": false; }; "displayDeviceTypeValue": { "alias": "displayDeviceTypeValue"; "required": false; }; "context": { "alias": "context"; "required": false; }; "asyncRenderSuccess": { "alias": "asyncRenderSuccess"; "required": false; }; "asyncRenderFail": { "alias": "asyncRenderFail"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=type-dashboard-info.component.d.ts.map