import { DynamicComponentService, DynamicComponentDefinition, Widget } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import { ContextDashboardConfig } from './context-dashboard.model';
import * as i0 from "@angular/core";
export declare class WidgetService {
    private dynamicComponentService;
    private translateService;
    moduleConfig: ContextDashboardConfig | undefined;
    widgets: DynamicComponentDefinition[];
    constructor(dynamicComponentService: DynamicComponentService, translateService: TranslateService, moduleConfig: ContextDashboardConfig | undefined);
    getWidgetDefinition(componentId: any): Promise<DynamicComponentDefinition>;
    getWidgetDefinitions(): any;
    mapLegacy(widget: Partial<Widget>): Promise<Widget>;
    private mapDisplaySettings;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WidgetService>;
}
//# sourceMappingURL=widget.service.d.ts.map