import { OnInit, OnChanges } from '@angular/core';
import { OptionsService } from '../common/options.service';
import { IApplication } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class AppIconComponent implements OnInit, OnChanges {
    private options;
    /** Application context path. */
    contextPath: string;
    /** Application name. */
    name: string;
    /** Application managed object. */
    app: IApplication;
    model: {
        appIcon: string;
        configIcon: string;
        showIcon: boolean;
        iconClass: string[];
        appNameAbbr: string;
        iconStyle: {};
    };
    private c8yAppIconsList;
    private white;
    private defaultIconStyle;
    private faIconMatch;
    private c8yMatch;
    private dltC8yMatch;
    constructor(options: OptionsService);
    ngOnInit(): void;
    ngOnChanges(): void;
    private emptyModel;
    private isC8y;
    private isFaIcon;
    private isDltC8y;
    private loadSetup;
    private iconFromAppDefinition;
    private iconUrlFromAppDefinition;
    private getPropertyFromAppOrOptions;
    private findStaticIcon;
    private mapFontAwesomeToDelightIcons;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppIconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppIconComponent, "c8y-app-icon", never, { "contextPath": { "alias": "contextPath"; "required": false; }; "name": { "alias": "name"; "required": false; }; "app": { "alias": "app"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=app-icon.component.d.ts.map