import * as i0 from "@angular/core";
import * as i1 from "./totp-challenge.component";
import * as i2 from "./password-confirm.directive";
import * as i3 from "./password-strength.component";
import * as i4 from "./password-check-list.component";
import * as i5 from "./new-password.component";
import * as i6 from "./password-confirm-modal.component";
import * as i7 from "./current-password-modal.component";
import * as i8 from "./sms-challenge.component";
import * as i9 from "./totp-setup.component";
import * as i10 from "./provide-phone-number.component";
import * as i11 from "./password-input.component";
import * as i12 from "../forms/forms.module";
import * as i13 from "ngx-bootstrap/tooltip";
import * as i14 from "../common/common.module";
import * as i15 from "../modal/modal.module";
import * as i16 from "angularx-qrcode";
/**
 * The angular module definition for new password.
 * @exports PasswordStrengthComponent
 * @exports PasswordCheckListComponent
 * @exports PasswordConfirm
 * @exports NewPasswordComponent
 * @exports PasswordConfirmModalComponent
 */
export declare class AuthenticationModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthenticationModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<AuthenticationModule, [typeof i1.TotpChallengeComponent, typeof i2.PasswordConfirm, typeof i3.PasswordStrengthComponent, typeof i4.PasswordCheckListComponent, typeof i5.NewPasswordComponent, typeof i6.PasswordConfirmModalComponent, typeof i7.CurrentPasswordModalComponent, typeof i8.SmsChallengeComponent, typeof i9.TotpSetupComponent, typeof i10.ProvidePhoneNumberComponent, typeof i11.PasswordInputComponent], [typeof i12.FormsModule, typeof i13.TooltipModule, typeof i14.CommonModule, typeof i15.ModalModule, typeof i16.QRCodeModule], [typeof i1.TotpChallengeComponent, typeof i3.PasswordStrengthComponent, typeof i4.PasswordCheckListComponent, typeof i2.PasswordConfirm, typeof i5.NewPasswordComponent, typeof i6.PasswordConfirmModalComponent, typeof i7.CurrentPasswordModalComponent, typeof i8.SmsChallengeComponent, typeof i9.TotpSetupComponent, typeof i10.ProvidePhoneNumberComponent, typeof i11.PasswordInputComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<AuthenticationModule>;
}
//# sourceMappingURL=authentication.module.d.ts.map