import { EventEmitter } from '@angular/core';
import { UserService, FetchClient, Client, IAuthentication } from '@c8y/client';
import { AppStateService } from '../common/ui-state.service';
import { AlertService } from '../alert/alert.service';
import { LoginService } from '../login/login.service';
import * as i0 from "@angular/core";
export declare class PasswordConfirmModalComponent {
    user: UserService;
    ui: AppStateService;
    private client;
    private alert;
    private loginService;
    passwordConfirmedEmitter: EventEmitter<boolean>;
    loading: boolean;
    password: string;
    private modal;
    constructor(user: UserService, ui: AppStateService, client: FetchClient, alert: AlertService, loginService: LoginService);
    passwordConfirm(): Promise<void>;
    cancel(): void;
    createNewClient(strategy: IAuthentication, baseUrl: string): Client;
    private emitSuccessAndClose;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordConfirmModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PasswordConfirmModalComponent, "c8y-password-confirm-modal", never, {}, { "passwordConfirmedEmitter": "passwordConfirmedEmitter"; }, never, never, false, never>;
}
//# sourceMappingURL=password-confirm-modal.component.d.ts.map