export declare const CookieBannerDefaultTexts: {
    readonly cookieBannerTitle: "About cookies on this website";
    readonly cookieBannerText: "Cookies are important to the proper functioning of a site. To improve your website experience, we use cookies to remember log-in details and provide secure log-in, collect statistics to optimize site functionality, and deliver content tailored to your interests. Click \"Agree and proceed\" to accept cookies and go directly to the site or click \"Configure preferences\" for further details and to manage your options. You can revoke your consent at any time.";
};
export interface CookieBannerSettings {
    cookieBannerTitle?: string;
    cookieBannerText: string;
    policyUrl?: string;
    policyVersion?: string;
    cookieBannerDisabled?: boolean;
}
export interface CookiePreferences {
    required?: boolean | string;
    functional?: boolean | string;
    marketing?: boolean | string;
    policyVersion?: string;
}
export interface Cookie {
    name: string;
    value: boolean;
    isReadonly?: boolean;
}
//# sourceMappingURL=cookie-banner.model.d.ts.map