import { Observable } from 'rxjs';
declare global {
    namespace CumulocityServiceRegistry {
        interface SpecificExtensionKeys {
            notificationService: NotificationServiceProvider;
        }
        interface NotificationServiceProvider {
            /**
             * Observable that determines whether a notification should be displayed.
             * Emits `true` if a notification should be shown, otherwise `false`.
             */
            shouldShowNotification$: Observable<boolean>;
        }
    }
}
export interface NotificationService {
    shouldShowNotification$: Observable<boolean>;
}
//# sourceMappingURL=notification-display.service.d.ts.map