import { Observable } from 'rxjs';
import { Entry } from '@zip.js/zip.js';
import * as i0 from "@angular/core";
export declare class ZipService {
    getEntries(zipFile: File): Observable<ZipEntry[]>;
    getData(entry: ZipEntry): Observable<Blob>;
    getJsonData(zipFile: File, fileEntryFilter: {
        filename: string;
    }): Observable<string>;
    createZip(files: {
        fileName: string;
        blob: Blob;
    }[]): Promise<Blob>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ZipService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ZipService>;
}
export type ZipEntry = Entry;
//# sourceMappingURL=zip.service.d.ts.map