import { AfterViewInit, EventEmitter, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import { CountdownIntervalComponent } from '../../countdown-interval';
import * as i0 from "@angular/core";
export declare class AutoRefreshControlComponent implements AfterViewInit, OnDestroy, ControlValueAccessor {
    readonly DISABLE_AUTO_REFRESH: "Disable auto refresh";
    readonly ENABLE_AUTO_REFRESH: "Enable auto refresh";
    readonly DEFAULT_INTERVAL_VALUE = 30000;
    countdownIntervalComponent: CountdownIntervalComponent;
    loading: EventEmitter<boolean>;
    private readonly widgetGlobalAutoRefresh;
    showIntervalRefresh$: BehaviorSubject<boolean>;
    autoRefreshSeconds$: BehaviorSubject<number>;
    private isBtnDisabledSubject;
    isBtnDisabled$: import("rxjs").Observable<boolean>;
    private destroy$;
    onChange: (value: boolean) => void;
    onTouched: () => void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    toggleIntervalRefresh(): void;
    registerOnChange(fn: any): void;
    writeValue(showIntervalRefresh: boolean): void;
    registerOnTouched(fn: any): void;
    private subscribeOnCountdownChangeState;
    private setUpOnCountdownEndedListener;
    private handleCountdownEnded;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoRefreshControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AutoRefreshControlComponent, "c8y-auto-refresh-control", never, {}, { "loading": "loading"; }, never, never, false, never>;
}
//# sourceMappingURL=auto-refresh-control.component.d.ts.map