import { AfterViewInit, OnDestroy, OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class WidgetAutoRefreshContextComponent implements OnInit, OnDestroy, AfterViewInit {
    form: ReturnType<WidgetAutoRefreshContextComponent['createForm']>;
    editMode$: BehaviorSubject<boolean>;
    globalRefreshWidgetLoading: boolean;
    readonly ACTION_BAR_GROUP_ID = "globalrefreshcontext";
    readonly ACTION_BAR_PRIORITY = 5;
    private destroy$;
    private readonly fb;
    private readonly widgetGlobalAutoRefresh;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onRefresh(): void;
    private createForm;
    private subscribeOnAutoRefreshSecondsChange;
    private subscribeOnAutoRefreshChange;
    private initializeWidgetSubscriptions;
    private setAutoRefreshQueryParam;
    private subscribeOnQueryParamChange;
    private subscribeOnRouterEvents;
    private onContextDestroy;
    private listenOnDashboardSaveOperation;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetAutoRefreshContextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WidgetAutoRefreshContextComponent, "c8y-widget-auto-refresh-context", never, { "editMode$": { "alias": "editMode$"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=widget-auto-refresh-context.component.d.ts.map