export declare const DEFAULT_INTERVAL_VALUE = 30000;
export declare const DEFAULT_INTERVAL_VALUES: number[];
export declare const DEFAULT_INTERVAL_STATE = true;
export declare const GLOBAL_CONTEXT_AUTO_REFRESH = "globalContextAutoRefresh";
export type GlobalAutoRefreshQueryParam = {
    [GLOBAL_CONTEXT_AUTO_REFRESH]: boolean;
};
export interface GlobalAutoRefreshWidgetConfig {
    /**
     * Indicates if instance of widget is bound to global auto refresh context. It can be only used with widgets which
     * dynamic component definition contains displaySettings allowing to use it with global auto refresh context.
     */
    widgetInstanceGlobalAutoRefreshContext?: boolean;
}
//# sourceMappingURL=widget-auto-refresh-context.model.d.ts.map