import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class RealtimeControlComponent implements ControlValueAccessor {
    readonly disableRealtimeLabel: "Disable realtime";
    readonly enableRealtimeLabel: "Enable realtime";
    value: boolean;
    touched: boolean;
    disabled: boolean;
    onChange: (_: any) => void;
    onTouched: () => void;
    writeValue(value: boolean): void;
    registerOnChange(fn: any): void;
    registerOnTouched(onTouched: any): void;
    markAsTouched(): void;
    setDisabledState(disabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RealtimeControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RealtimeControlComponent, "c8y-realtime-control", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=realtime-control.component.d.ts.map