import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { FormlyFieldConfig } from '@ngx-formly/core';
import { C8yJSONSchema } from '../../dynamic-forms/json-schema/c8y-json-schema.service';
import { FilteringFormRendererContext } from './filtering-form-renderer';
import * as i0 from "@angular/core";
export declare class BaseFilteringFormRendererComponent implements OnInit {
    context: FilteringFormRendererContext;
    jsonschema: C8yJSONSchema;
    schema: any;
    form: FormGroup;
    model: any;
    options: any;
    fields: FormlyFieldConfig[];
    constructor(context: FilteringFormRendererContext, jsonschema: C8yJSONSchema);
    onEnterKeyUp(event: KeyboardEvent): void;
    onEscapeKeyDown(event: KeyboardEvent): void;
    ngOnInit(): void;
    applyFilter(): void;
    resetFilter(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseFilteringFormRendererComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaseFilteringFormRendererComponent, "c8y-base-filtering-form-renderer", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=base.filtering-form-renderer.component.d.ts.map