import { ChangeDetectorRef, DestroyRef } from '@angular/core';
import { CellRendererContext } from '../cell-renderer';
import { DataGridComponent } from '../../data-grid.component';
import * as i0 from "@angular/core";
export declare class ExpandableCellRendererComponent {
    context: CellRendererContext;
    dataGridComponent: DataGridComponent;
    private cd;
    readonly collapse: "Collapse";
    readonly expand: "Expand";
    isExpanded: boolean;
    loading: boolean;
    destroyRef: DestroyRef;
    constructor(context: CellRendererContext, dataGridComponent: DataGridComponent, // forwardRef is needed because of circular dependency
    cd: ChangeDetectorRef);
    toggleExpand(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpandableCellRendererComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ExpandableCellRendererComponent, "c8y-expandable-cell-renderer", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=expandable.cell-renderer.component.d.ts.map