import { Type } from '@angular/core';
import { Column, ColumnDataType, FilterPredicateFunction, SortOrder } from '../../data-grid.model';
export declare class ExpandableRowColumn implements Column {
    name: string;
    path?: string;
    header?: string;
    dataType?: ColumnDataType;
    visible?: boolean;
    positionFixed?: boolean;
    gridTrackSize?: string;
    headerCSSClassName?: string | string[];
    headerCellRendererComponent?: Type<any>;
    cellCSSClassName?: string | string[];
    cellRendererComponent?: Type<any>;
    sortable?: boolean;
    sortOrder?: SortOrder;
    filterable?: boolean;
    filteringFormRendererComponent?: Type<any>;
    filterPredicate?: string | FilterPredicateFunction;
    externalFilterQuery?: string | object;
    constructor();
}
//# sourceMappingURL=expandable.data-grid-column.d.ts.map