import { TemplateRef, Type } from '@angular/core';
import { Column, FilterPredicateFunction } from '../data-grid.model';
import * as i0 from "@angular/core";
export interface FilteringFormRendererSpec {
    renderer: TemplateRef<FilteringFormRendererContext> | Type<any>;
    context: FilteringFormRendererContext;
}
export declare class FilteringFormRendererContext {
    property: Column;
    applyFilter: (filteringModifier: FilteringModifier) => void;
    resetFilter: () => void;
}
export interface FilteringModifier {
    filterPredicate?: string | FilterPredicateFunction;
    externalFilterQuery?: string | object;
}
export declare class FilteringFormRendererDefDirective {
    template: TemplateRef<any>;
    constructor(template: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<FilteringFormRendererDefDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FilteringFormRendererDefDirective, "[c8yFilteringFormRendererDef]", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=filtering-form-renderer.d.ts.map