import { EventEmitter } from '@angular/core';
import { FormBuilder, FormGroup, NgForm } from '@angular/forms';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { Column, CustomColumnConfig } from '../data-grid.model';
import * as i0 from "@angular/core";
export declare class ConfigureCustomColumnComponent {
    fb: FormBuilder;
    modalRef: BsModalRef;
    readonly SIMPLE_JSON_PATH_REGEX: RegExp;
    form: NgForm;
    onAddCustomColumn: EventEmitter<CustomColumnConfig>;
    formGroup: FormGroup;
    columns: Column[];
    uniqueHeaderMsg: "The column header name is too similar to \"{{ value }}\".";
    constructor(fb: FormBuilder, modalRef: BsModalRef);
    comparator(val1: any, val2: any): boolean;
    addColumn(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfigureCustomColumnComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConfigureCustomColumnComponent, "c8y-configure-custom-column", never, {}, { "onAddCustomColumn": "onAddCustomColumn"; }, never, never, false, never>;
}
//# sourceMappingURL=configure-custom-column.component.d.ts.map