import { AfterContentInit, OnChanges } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class DeviceStatusComponent implements AfterContentInit, OnChanges {
    private translateService;
    set node(value: any);
    size: number;
    private _mo;
    private requiredAvailability;
    private availabilityStatus;
    private pushStatus;
    private sendStatus;
    constructor(translateService: TranslateService);
    get(): any;
    ngOnChanges(): void;
    ngAfterContentInit(): void;
    setStatusProperites(): void;
    status(): any;
    getMaintenanceStatus(): {
        sendStatus: boolean;
        pushStatus: boolean;
        maintenanceStatus: {
            icon: string;
            class: string;
            tooltip: "Device is under maintenance";
        };
    };
    private getSendPushStatus;
    private getSendStatusTooltip;
    private getPushStatusTooltip;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceStatusComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DeviceStatusComponent, "device-status, c8y-device-status", never, { "node": { "alias": "mo"; "required": false; }; "size": { "alias": "size"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=device-status.component.d.ts.map