import { Observable } from 'rxjs';
import { AppStateService } from '../../common/ui-state.service';
import { HeaderService } from '../../header/header.service';
import { DocLink } from '../docs.models';
import { DocsService } from '../docs.service';
import * as i0 from "@angular/core";
export declare class HelpAndSupportOutletComponent {
    private docsService;
    private appState;
    private headerService;
    PRODUCT_EXPERIENCE: {
        readonly ACTION_BAR: {
            readonly EVENTS: {
                readonly ACTION_BAR_ITEM: "actionBarItem";
            };
            readonly COMPONENTS: {
                readonly ACTION_BAR_COMPONENT: "action-bar";
            };
            readonly ACTIONS: {};
            readonly RESULTS: {};
        };
        readonly QUICK_LINKS: {
            readonly EVENTS: {
                readonly QUICK_LINK_RIGHT_DRAWER: "quickLinkRightDrawer";
            };
            readonly COMPONENTS: {
                readonly RIGHT_DRAWER_COMPONENT: "right-drawer";
            };
            readonly ACTIONS: {
                readonly ACTIVATE_SUPPORT_ACCESS: "activateSupportAccess";
                readonly DEACTIVATE_SUPPORT_ACCESS: "deactivateSupportAccess";
                readonly OPEN_SUPPORT_LINK: "openSupportLink";
            };
            readonly RESULTS: {};
        };
    };
    helpAndSupport$: Observable<DocLink[]>;
    documentationOpen: boolean;
    appState$: Observable<any>;
    drawerOpen$: Observable<boolean>;
    constructor(docsService: DocsService, appState: AppStateService, headerService: HeaderService);
    static ɵfac: i0.ɵɵFactoryDeclaration<HelpAndSupportOutletComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HelpAndSupportOutletComponent, "c8y-help-and-support-outlet", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=help-and-support-outlet.component.d.ts.map