import { Observable } from 'rxjs';
import { HeaderService } from '../../header/header.service';
import { DocLink } from '../docs.models';
import { DocsService } from '../docs.service';
import * as i0 from "@angular/core";
export declare class LegalNoticesOutletComponent {
    private docsService;
    private headerService;
    PRODUCT_EXPERIENCE: {
        readonly ACTION_BAR: {
            readonly EVENTS: {
                readonly ACTION_BAR_ITEM: "actionBarItem";
            };
            readonly COMPONENTS: {
                readonly ACTION_BAR_COMPONENT: "action-bar";
            };
            readonly ACTIONS: {};
            readonly RESULTS: {};
        };
        readonly QUICK_LINKS: {
            readonly EVENTS: {
                readonly QUICK_LINK_RIGHT_DRAWER: "quickLinkRightDrawer";
            };
            readonly COMPONENTS: {
                readonly RIGHT_DRAWER_COMPONENT: "right-drawer";
            };
            readonly ACTIONS: {
                readonly ACTIVATE_SUPPORT_ACCESS: "activateSupportAccess";
                readonly DEACTIVATE_SUPPORT_ACCESS: "deactivateSupportAccess";
                readonly OPEN_SUPPORT_LINK: "openSupportLink";
            };
            readonly RESULTS: {};
        };
    };
    legalNotices$: Observable<DocLink>;
    drawerOpen$: Observable<boolean>;
    constructor(docsService: DocsService, headerService: HeaderService);
    static ɵfac: i0.ɵɵFactoryDeclaration<LegalNoticesOutletComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LegalNoticesOutletComponent, "c8y-legal-notices-outlet", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=legal-notices-outlet.component.d.ts.map