import { FormlyFieldConfig } from '@ngx-formly/core';
interface BasicInputArrayFormConfigInterface {
    /**
     * sets form's key
     */
    key: string;
    /**
     * text inside button that adds additional fields
     */
    addText: string;
    /**
     * label displayed above fields
     */
    label: string;
    /**
     * placeholder attribute value
     */
    placeholder: string;
    /**
     * if provided, blue information icon will be rendered with onHover tooltip
     */
    tooltip?: string;
    /**
     * If provided with true value, generated field will not be required.
     */
    optional?: boolean;
}
/**
 *  Generates simple array formFieldConfig
 *   @returns FormlyFieldConfig[]
 */
export declare function getBasicInputArrayFormFieldConfig(config: BasicInputArrayFormConfigInterface): FormlyFieldConfig[];
export {};
//# sourceMappingURL=presets.d.ts.map