import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { SupportedIconsSuggestions } from '@c8y/ngx-components/icon-selector/icons';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class FilterInputComponent implements OnInit, OnDestroy {
    icon: SupportedIconsSuggestions;
    onSearch: EventEmitter<string>;
    filterChange$: Subject<KeyboardEvent>;
    filterTerm: string;
    searchLabel: "search";
    closeLabel: "close";
    private readonly CARRIAGE_RETURN_KEY;
    private readonly CARRIAGE_RETURN_CODE;
    private readonly CARRIAGE_ESCAPE_CODE;
    private readonly AUTO_SEARCH_DEBOUNCE;
    ngOnInit(): void;
    reset(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterInputComponent, "c8y-filter", never, { "icon": { "alias": "icon"; "required": false; }; "filterTerm": { "alias": "filterTerm"; "required": false; }; }, { "onSearch": "onSearch"; }, never, never, false, never>;
}
//# sourceMappingURL=filter-input.component.d.ts.map