import { AfterViewChecked, ElementRef, Renderer2 } from '@angular/core';
import { NgControl } from '@angular/forms';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class RequiredInputPlaceholderDirective implements AfterViewChecked {
    private el;
    private renderer;
    private translationService;
    private ngControl;
    private shouldSkipRequiredHint;
    private placeholder;
    private req;
    constructor(el: ElementRef, renderer: Renderer2, translationService: TranslateService, ngControl: NgControl);
    ngAfterViewChecked(): void;
    private getTextForPlaceholder;
    private updatePlaceholder;
    static ɵfac: i0.ɵɵFactoryDeclaration<RequiredInputPlaceholderDirective, [null, null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RequiredInputPlaceholderDirective, "input[required], input[formControlName]", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=required-input-placeholder.directive.d.ts.map