import * as i0 from "@angular/core";
import * as i1 from "./help.component";
import * as i2 from "../common/common.module";
import * as i3 from "ngx-bootstrap/collapse";
import * as i4 from "ngx-bootstrap/tooltip";
import * as i5 from "../action-bar/action-bar.module";
import * as i6 from "../product-experience/product-experience.module";
/**
 * Provides components which allow to display help elements
 * inside the app.
 * @exports HelpComponent A component which shows a context help in
 *                        the action bar.
 */
export declare class HelpModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<HelpModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<HelpModule, [typeof i1.HelpComponent], [typeof i2.CommonModule, typeof i3.CollapseModule, typeof i4.TooltipModule, typeof i5.ActionBarModule, typeof i6.ProductExperienceModule], [typeof i1.HelpComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<HelpModule>;
}
//# sourceMappingURL=help.module.d.ts.map