/**
 * Messages required to translate texts of events sent by the datahub microservice.
 */
export declare const MESSAGES_DATAHUB_I18N: {
    '^Offloading task "(.+?)" finished successfully.$': {
        gettext: "Offloading task \"{{ taskName }}\" finished successfully.";
        placeholders: {
            taskName: string;
        };
    };
    '^Offloading task "(.+?)" finished erroneously.$': {
        gettext: "Offloading task \"{{ taskName }}\" finished erroneously.";
        placeholders: {
            taskName: string;
        };
    };
    '^Compaction task "(.+?)" finished successfully.$': {
        gettext: "Compaction task \"{{ taskName }}\" finished successfully.";
        placeholders: {
            taskName: string;
        };
    };
    '^Compaction task "(.+?)" finished erroneously.$': {
        gettext: "Compaction task \"{{ taskName }}\" finished erroneously.";
        placeholders: {
            taskName: string;
        };
    };
};
//# sourceMappingURL=datahub.pattern-messages.data.d.ts.map