import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
/**
 * A service to translate messages by using regexp patterns.
 */
export declare class PatternMessagesService {
    translateService: TranslateService;
    patterns: any;
    pipes: {
        absoluteDate: (date: string | number | Date) => string;
        translate: (key: any) => any;
    };
    constructor(patterns: any);
    translate(message: string): any;
    private translateWithPatterns;
    private translateWithParams;
    static ɵfac: i0.ɵɵFactoryDeclaration<PatternMessagesService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PatternMessagesService>;
}
//# sourceMappingURL=pattern-messages.service.d.ts.map