import { Location } from '@angular/common';
import { EventEmitter, OnInit } from '@angular/core';
import { DisplayOption } from './list-display-switch.model';
import * as i0 from "@angular/core";
export declare class ListDisplaySwitchComponent implements OnInit {
    private location;
    listKey: string;
    set listLength(val: number);
    filterPipe: import("rxjs").UnaryFunction<import("rxjs").Observable<unknown>, import("rxjs").Observable<unknown>>;
    onListClassChange: EventEmitter<string>;
    selectedOption: DisplayOption;
    readonly DISPLAY_OPTIONS: DisplayOption[];
    private readonly AUTO_GRID_ITEMS_LIMIT;
    private _listLength;
    constructor(location: Location);
    ngOnInit(): void;
    onOptionSelect(option: DisplayOption): void;
    private loadSelectedOption;
    private getLocalStorageOption;
    private getDefaultOption;
    private getLocalStorageKey;
    private getListKey;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListDisplaySwitchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ListDisplaySwitchComponent, "c8y-list-display-switch", never, { "listKey": { "alias": "listKey"; "required": false; }; "listLength": { "alias": "listLength"; "required": false; }; "filterPipe": { "alias": "filterPipe"; "required": false; }; }, { "onListClassChange": "onListClassChange"; }, never, never, false, never>;
}
//# sourceMappingURL=list-display-switch.component.d.ts.map