import { ListItemComponent } from './list-item.component';
import * as i0 from "@angular/core";
/**
 * Allows to display a timeline. Should be used with
 * content projection.
 *
 * ```html
 * <c8y-list-group>
 *   <c8y-li-timeline>
 *     24.April 2020
 *     <c8y-li>
 *       Hello
 *     </c8y-li>
 *   </c8y-li-timeline>
 * </c8y-list-group>
 * ```
 */
export declare class ListItemTimelineComponent {
    listItemComponent: ListItemComponent;
    get expanded(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListItemTimelineComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ListItemTimelineComponent, "c8y-list-item-timeline, c8y-li-timeline", never, {}, {}, ["listItemComponent"], ["*", "c8y-li, c8y-list-item"], false, never>;
}
//# sourceMappingURL=list-item-timeline.component.d.ts.map