import { ModuleWithProviders, Provider } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "./login.component";
import * as i2 from "./recover-password.component";
import * as i3 from "./change-password.component";
import * as i4 from "./credentials.component";
import * as i5 from "./totp-auth.component";
import * as i6 from "./password-strength-validator.directive";
import * as i7 from "./tenant-id-setup.component";
import * as i8 from "@angular/forms";
import * as i9 from "ngx-bootstrap/tooltip";
import * as i10 from "../common/common.module";
import * as i11 from "../authentication/authentication.module";
import * as i12 from "../alert/alert.module";
import * as i13 from "../forms/forms.module";
/**
 * The angular module definition for the login.
 * @exports LoginComponent
 */
export declare class LoginModule {
    static forRoot(): ModuleWithProviders<LoginModule>;
    static providers(): Provider[];
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<LoginModule, [typeof i1.LoginComponent, typeof i2.RecoverPasswordComponent, typeof i3.ChangePasswordComponent, typeof i4.CredentialsComponent, typeof i5.TotpAuthComponent, typeof i6.PasswordStrengthValidatorDirective, typeof i7.TenantIdSetupComponent], [typeof i8.FormsModule, typeof i9.TooltipModule, typeof i10.CommonModule, typeof i11.AuthenticationModule, typeof i12.AlertModule, typeof i13.FormsModule], [typeof i1.LoginComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<LoginModule>;
}
//# sourceMappingURL=login.module.d.ts.map