import { OnInit, EventEmitter } from '@angular/core';
import { UserService } from '@c8y/client';
import { LoginService } from './login.service';
import { LoginViews } from './login.model';
import * as i0 from "@angular/core";
export declare class RecoverPasswordComponent implements OnInit {
    private users;
    loginService: LoginService;
    onChangeView: EventEmitter<any>;
    LOGIN_VIEWS: typeof LoginViews;
    isLoading: boolean;
    model: {
        email: string;
        tenantId: string;
    };
    constructor(users: UserService, loginService: LoginService);
    ngOnInit(): void;
    resetPassword(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RecoverPasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RecoverPasswordComponent, "c8y-recover-password", never, {}, { "onChangeView": "onChangeView"; }, never, never, false, never>;
}
//# sourceMappingURL=recover-password.component.d.ts.map