import { OnInit, EventEmitter } from '@angular/core';
import { ICredentials, UserService } from '@c8y/client';
import { AlertService } from '../alert/alert.service';
import { LoginService } from './login.service';
import { LoginViews } from './login.model';
import * as i0 from "@angular/core";
export declare class TotpAuthComponent implements OnInit {
    loginService: LoginService;
    private userService;
    private alert;
    credentials: ICredentials;
    view: LoginViews;
    onCancel: EventEmitter<any>;
    LOGIN_VIEWS: typeof LoginViews;
    loading: boolean;
    hasError: boolean;
    isSetup: boolean;
    constructor(loginService: LoginService, userService: UserService, alert: AlertService);
    ngOnInit(): void;
    onTotpSuccess(code: any): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TotpAuthComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TotpAuthComponent, "c8y-totp-auth", never, { "credentials": { "alias": "credentials"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, { "onCancel": "onCancel"; }, never, never, false, never>;
}
//# sourceMappingURL=totp-auth.component.d.ts.map