import { OptionsService } from '../../common';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class NavigatorBottomService {
    private options;
    readonly navigatorLogoVariable = "navigator-platform-logo";
    readonly navigatorLogoHeightVariable = "navigator-platform-logo-height";
    constructor(options: OptionsService);
    hasHidePoweredSet(): Observable<boolean>;
    hasCustomNavigatorLogoSet(): Observable<boolean>;
    shouldShowBottomDrawer(): Observable<boolean>;
    shouldShowDefaultPoweredBy(): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorBottomService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NavigatorBottomService>;
}
//# sourceMappingURL=navigator-bottom.service.d.ts.map