import { ExtensionFactory } from '../common';
import { DrawerItem } from '../drawer';
import { Observable } from 'rxjs';
import { NavigatorService } from './navigator.service';
import * as i0 from "@angular/core";
export declare class NavigatorDrawerFactory implements ExtensionFactory<DrawerItem> {
    private navigatorService;
    protected drawerItem: DrawerItem;
    constructor(navigatorService: NavigatorService);
    get(): Observable<DrawerItem | DrawerItem[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorDrawerFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NavigatorDrawerFactory>;
}
//# sourceMappingURL=navigator-drawer.factory.d.ts.map