import { NavigatorNode } from './navigator-node';
import * as i0 from "@angular/core";
/**
 * Navigator node icon component.
 */
export declare class NavigatorIconComponent {
    /**
     * Navigator node.
     */
    node: NavigatorNode;
    /**
     * Returns the navigator node icon.
     * If the icon is not defined, it returns the default icon (cog).
     */
    get icon(): import("@c8y/ngx-components/dist/icon-selector/icons").SupportedIconsSuggestions;
    /**
     * Returns the navigator icon CSS class.
     */
    get iconClass(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorIconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorIconComponent, "c8y-navigator-icon", never, { "node": { "alias": "node"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=navigator-icon.component.d.ts.map