import { Injector } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import { Tab, TabFactory } from '../tabs';
import { DynamicProviderConfig } from './model/dynamic-provider-config.model';
import * as i0 from "@angular/core";
export declare class ProviderConfigurationTabFactory implements TabFactory {
    router: Router;
    private injector;
    private config;
    constructor(config: DynamicProviderConfig[][], router: Router, injector: Injector);
    get(): any[] | Observable<Tab[]>;
    private checkCanActivate;
    private getNodeTabPath;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProviderConfigurationTabFactory, [{ optional: true; }, null, null]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ProviderConfigurationTabFactory>;
}
//# sourceMappingURL=provider-configuration-tab.factory.d.ts.map