import { DeviceRegistrationStatus } from '@c8y/client';
import { RealtimeService } from './realtime.service';
import { RealtimeSubjectService } from './realtime-subject.service';
import * as i0 from "@angular/core";
export interface IRealtimeDeviceBootstrap {
    id: string;
    status: DeviceRegistrationStatus;
}
/**
 * A service for handling device bootstrap realtime notifications in RxJS fashion.
 */
export declare class DeviceBootstrapRealtimeService extends RealtimeService<IRealtimeDeviceBootstrap> {
    protected realtimeSubject: RealtimeSubjectService;
    constructor(realtimeSubject: RealtimeSubjectService);
    protected channel(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceBootstrapRealtimeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DeviceBootstrapRealtimeService>;
}
//# sourceMappingURL=device-bootstrap-realtime.service.d.ts.map