import { RealtimeService } from './realtime.service';
import { IManagedObject } from '@c8y/client';
import { Observable } from 'rxjs';
import { RealtimeSubjectService } from './realtime-subject.service';
import * as i0 from "@angular/core";
export declare class ManagedObjectRealtimeService extends RealtimeService<IManagedObject> {
    protected realtimeSubject: RealtimeSubjectService;
    constructor(realtimeSubject: RealtimeSubjectService);
    /**
     * Get an Observable of all CREATE realtime notifications.
     *
     * @returns An [[Observable]] of newly created entity objects.
     */
    onCreate$(): Observable<IManagedObject>;
    protected channel(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ManagedObjectRealtimeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ManagedObjectRealtimeService>;
}
//# sourceMappingURL=managed-object-realtime.service.d.ts.map