import { DestroyRef, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Observable } from 'rxjs';
import { ScopedContextRouteService } from './scoped-context-route.service';
import { ContextRouteService } from './context-route.service';
import * as i0 from "@angular/core";
export declare class ContextRouteComponent implements OnInit {
    private route;
    private scopedContextRouteService;
    private contextRouteService;
    private destroyRef;
    isLoading$: Observable<boolean>;
    constructor(route: ActivatedRoute, scopedContextRouteService: ScopedContextRouteService, contextRouteService: ContextRouteService, destroyRef: DestroyRef);
    ngOnInit(): void;
    refreshTabs(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContextRouteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContextRouteComponent, "c8y-context-route", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=context-route.component.d.ts.map