import { Injector } from '@angular/core';
import { ActivatedRouteSnapshot, Router, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { Tab } from '../tabs/tab.model';
import * as i0 from "@angular/core";
export declare class RouterTabsResolver {
    private injector;
    private router;
    constructor(injector: Injector, router: Router);
    get routerStateSnapshot(): RouterStateSnapshot;
    resolve(currentRoute: ActivatedRouteSnapshot): Observable<Tab[]>;
    private getBaselUrl;
    private getLatestChildRoutes;
    private findRootContextRoutes;
    private getGuards;
    static ɵfac: i0.ɵɵFactoryDeclaration<RouterTabsResolver, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RouterTabsResolver>;
}
//# sourceMappingURL=router-tabs.resolver.d.ts.map