import { AfterViewInit, EventEmitter, OnInit } from '@angular/core';
import { DateRangePickerConfig, TimeInterval, TimeIntervalOption } from './time-interval.model';
import * as i0 from "@angular/core";
export declare class TimeIntervalComponent implements OnInit, AfterViewInit {
    intvervals: TimeIntervalOption[];
    CUSTOM: {
        label: "Custom";
    };
    minCustomDate: Date;
    maxCustomDate: Date;
    dateRangePickerConfig: DateRangePickerConfig;
    selectedInterval: TimeIntervalOption;
    interval: EventEmitter<TimeInterval>;
    customRange: Date[];
    private dateFormatService;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    changeInterval(intervalOption: TimeIntervalOption): void;
    changeCustomRange(range: Date[]): void;
    reload(): void;
    private getEndDate;
    private rangeToInterval;
    private isToday;
    private emitInterval;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimeIntervalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimeIntervalComponent, "c8y-time-interval", never, { "minCustomDate": { "alias": "minCustomDate"; "required": false; }; "maxCustomDate": { "alias": "maxCustomDate"; "required": false; }; "dateRangePickerConfig": { "alias": "dateRangePickerConfig"; "required": false; }; "selectedInterval": { "alias": "selectedInterval"; "required": false; }; }, { "interval": "interval"; }, never, never, true, never>;
}
//# sourceMappingURL=time-interval.component.d.ts.map