import { EventEmitter } from '@angular/core';
import { UserMenuItem } from './user.model';
import { UserMenuService } from './user-menu.service';
import { HeaderService } from '../header/header.service';
import { Observable } from 'rxjs';
import { SupportedIconsSuggestions } from '@c8y/ngx-components/icon-selector/icons';
import * as i0 from "@angular/core";
export declare class UserMenuItemComponent implements UserMenuItem {
    private userService;
    private headerService;
    icon: SupportedIconsSuggestions;
    label: string;
    link: string;
    target: string;
    priority: number;
    dataCy: string;
    open$: Observable<boolean>;
    template: any;
    click: EventEmitter<UserMenuItem>;
    private viewInitTimeout;
    constructor(userService: UserMenuService, headerService: HeaderService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserMenuItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserMenuItemComponent, "c8y-user-menu-item", never, { "icon": { "alias": "icon"; "required": false; }; "label": { "alias": "label"; "required": false; }; "link": { "alias": "link"; "required": false; }; "target": { "alias": "target"; "required": false; }; "priority": { "alias": "priority"; "required": false; }; "dataCy": { "alias": "dataCy"; "required": false; }; }, { "click": "click"; }, never, ["*", "*"], false, never>;
}
//# sourceMappingURL=user-menu-item.component.d.ts.map