import { BsModalService } from 'ngx-bootstrap/modal';
import { LoginService } from '../login';
import { UserMenuItem } from './user.model';
import { Observable } from 'rxjs';
import { UserMenuService } from './user-menu.service';
import { HeaderService } from '../header';
import { AppStateService } from '../common';
import * as i0 from "@angular/core";
export declare class UserMenuOutletComponent {
    ui: AppStateService;
    private bsModalService;
    private loginService;
    private userMenu;
    private headerService;
    items$: Observable<UserMenuItem[]>;
    open$: Observable<boolean>;
    constructor(ui: AppStateService, bsModalService: BsModalService, loginService: LoginService, userMenu: UserMenuService, headerService: HeaderService);
    editUser(): Promise<void>;
    logout(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserMenuOutletComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserMenuOutletComponent, "c8y-user-menu-outlet", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=user-menu-outlet.component.d.ts.map