import { AppStateService, ExtensionFactory } from '../common';
import { Version, VersionModuleConfig } from './version.model';
import { Observable } from 'rxjs';
import { IApplication } from '@c8y/client';
import * as i0 from "@angular/core";
/**
 * Provides the information about the current application.
 */
export declare class ApplicationVersionFactory implements ExtensionFactory<Version> {
    private config;
    private appState;
    applicationVersions$: Observable<Version>;
    constructor(config: VersionModuleConfig, appState: AppStateService);
    get(): Observable<Version>;
    getInformationFromApp(app: IApplication): Version;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApplicationVersionFactory, [{ optional: true; }, null]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApplicationVersionFactory>;
}
//# sourceMappingURL=application-version.factory.d.ts.map