import { Injector } from '@angular/core';
import { Observable } from 'rxjs';
import { ExtensionPointForPlugins } from '../common';
import { CleanedVersion, Version } from './version.model';
import { PluginsResolveService } from '../plugins';
import * as i0 from "@angular/core";
export declare class VersionService extends ExtensionPointForPlugins<Version> {
    items$: Observable<Version[]>;
    nonHiddenItems$: Observable<Version[]>;
    constructor(rootInjector: Injector, pluginService: PluginsResolveService);
    get state(): Set<Version>;
    add(version: Version): void;
    remove(version: Version): void;
    cleanUpVersions(versions: Version[]): CleanedVersion[];
    protected setupItemsObservable(): Observable<Version[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<VersionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<VersionService>;
}
//# sourceMappingURL=version.service.d.ts.map