import { AppStateService, ExtensionFactory } from '../common';
import { Version, VersionModuleConfig } from './version.model';
import * as i0 from "@angular/core";
/**
 * Will provide the application version (taken from package.json's `version` field) and
 * the installed versions of the packages`@c8y/ng1-modules` and `@c8y/ngx-components` if available.
 */
export declare class WebSDKVersionFactory implements ExtensionFactory<Version> {
    private config;
    private appState;
    webSDKVersions: Version[];
    private defaults;
    constructor(config: VersionModuleConfig, appState: AppStateService);
    get(): Version[];
    static ɵfac: i0.ɵɵFactoryDeclaration<WebSDKVersionFactory, [{ optional: true; }, null]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WebSDKVersionFactory>;
}
//# sourceMappingURL=websdk-version.factory.d.ts.map