import { BsModalRef, BsModalService, ModalOptions } from 'ngx-bootstrap/modal';
import { WizardComponent } from './wizard.component';
import * as i0 from "@angular/core";
export declare class WizardModalService {
    private bsModalService;
    constructor(bsModalService: BsModalService);
    /**
     * Shows a wizard modal.
     * @param modalOptions Modal options.
     * @returns a reference to the modal.
     */
    show(modalOptions?: ModalOptions): BsModalRef<WizardComponent>;
    static ɵfac: i0.ɵɵFactoryDeclaration<WizardModalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WizardModalService>;
}
//# sourceMappingURL=wizard-modal.service.d.ts.map