import { ModalLabels } from '@c8y/ngx-components';
import { Observable } from 'rxjs';
import { IManagedObject } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class SendAsWidgetToReportModal {
    reports: IManagedObject[];
    numberOfSelectedReports$: Observable<number>;
    form: ReturnType<typeof this.initForm>;
    result: Promise<Partial<{
        [x: string]: boolean;
    }>>;
    labels: ModalLabels;
    private reportDashboardService;
    private _resolve;
    private _reject;
    ngOnInit(): Promise<void>;
    save(): void;
    cancel(): void;
    private initForm;
    static ɵfac: i0.ɵɵFactoryDeclaration<SendAsWidgetToReportModal, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SendAsWidgetToReportModal, "c8y-apply-branding-to-app-modal", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=send-as-widget-to-report-modal.component.d.ts.map