import { EventEmitter } from '@angular/core';
import { AggregationOption, AggregationOptionStatus } from '@c8y/ngx-components';
import { DatapointsExportSelectorFileExporterComponent } from '../datapoints-export-selector-file-exporter.component';
import * as i0 from "@angular/core";
export declare class DataPointsExportSelectorDataScopeComponent {
    disabledAggregationOptions: AggregationOptionStatus;
    formGroup: ReturnType<DatapointsExportSelectorFileExporterComponent['createForm']>;
    onAggregationChange: EventEmitter<AggregationOption>;
    onExportTypeChange: EventEmitter<string>;
    readonly AGGREGATION_LABELS: {
        readonly NONE: string;
        readonly MINUTELY: string;
        readonly HOURLY: string;
        readonly DAILY: string;
    };
    readonly AGGREGATION_VALUES_ARR: readonly ["NONE", import("packages/client/lib").aggregationType.MINUTELY, import("packages/client/lib").aggregationType.HOURLY, import("packages/client/lib").aggregationType.DAILY];
    readonly EXPORT_MODE_LABELS: {
        readonly FULL: "Full";
        readonly COMPACT: "Compact";
    };
    readonly EXPORT_MODE_VALUES_ARR: readonly ["FULL", "COMPACT"];
    emitAggregationChange(aggregation: AggregationOption): void;
    emitExportTypeChange(exportType: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataPointsExportSelectorDataScopeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DataPointsExportSelectorDataScopeComponent, "c8y-datapoints-export-selector-data-scope", never, { "disabledAggregationOptions": { "alias": "disabledAggregationOptions"; "required": false; }; "formGroup": { "alias": "formGroup"; "required": false; }; }, { "onAggregationChange": "onAggregationChange"; "onExportTypeChange": "onExportTypeChange"; }, never, never, true, never>;
}
//# sourceMappingURL=datapoints-exports-selector-data-scope.component.d.ts.map