import { EventEmitter } from '@angular/core';
import { DatapointsExportSelectorFileExporterComponent } from '../datapoints-export-selector-file-exporter.component';
import * as i0 from "@angular/core";
export declare class DataPointsExportSelectorTimeRangeComponent {
    formGroup: ReturnType<DatapointsExportSelectorFileExporterComponent['createForm']>;
    onDateFromChange: EventEmitter<string>;
    onDateToChange: EventEmitter<string>;
    readonly DATE_FROM = "dateFrom";
    readonly DATE_TO = "dateTo";
    readonly FROM_DATE: "From`date`";
    readonly HAS_ERROR = "has-error";
    readonly INVALID_DATE_TIME = "invalidDateTime";
    readonly THIS_DATE_IS_INVALID: "This date is invalid.";
    readonly THIS_DATE_IS_AFTER_THE_LAST_ALLOWED_DATE: "This date is after the latest allowed date.";
    readonly THIS_DATE_IS_BEFORE_THE_EARLIEST_ALLOWED_DATE: "This date is before the earliest allowed date.";
    readonly TO_DATE: "To`date`";
    emitDateFromChange(updatedDate: string): void;
    emitDateToChange(updatedDate: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataPointsExportSelectorTimeRangeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DataPointsExportSelectorTimeRangeComponent, "c8y-datapoints-export-selector-time-range", never, { "formGroup": { "alias": "formGroup"; "required": false; }; }, { "onDateFromChange": "onDateFromChange"; "onDateToChange": "onDateToChange"; }, never, never, true, never>;
}
//# sourceMappingURL=datapoints-exports-selector-time-range.component.d.ts.map