import { TenantUiService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class DefaultSubscriptionsGuard {
    private tenantUiService;
    private active;
    constructor(tenantUiService: TenantUiService);
    /**
     * Checks if default subscriptions feature should be active,
     * i.e. whether the current tenant is the management or an enterprise tenant.
     * **Note: the check is executed only once in the runtime.**
     *
     * @returns True, if the feature should be active.
     */
    canActivate(): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DefaultSubscriptionsGuard, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DefaultSubscriptionsGuard>;
}
//# sourceMappingURL=default-subscriptions.guard.d.ts.map