import { IManagedObject } from '@c8y/client';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
/**
 * Service contains logic extracted from the device-grid service to avoid circular dependency MTM-40239.
 */
export declare class ColumnUtilService {
    protected translateService: TranslateService;
    constructor(translateService: TranslateService);
    getAlarmsHref(device: IManagedObject): string;
    getHref(groupOrDevice: IManagedObject, prefix?: string): string;
    getParentsNames(device: IManagedObject, featuredParentId?: string | number): string;
    getModel(device: IManagedObject): string;
    getProperName(device: IManagedObject): string;
    getSerialNumber(device: IManagedObject): string;
    private getHardware;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColumnUtilService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ColumnUtilService>;
}
//# sourceMappingURL=column-util.service.d.ts.map