import { ElementRef, OnInit } from '@angular/core';
import { FilteringFormRendererContext } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class GroupFilteringFormRendererComponent implements OnInit {
    context: FilteringFormRendererContext;
    assetSelector: ElementRef;
    model: any;
    preselected: string[];
    initialSelection: string[];
    isApplyDisabled: boolean;
    constructor(context: FilteringFormRendererContext);
    onEnterKeyUp(event: KeyboardEvent): void;
    onEscapeKeyDown(event: KeyboardEvent): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    applyFilter(): void;
    resetFilter(): void;
    selectionChanged(nodes: any): void;
    private isSelectionChanged;
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupFilteringFormRendererComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GroupFilteringFormRendererComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=group.filtering-form-renderer.component.d.ts.map