import { FormlyFieldConfig } from '@ngx-formly/core';
export * from './base-mapping';
export * from './measurement-mapping';
export * from './event-mapping';
export * from './alarm-mapping';
export type MappingConfig = {
    icon: string;
    label: string;
    tooltip?: string;
    formlyFieldConfig?: FormlyFieldConfig;
    disabled?: (config?: FormlyFieldConfig) => boolean;
    buttonType?: 'checkbox' | 'switch' | 'none';
};
export declare const ALARM_SEVERITY: {
    WARNING: "WARNING";
    MINOR: "MINOR";
    MAJOR: "MAJOR";
    CRITICAL: "CRITICAL";
};
export declare const ALARM_STATUS: {
    ACTIVE: "ACTIVE";
    ACKNOWLEDGED: "ACKNOWLEDGED";
    CLEARED: "CLEARED";
};
//# sourceMappingURL=index.d.ts.map