import { AfterViewInit, EventEmitter, Injector, OnInit, Type } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { FormlyFieldConfig, FormlyFormOptions } from '@ngx-formly/core';
import { BaseObjectMapping } from './default-object-mapping-types';
import { ObjectMappingsValidationObject } from './index';
import * as i0 from "@angular/core";
export declare class ObjectMappingComponent implements OnInit, AfterViewInit {
    private injector;
    model: unknown;
    objectMappingTypes: Type<BaseObjectMapping>[];
    onUpdate: EventEmitter<ObjectMappingsValidationObject>;
    form: FormGroup<{}>;
    fields: FormlyFieldConfig[];
    options: FormlyFormOptions;
    constructor(injector: Injector);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onChange(_event: any): void;
    private fillFormlyForm;
    static ɵfac: i0.ɵɵFactoryDeclaration<ObjectMappingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ObjectMappingComponent, "c8y-device-protocol-object-mappings", never, { "model": { "alias": "data"; "required": false; }; "objectMappingTypes": { "alias": "objectMappingTypes"; "required": false; }; }, { "onUpdate": "onUpdate"; }, never, never, true, never>;
}
//# sourceMappingURL=object-mapping.component.d.ts.map