import { FetchClient, IManagedObject, UserService } from '@c8y/client';
import { ProvisionedCertificate } from './device-tab-provisioned-certificates.component';
import * as i0 from "@angular/core";
export declare class DeviceProvisionedCertificatesService {
    private userService;
    private client;
    constructor(userService: UserService, client: FetchClient);
    getDeviceProvisionedCertificates(device: IManagedObject): Promise<ProvisionedCertificate[] | undefined>;
    private getDeviceUserName;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceProvisionedCertificatesService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DeviceProvisionedCertificatesService>;
}
//# sourceMappingURL=device-provisioned-certificates.service.d.ts.map