import { FetchClient, IResult, ISeries, ISeriesFilter, MeasurementService, Realtime } from '@c8y/client';
import { Observable } from 'rxjs';
import { ApiService } from '@c8y/ngx-components/api';
import * as i0 from "@angular/core";
export declare class CustomMeasurementService extends MeasurementService {
    private apiService;
    constructor(client: FetchClient, realtime: Realtime, apiService: ApiService);
    listSeries$(params: ISeriesFilter): Observable<IResult<ISeries>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomMeasurementService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CustomMeasurementService>;
}
//# sourceMappingURL=custom-measurements.service.d.ts.map