import { OnInit } from '@angular/core';
import { IApplication, IApplicationBinary } from '@c8y/client';
import { AlertService } from '@c8y/ngx-components';
import { BehaviorSubject } from 'rxjs';
import { EcosystemService } from '@c8y/ngx-components/ecosystem/shared';
import * as i0 from "@angular/core";
export declare class ActivityLogComponent implements OnInit {
    private ecosystemService;
    private alertService;
    application: IApplication;
    hasAdminPermissions: boolean;
    archives: IApplicationBinary[];
    toActivateVersionId: string;
    last: IApplicationBinary;
    isLoading: boolean;
    canReactivate: boolean;
    constructor(ecosystemService: EcosystemService, alertService: AlertService);
    get uploadProgress(): BehaviorSubject<number>;
    ngOnInit(): Promise<void>;
    isActive(archive: IApplicationBinary): boolean;
    toActivate(archive: IApplicationBinary): boolean;
    checkIfLast(archive: IApplicationBinary): boolean;
    showReactivate(): boolean;
    setActive(archive: any): Promise<void>;
    deleteArchive(archive: IApplicationBinary): Promise<void>;
    downloadArchive(archive: IApplicationBinary): Promise<void>;
    reactivateArchive(): Promise<void>;
    onRefresh(): Promise<void>;
    private refresh;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActivityLogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ActivityLogComponent, "c8y-activity-log", never, { "application": { "alias": "application"; "required": false; }; "hasAdminPermissions": { "alias": "hasAdminPermissions"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=activity-log.component.d.ts.map