import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ApplicationService, IApplication } from '@c8y/client';
import { AlertService, WizardComponent } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class AddExternalApplicationComponent implements OnInit {
    private applicationService;
    private formBuilder;
    private alertService;
    private wizardComponent;
    formGroup: FormGroup;
    createdApp: IApplication;
    constructor(applicationService: ApplicationService, formBuilder: FormBuilder, alertService: AlertService, wizardComponent: WizardComponent);
    ngOnInit(): void;
    back(): void;
    cancel(): void;
    done(): void;
    save(app: IApplication): Promise<void>;
    private initForm;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddExternalApplicationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddExternalApplicationComponent, "c8y-add-external-application", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=add-external-application.component.d.ts.map