import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { C8yStepper, OptionsService, WizardComponent } from '@c8y/ngx-components';
import { LicensedApplicationPlugin } from '@c8y/ngx-components/ecosystem/shared';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
interface ConfirmInstallModal {
    pluginsToInstall: LicensedApplicationPlugin[];
}
interface License {
    licenseName: string;
    url: string;
    appName: string;
}
export declare class LicenseConfirmModalComponent implements OnInit {
    private wizardComponent;
    private fb;
    private optionsService;
    private translateService;
    formGroupAccept: FormGroup;
    formGroupLicenses: FormGroup;
    stepper: C8yStepper;
    licenses: License[];
    disclaimerHtml: string;
    constructor(wizardComponent: WizardComponent<ConfirmInstallModal>, fb: FormBuilder, optionsService: OptionsService, translateService: TranslateService);
    ngOnInit(): void;
    cancel(): void;
    done(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LicenseConfirmModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LicenseConfirmModalComponent, "c8y-license-confirm-modal", never, {}, {}, never, never, false, never>;
}
export {};
//# sourceMappingURL=license-confirm-modal.component.d.ts.map