import { IApplication } from '@c8y/client';
import { C8yStepper } from '@c8y/ngx-components';
import { EcosystemService } from '@c8y/ngx-components/ecosystem/shared';
import * as i0 from "@angular/core";
export declare class AddPackageComponent {
    private ecosystemService;
    stepper: C8yStepper;
    headerText: string;
    successText: string;
    constructor(ecosystemService: EcosystemService);
    createPackageAppHandler: (f: File) => Promise<IApplication>;
    uploadPackageHandler: (f: File, app: IApplication) => Promise<IApplication>;
    createPackageApp(file: File): Promise<IApplication>;
    uploadPackage(file: File, pckg: IApplication): Promise<IApplication>;
    next(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddPackageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddPackageComponent, "c8y-add-package", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=add-package.component.d.ts.map