import { EventEmitter } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { IManifest } from '@c8y/client';
import { ApplicationPlugin } from '@c8y/ngx-components';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class PackageVersionsPluginsComponent {
    private activatedRoute;
    selectedVersionManifest: IManifest;
    selectedPlugin: ApplicationPlugin;
    showOverview: EventEmitter<ApplicationPlugin>;
    exportedPlugins$: BehaviorSubject<ApplicationPlugin[]>;
    private appParentData;
    constructor(activatedRoute: ActivatedRoute);
    ngOnChanges(): Promise<void>;
    showPluginOverview(plugin: ApplicationPlugin): void;
    private getExportedPlugins;
    static ɵfac: i0.ɵɵFactoryDeclaration<PackageVersionsPluginsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PackageVersionsPluginsComponent, "c8y-contents-plugins", never, { "selectedVersionManifest": { "alias": "selectedVersionManifest"; "required": false; }; "selectedPlugin": { "alias": "selectedPlugin"; "required": false; }; }, { "showOverview": "showOverview"; }, never, never, false, never>;
}
//# sourceMappingURL=contents-plugins.component.d.ts.map