import { ActivatedRoute } from '@angular/router';
import { IApplication } from '@c8y/client';
import { ApplicationPlugin, ContextRouteService, PluginsService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class PackageVersionsComponent {
    private activatedRoute;
    private contextRouteService;
    private pluginsService;
    package: IApplication;
    selectedVersion: string;
    selectedPlugin: ApplicationPlugin;
    pluginBaseUrl: string;
    pluginMarkdown: string;
    packageContentsTitle: "Version {{ selectedVersion }} package contents";
    constructor(activatedRoute: ActivatedRoute, contextRouteService: ContextRouteService, pluginsService: PluginsService);
    ngOnInit(): Promise<void>;
    showPluginOverview(plugin: ApplicationPlugin): Promise<void>;
    closeOverview(): void;
    clearSelectedVersion(): void;
    selectVersion(version: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PackageVersionsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PackageVersionsComponent, "c8y-package-versions", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=packages-versions.component.d.ts.map