import { gettext } from '@c8y/ngx-components/gettext';

const arrowIcons = [
    ['collapse-arrow', 'angle-up', 'chevron-up'],
    ['forward', 'angle-right', 'chevron-right', 'chevron-breadcrumb'],
    ['expand-arrow', 'angle-down', 'chevron-down'],
    ['caret-back', 'angle-left', 'chevron-left'],
    ['chevron-double-left'],
    ['chevron-double-right'],
    ['chevron-double-up'],
    ['chevron-double-down'],
    ['chevron-circle-up'],
    ['chevron-circle-right'],
    ['chevron-circle-down'],
    ['chevron-circle-left'],
    ['arrow-up'],
    ['arrow-right'],
    ['arrow-down'],
    ['arrow-left'],
    ['panel-control-up', 'angle-double-up'],
    ['panel-control-right', 'angle-double-right'],
    ['panel-control-down', 'angle-double-down'],
    ['panel-control-left', 'angle-double-left'],
    ['download'],
    ['upload'],
    ['internal'],
    ['external'],
    ['undo'],
    ['redo'],
    ['signout'],
    ['signin'],
    ['login', 'sign-in'],
    ['logout', 'sign-out'],
    ['arrow-circle-up', 'arrow-circle-o-up'],
    ['arrow-circle-right', 'arrow-circle-o-right'],
    ['arrow-circle-down', 'arrow-circle-o-down'],
    ['arrow-circle-left', 'arrow-circle-o-left'],
    ['arrow-circle-up-left'],
    ['arrow-circle-down-left'],
    ['arrow-circle-up-right'],
    ['arrow-circle-bottom-right'],
    ['arrow-circle-diameter'],
    ['arrow-circle-divide-horizontal'],
    ['arrow-circle-minimize-horizontal'],
    ['caret-square-o-up', 'toggle-up'],
    ['caret-square-o-down', 'toggle-down'],
    ['caret-square-o-left', 'toggle-left'],
    ['caret-square-o-right', 'toggle-right'],
    ['enter-bottom'],
    ['enter-right'],
    ['enter-top'],
    ['enter-left'],
    ['exit-top'],
    ['exit-right'],
    ['exit-bottom'],
    ['exit-left'],
    ['input-output'],
    ['rotate-right', 'rotate', 'repeat'],
    ['reset', 'rotate-left'],
    ['restore'],
    ['refresh'],
    ['process', 'recycle'],
    ['refresh-exception'],
    ['lock-orientation'],
    ['arrow-dotted-up'],
    ['arrow-dotted-right', 'arrow-advance'],
    ['arrow-dotted-down'],
    ['arrow-dotted-left'],
    ['arrows-dotted-left-right'],
    ['arrows-dotted-up-down', 'up-down-arrows'],
    ['collect'],
    ['merge-horizontal'],
    ['split-horizontal'],
    ['merge-vertical'],
    ['divider', 'split-vertical'],
    ['drag', 'arrows', 'move-step'],
    ['resize-expand', 'arrows-alt', 'expand'],
    ['compress'],
    ['resize-collapse', 'collapse'],
    ['fullscreen'],
    ['fullscreen-exit'],
    ['long-arrow-up'],
    ['long-arrow-right'],
    ['long-arrow-down'],
    ['long-arrow-left'],
    ['arrows-v'],
    ['arrows-h'],
    ['enlarge'],
    ['data-transfer', 'exchange'],
    ['sort-arrow'],
    ['arrows-left-right-diagonal'],
    ['level-up'],
    ['level-down'],
    ['u-turn'],
    ['u-turn-right'],
    ['u-turn-left'],
    ['undo1'],
    ['redo1'],
    ['sort', 'unsorted'],
    ['sort-down', 'sort-desc'],
    ['sort-up', 'sort-asc'],
    ['caret-up'],
    ['caret-right'],
    ['caret-down'],
    ['caret-left'],
    ['squiggly-arrow'],
    ['curly-arrow'],
    ['swap'],
    ['environment'],
    ['shuffle', 'random'],
    ['swipe-up'],
    ['swipe-right'],
    ['swipe-down'],
    ['swipe-left'],
    ['two-finger-swipe-up'],
    ['two-finger-swipe-right'],
    ['two-finger-swipe-down'],
    ['two-finger-swipe-left'],
    ['pinch']
];
const arrowIconCategory = {
    label: gettext('Arrow`icons-category`'),
    icons: arrowIcons
};

/**
 * Generated bundle index. Do not edit.
 */

export { arrowIconCategory, arrowIcons };
//# sourceMappingURL=c8y-ngx-components-icon-selector-icons-arrows.mjs.map
