import { gettext } from '@c8y/ngx-components/gettext';

const filesAndFoldersIcons = [
    ['file-archive-o', 'file-zip-o'],
    ['file-video-o', 'file-movie-o'],
    ['file-audio-o', 'file-sound-o'],
    ['microsoft-access'],
    ['microsoft-onenote'],
    ['microsoft-outlook'],
    ['microsoft-project'],
    ['microsoft-publisher'],
    ['microsoft-sharepoint'],
    ['microsoft-visio'],
    ['word', 'file-word-o'],
    ['excel', 'file-excel-o'],
    ['ppt', 'file-powerpoint-o'],
    ['create-archive'],
    ['save-archive'],
    ['delete-archive'],
    ['gif'],
    ['gis'],
    ['gpx'],
    ['heic-filetype'],
    ['dmg'],
    ['jpg'],
    ['kmz'],
    ['kml'],
    ['mp3'],
    ['dng'],
    ['nef'],
    ['nmea'],
    ['tar'],
    ['ttf'],
    ['tif'],
    ['obj'],
    ['webp'],
    ['ogg'],
    ['woff'],
    ['xls'],
    ['xps'],
    ['zip'],
    ['wma'],
    ['osm'],
    ['otf'],
    ['dwg'],
    ['png'],
    ['eps'],
    ['ps'],
    ['rar'],
    ['raw'],
    ['psd'],
    ['exe'],
    ['fbx'],
    ['pdf-2'],
    ['3fr'],
    ['aac'],
    ['7zip'],
    ['cr2'],
    ['ai'],
    ['apk'],
    ['wav'],
    ['jp2'],
    ['java-file'],
    ['fff'],
    ['folder-aggregate'],
    ['book'],
    ['package-delivery-logistics', 'cube'],
    ['resume'],
    ['insert-drive-file', 'file', 'file-o', 'sheet-of-paper'],
    ['edit-file'],
    ['documents'],
    ['file-copy', 'files', 'files-o'],
    ['profile'],
    ['pdf', 'file-pdf-o'],
    ['export-pdf'],
    ['file-type-document', 'file-text-o', 'file-text', 'document'],
    ['submit-document1'],
    ['privacy-policy'],
    ['selective-highlighting1'],
    ['brief'],
    ['document-with-code'],
    ['image-file', 'file-image-o', 'file-picture-o', 'file-photo-o'],
    ['image-file-add'],
    ['image-file-checked'],
    ['image-file-remove'],
    ['check-document', 'document-with-a-check-mark'],
    ['delete-file'],
    ['file-delete'],
    ['file-settings'],
    ['file-preview'],
    ['open-document'],
    ['submit-document'],
    ['restore-page1'],
    ['document-exchange'],
    ['import-file'],
    ['share-document'],
    ['idea'],
    ['mark-as-favorite'],
    ['email-document'],
    ['file-view'],
    ['policy-document'],
    ['business-report'],
    ['graph-report'],
    ['edit-graph-report'],
    ['download-graph-report'],
    ['agreement'],
    ['estimates'],
    ['winking-document'],
    ['insert-page'],
    ['note'],
    ['brochure'],
    ['read'],
    ['cashbook'],
    ['price-tag', 'tag'],
    ['add-tag'],
    ['tag1', 'tags'],
    ['open-folder', 'opened-folder', 'folder-open', 'folder-open-o'],
    ['folder', 'folder-o'],
    ['folder-open1'],
    ['add-folder'],
    ['delete-folder'],
    ['search-folder'],
    ['folder-settings'],
    ['extensions-folder'],
    ['private-folder'],
    ['edit-folder'],
    ['e-mail-folder'],
    ['documents-folder'],
    ['downloads-folder'],
    ['favorite-folder'],
    ['user-folder'],
    ['download-from-ftp'],
    ['upload-to-ftp'],
    ['ftp'],
    ['big-parcel'],
    ['open-parcel'],
    ['packing'],
    ['unpacking'],
    ['cardboard-box', 'archive', 'archive-o', 'file-archive-o1'],
    ['box', 'case'],
    ['empty-box'],
    ['box-settings'],
    ['secured-delivery'],
    ['remove-delivery'],
    ['out-of-stock'],
    ['new-product'],
    ['product'],
    ['product-management'],
    ['stacking'],
    ['cv'],
    ['unarchive', 'upload-archive'],
    ['archive-file', 'download-archive']
];
const filesAndFoldersIconCategory = {
    label: gettext('Files and folders`icons-category`'),
    icons: filesAndFoldersIcons
};

/**
 * Generated bundle index. Do not edit.
 */

export { filesAndFoldersIconCategory, filesAndFoldersIcons };
//# sourceMappingURL=c8y-ngx-components-icon-selector-icons-filesAndFolders.mjs.map
