const cockpitWidgetsExports = [
    {
        name: 'Widgets: Radial Gauge widget',
        module: 'radialGaugeWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/radial-gauge',
        description: 'Radial gauge widget',
        scope: 'self'
    },
    {
        name: 'Widgets: KPI widget',
        module: 'kpiWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/kpi',
        description: 'KPI widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Alarm list',
        module: 'alarmListWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/alarms/alarm-list',
        description: 'Alarm list widget',
        scope: 'self'
    },
    {
        name: 'Widgets: All critical alarms',
        module: 'criticalAlarmsWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/alarms/all-critical-alarms',
        description: 'All critical alarms widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Recent alarms',
        module: 'recentAlarmsWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/alarms/recent-alarms',
        description: 'Recent alarms widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Applications',
        module: 'applicationsWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/applications',
        description: 'Applications widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Legacy welcome to Cockpit',
        module: 'legacyCockpitWelcomeWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/cockpit-legacy-welcome',
        description: 'Legacy welcome to Cockpit widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Welcome to Cockpit',
        module: 'cockpitWelcomeWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/cockpit-welcome',
        description: 'Welcome to Cockpit widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Message sending',
        module: 'deviceControlMessageWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/device-control-message',
        description: 'Message sending widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Help and service',
        module: 'helpAndServiceWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/help-and-service',
        description: 'Help and service widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Image',
        module: 'imageWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/image',
        description: 'Image widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Info gauge',
        module: 'infoGaugeWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/info-gauge',
        description: 'Info gauge widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Map',
        module: 'mapWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/map',
        description: 'Map widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Markdown',
        module: 'markdownWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/markdown',
        description: 'Markdown widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Rotation',
        module: 'threeDRotationWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/three-d-rotation',
        description: 'Rotation widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Silo',
        module: 'siloWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/silo',
        description: 'Silo widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Linear Gauge',
        module: 'linearGaugeWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/linear-gauge',
        description: 'Linear Gauge widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Data points graph',
        module: 'datapointGraphWidgetproviders',
        path: '@c8y/ngx-components/widgets/definitions/datapoints-graph',
        description: 'Data points graph widget',
        scope: 'self'
    },
    {
        name: 'Widgets: Data Points Table',
        module: 'dataPointsTableWidgetProviders',
        path: '@c8y/ngx-components/widgets/definitions/datapoints-table',
        description: 'Data Points Table widget',
        scope: 'self'
    }
];

/**
 * Generated bundle index. Do not edit.
 */

export { cockpitWidgetsExports };
//# sourceMappingURL=c8y-ngx-components-widgets-cockpit-exports.mjs.map
