import { Permissions } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class FilesRepositoryGuard {
    private permissions;
    constructor(permissions: Permissions);
    /**
     * Checks if files repository should be active,
     * i.e. whether the current tenant can read or admin files in repository.
     *
     * @returns True, if the feature should be active.
     */
    canActivate(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilesRepositoryGuard, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FilesRepositoryGuard>;
}
//# sourceMappingURL=files-repository.guard.d.ts.map