import { ControlValueAccessor } from '@angular/forms';
import { AlarmFilterInterval, Interval } from './interval-picker.model';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class IntervalPickerComponent implements ControlValueAccessor {
    private translate;
    INTERVALS: Interval[] | AlarmFilterInterval[];
    value: Interval['id'];
    touched: boolean;
    disabled: boolean;
    translatedIntervals: {
        id: string;
        title: string;
    }[];
    constructor(translate: TranslateService);
    ngOnInit(): void;
    onChange: (_: any) => void;
    onTouched: () => void;
    writeValue(value: Interval['id']): void;
    registerOnChange(fn: any): void;
    registerOnTouched(onTouched: any): void;
    markAsTouched(): void;
    setDisabledState(disabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IntervalPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IntervalPickerComponent, "c8y-interval-picker", never, { "INTERVALS": { "alias": "INTERVALS"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=interval-picker.component.d.ts.map