import { IManagedObject } from '@c8y/client';
export interface LoriotDevice {
    title: string;
    deveui: string;
    appeui: string;
    appkey: string;
    appid: string;
    deviceType: IManagedObject;
    error?: string;
    lnsConnectionName: string;
}
export interface Application {
    deviceLimit: number;
    devices: number;
    hexId: string;
    name: string;
    outputs: Array<any>;
}
export interface LoriotDeviceFormly extends LoriotDevice {
    connection: {
        name: string;
        description: string;
        baseUrl: string;
        username: string;
        password: string;
    };
    application: Application;
}
export declare const PRODUCT_EXPERIENCE_LORIOT_REGISTRATION: {
    readonly EVENT: "deviceRegistration";
    readonly COMPONENT: "loriot-registration";
    readonly RESULT: {
        readonly SUCCESS: "registrationSuccess";
        readonly FAILURE: "registrationFailure";
    };
};
//# sourceMappingURL=loriot-device-registration.model.d.ts.map