/**
 * Backlog quota for namespace.
 */
export interface MessagingNamespaceBacklogQuota {
    /**
     * Limit size in bytes. If there is no limit, value is -1.
     */
    limit?: number;
    /**
     * Pulsar retention policy. For details see https://pulsar.apache.org/docs/next/cookbooks-retention-expiry/#get-retention-policy
     */
    policy?: 'producer_request_hold' | 'producer_exception' | 'consumer_backlog_eviction';
}
//# sourceMappingURL=backlogQuota.d.ts.map