import { MessagingNamespacePublishers } from './namespacePublishers';
import { MessagingNamespaceSubscribers } from './namespaceSubscribers';
import { MessagingNamespaceTopics } from './namespaceTopics';
/**
 * Service to be monitored and managed, e.g. Notifications 2.0 or MQTT
 */
export interface MessagingNamespace {
    name?: string;
    topics?: MessagingNamespaceTopics;
    subscribers?: MessagingNamespaceSubscribers;
    publishers?: MessagingNamespacePublishers;
}
//# sourceMappingURL=namespace.d.ts.map