import { MessagingNamespaceBacklogQuota } from './backlogQuota';
export interface MessagingNamespacePolicies {
    backlogQuota?: MessagingNamespaceBacklogQuota;
    /**
     * Message time-to-live value in seconds. Defines the amount of time a message is allowed to stay unacknowledged.
     * For more, see https://pulsar.apache.org/docs/next/cookbooks-retention-expiry/#time-to-live-ttl
     */
    messageTTL?: number;
}
//# sourceMappingURL=namespacePolicies.d.ts.map