import { Pageable } from './pageable';
import { Sortable } from './sortable';
import { MessagingTopicType } from './topicType';
/** Filters for subscribers list. */
export type MessagingSubscriberFilters = {
    tenant: string;
    namespace: string;
    topic: string;
    type: MessagingTopicType;
    /** Subscriber name or a part of the name. Search will be done by applying the regex like `.*givenName.*`. */
    name?: string;
} & Pageable & Sortable;
//# sourceMappingURL=subscriberFilters.d.ts.map