import { FetchClient, IResult, Paging, Service } from '@c8y/client';
import { MessagingTopicList } from '../model/topicList';
import { MessagingTopicListFilters } from '../model/topicListFilters';
import { MessagingTopic } from '../model/topic';
import { MessagingTopicDetailFilters } from '../model/topicDetailFilters';
import * as i0 from "@angular/core";
export declare class MessagingTopicsService extends Service<MessagingTopic> {
    protected baseUrl: string;
    protected listUrl: string;
    constructor(client: FetchClient);
    list(filter: MessagingTopicListFilters): Promise<{
        res: import("@c8y/client").IFetchResponse;
        data: MessagingTopic[];
        paging: Paging<MessagingTopic>;
    }>;
    detail(filter: MessagingTopicDetailFilters): Promise<IResult<MessagingTopic>>;
    protected getPaging(topicList: MessagingTopicList, filter: MessagingTopicListFilters): Paging<MessagingTopic>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MessagingTopicsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MessagingTopicsService>;
}
//# sourceMappingURL=messaging-topics.service.d.ts.map