import { OnInit } from '@angular/core';
import { AlertService, AppStateService } from '@c8y/ngx-components';
import { MessagingNamespacesService } from '../../api/services/messaging-namespaces.service';
import { MessagingNamespaceDetails } from '../../api/model/namespaceDetails';
import * as i0 from "@angular/core";
export declare class NamespaceListComponent implements OnInit {
    alertService: AlertService;
    appState: AppStateService;
    namespacesService: MessagingNamespacesService;
    namespacesDetails: MessagingNamespaceDetails[];
    loading: boolean;
    ngOnInit(): Promise<void>;
    reload(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NamespaceListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NamespaceListComponent, "app-namespace-list", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=namespace-list.component.d.ts.map