import { Column, DataSourceModifier, ServerSideDataResult } from '@c8y/ngx-components';
import { MessagingSubscribersService } from '../../../api/services/messaging-subscribers.service';
import { MessagingTopicType } from '../../../api/model/topicType';
import { MessagingSubscriberToDelete } from '../../../api/model/subscriberToDelete';
import * as i0 from "@angular/core";
export declare class TopicSubscribersDataGridService {
    protected subscribersService: MessagingSubscribersService;
    private alertService;
    private modalService;
    private translateService;
    getColumns(): Column[];
    getServerSideData(tenantId: string, namespaceId: string, topicId: string, topicType: MessagingTopicType, dataSourceModifier: DataSourceModifier): Promise<ServerSideDataResult>;
    unsubscribeSubscriber(subscriber: MessagingSubscriberToDelete, refreshCallback: () => void): Promise<void>;
    bulkUnsubscribeSubscribers(subscribers: MessagingSubscriberToDelete[], refreshCallback: () => void): Promise<void>;
    private createColumn;
    private getSubscriberFilters;
    private getLastAcknowledgeDate;
    static ɵfac: i0.ɵɵFactoryDeclaration<TopicSubscribersDataGridService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TopicSubscribersDataGridService>;
}
//# sourceMappingURL=topic-subscribers-data-grid.service.d.ts.map