import { AppStateService, ExtensionFactory, NavigatorNode, NavigatorService } from '@c8y/ngx-components';
import { MessagingNamespacesService } from '../api/services/messaging-namespaces.service';
import { Observable } from 'rxjs';
import { MessagingManagementGuard } from '../messaging-management.guard';
import * as i0 from "@angular/core";
export declare class MessagingNavigatorNodeFactory implements ExtensionFactory<NavigatorNode> {
    appState: AppStateService;
    navigatorService: NavigatorService;
    namespacesService: MessagingNamespacesService;
    guard: MessagingManagementGuard;
    currentTenantId: Observable<string>;
    navigatorNode$: Observable<NavigatorNode | NavigatorNode[]>;
    constructor();
    get(): Observable<NavigatorNode | NavigatorNode[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MessagingNavigatorNodeFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MessagingNavigatorNodeFactory>;
}
//# sourceMappingURL=messaging-navigator-factory.d.ts.map