import { PipeTransform } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class TimeToLivePipe implements PipeTransform {
    private translateService;
    constructor(translateService: TranslateService);
    /**
     * Transform time in seconds to human readable format.
     * @param seconds time in seconds
     * @returns human readable time period
     */
    transform(seconds: number | null): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimeToLivePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<TimeToLivePipe, "timeToLive", true>;
}
//# sourceMappingURL=time-to-live.pipe.d.ts.map