import { OnInit } from '@angular/core';
import { IOperationBulk } from '@c8y/client';
import { AlertService, GainsightService } from '@c8y/ngx-components';
import { OperationSchedule } from '@c8y/ngx-components/operations/bulk-operation-scheduler';
import { BulkOperationsService } from '@c8y/ngx-components/operations/bulk-operations-service';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BulkOperationsRescheduleModalComponent implements OnInit {
    bsModalRef: BsModalRef;
    private bulkOperationsService;
    private alert;
    private gainsightService;
    BULK_OPERATION_EVENT: string;
    closeSubject: Subject<IOperationBulk>;
    dateAndDelay: OperationSchedule;
    bulkOperation: Partial<IOperationBulk>;
    isRetryOperation: boolean;
    modalTitle: string;
    private readonly CARRIAGE_RETURN_CODE;
    constructor(bsModalRef: BsModalRef, bulkOperationsService: BulkOperationsService, alert: AlertService, gainsightService: GainsightService);
    onKeyUp(event: KeyboardEvent): void;
    ngOnInit(): void;
    onDateAndDelaySelect($event: any): void;
    getTitle(): "Retry operation" | "Edit schedule";
    onCancel(): void;
    onSave(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BulkOperationsRescheduleModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BulkOperationsRescheduleModalComponent, "c8y-bulk-operations-reschedule-modal", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=bulk-operations-reschedule-modal.component.d.ts.map