import { CdkStep } from '@angular/cdk/stepper';
import { TemplateRef } from '@angular/core';
import { C8yStepper } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class CustomStep {
    templateRef: TemplateRef<any>;
    label: string;
    completed: string;
    buttonsDisabled: boolean;
    constructor(templateRef: TemplateRef<any>);
    onNext: (event: {
        stepper: C8yStepper;
        step: CdkStep;
    }) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomStep, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CustomStep, "[customStep]", never, { "label": { "alias": "customStep"; "required": false; }; "completed": { "alias": "customStepCompleted"; "required": false; }; "buttonsDisabled": { "alias": "customStepButtonsDisabled"; "required": false; }; "onNext": { "alias": "customStepOnNext"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=custom-step.directive.d.ts.map