import { Route } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
import * as i1 from "./bulk-operations-stepper-container.component";
import * as i2 from "@c8y/ngx-components";
import * as i3 from "@angular/router";
export declare const bulkOperatioStepperRoutes: Route[];
/**
 * Container module for the new bulk operation steppers. Use this module in your application
 * to provide a step by step guided process for scheduling of bulk operations.
 * The module reads the bulk operation type from the URL and displays the corresponding stepper.
 * You can provide stepper for your custom bulk operation type by registering it with the
 * HOOK_LIST_BULK_TYPE injection token.
 */
export declare class BulkOperationsStepperContainerModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<BulkOperationsStepperContainerModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<BulkOperationsStepperContainerModule, [typeof i1.BulkOperationsStepperContainerComponent], [typeof i2.CoreModule, typeof i3.RouterModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<BulkOperationsStepperContainerModule>;
}
//# sourceMappingURL=bulk-operations-stepper-container.module.d.ts.map