import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Column, UserPreferencesGridConfigContext } from '@c8y/ngx-components';
import { DeviceGridComponent } from '@c8y/ngx-components/device-grid';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class DeviceSelectorComponent implements OnInit, OnDestroy {
    static readonly GRID_CONFIG_CONTEXT: UserPreferencesGridConfigContext;
    deviceGrid: DeviceGridComponent;
    deviceTypes: Observable<string[]>;
    typeColumn: Column;
    onDeviceQueryStringChange: EventEmitter<string>;
    columns: Column[];
    private unsubscribe$;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DeviceSelectorComponent, "c8y-device-selector", never, { "deviceTypes": { "alias": "deviceTypes"; "required": false; }; }, { "onDeviceQueryStringChange": "onDeviceQueryStringChange"; }, never, never, false, never>;
}
//# sourceMappingURL=device-selector.component.d.ts.map