import { IOperation, OperationService, SmartRulesService } from '@c8y/client';
import { Ng1SmartRulesService } from '@c8y/ngx-components/upgrade';
import * as i0 from "@angular/core";
export declare class OperationsListService {
    private operationService;
    private smartRulesService;
    private ng1SmartRulesService;
    constructor(operationService: OperationService, smartRulesService: SmartRulesService, ng1SmartRulesService: Ng1SmartRulesService);
    getOperations(customFilter?: {}): Promise<import("@c8y/client").IResultList<IOperation>>;
    isSmartRulesMicroserviceAvailable(): Promise<boolean>;
    getSmartRulesCreatePermissions(): any;
    createSmartRule(operation: Partial<IOperation>): Promise<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<OperationsListService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OperationsListService>;
}
//# sourceMappingURL=operations-list.service.d.ts.map