import { TemplateRef } from '@angular/core';
import { IOperation, IResultList } from '@c8y/client';
import { ForOfFilterPipe, OperationRealtimeService } from '@c8y/ngx-components';
import { OperationsService, OperationStatusOptionsMapShared } from '@c8y/ngx-components/operations/shared';
import * as i0 from "@angular/core";
export declare class OperationsTimelineComponent {
    realtime: OperationRealtimeService;
    operationsService: OperationsService;
    operations: IResultList<IOperation>;
    sourceId: string;
    filterPipe: ForOfFilterPipe<IOperation>;
    bodyTemplate: TemplateRef<any>;
    footerTemplates: Array<TemplateRef<any>>;
    propertiesToHide: string[];
    OPERATION_STATUS_OPTIONS_MAP: OperationStatusOptionsMapShared;
    constructor(realtime: OperationRealtimeService, operationsService: OperationsService);
    static ɵfac: i0.ɵɵFactoryDeclaration<OperationsTimelineComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OperationsTimelineComponent, "c8y-operations-timeline", never, { "operations": { "alias": "operations"; "required": false; }; "sourceId": { "alias": "sourceId"; "required": false; }; "filterPipe": { "alias": "filterPipe"; "required": false; }; "bodyTemplate": { "alias": "bodyTemplate"; "required": false; }; "footerTemplates": { "alias": "footerTemplates"; "required": false; }; "propertiesToHide": { "alias": "propertiesToHide"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=operations-timeline.component.d.ts.map