import { IOperation, OperationService } from '@c8y/client';
import { AlertService, ModalService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class OperationsService {
    private operationService;
    private modal;
    private alertService;
    constructor(operationService: OperationService, modal: ModalService, alertService: AlertService);
    getStandardKeys(operation: IOperation): any;
    getNonStandardKeys(operation: IOperation, excluding?: string[]): any;
    cancel(operation: Partial<IOperation>): Promise<void>;
    private getKeys;
    static ɵfac: i0.ɵɵFactoryDeclaration<OperationsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OperationsService>;
}
//# sourceMappingURL=operations.service.d.ts.map