import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { PlatformConfigurationFormProviderService } from './platform-configuration-form-provider.service';
import * as i0 from "@angular/core";
export declare class PlatformConfigurationFormComponent {
    private formProviderService;
    set _optionsGroups(groupIds: string[]);
    set readOnly(disabled: boolean);
    set formValue(value: any);
    optionsGroups: any[];
    onSave: EventEmitter<any>;
    form: FormGroup<{}>;
    lineBreakHint: "Use [Enter] or <br> tag to add a new line";
    constructor(formProviderService: PlatformConfigurationFormProviderService);
    /**
     * Parses provided object's property values
     * @param options
     */
    parseConfiguration(options: object): void;
    /**
     * Parses incoming raw object before it is applied to FormGroup.
     */
    afterLoad(options: object): object;
    /**
     * Translates ui.email.protocolAndEncryption field into
     * separate email.protocol and email.connection.encrypted
     */
    beforeSave(value: any): object;
    getDirtyValues(): {};
    emitForm(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PlatformConfigurationFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PlatformConfigurationFormComponent, "c8y-platform-configuration-form", never, { "_optionsGroups": { "alias": "optionsGroups"; "required": false; }; "readOnly": { "alias": "readOnly"; "required": false; }; "formValue": { "alias": "formValue"; "required": false; }; }, { "onSave": "onSave"; }, never, never, false, never>;
}
//# sourceMappingURL=platform-configuration-form.component.d.ts.map