import { OnInit } from '@angular/core';
import { AlertService, ModalService } from '@c8y/ngx-components';
import { MultipleLnsConnectorService } from './multiple-lns-connector.service';
import { TranslateService } from '@ngx-translate/core';
import { ActilityConnection, LpwanState } from './multiple-lns-connector.model';
import { BsModalService } from 'ngx-bootstrap/modal';
import { NgForm } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class ActilityMultipleLnsConnectorComponent implements OnInit {
    private connectorService;
    private alertService;
    private translateService;
    private modal;
    private modalService;
    state: LpwanState;
    connection: ActilityConnection;
    connections: ActilityConnection[];
    connectorsForm: NgForm;
    showPassword: boolean;
    cardHeader: "Actility connections";
    allowedSpecialCharacters: string;
    namePattern: string;
    namePatternError: any;
    originalConnection: ActilityConnection;
    constructor(connectorService: MultipleLnsConnectorService, alertService: AlertService, translateService: TranslateService, modal: ModalService, modalService: BsModalService);
    ngOnInit(): Promise<void>;
    loadConnections(): Promise<void>;
    setModel(connectionObj?: any): Promise<void>;
    setAdminAndCoreApiVersion(): Promise<void>;
    resetEditedUnsavedConnection(): Promise<void>;
    addConnection(): Promise<void>;
    save(): Promise<void>;
    deleteConnection(originalConnection: any): Promise<void>;
    changePassword(): void;
    saveConnection(): Promise<void>;
    private delete;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActilityMultipleLnsConnectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ActilityMultipleLnsConnectorComponent, "actility-multiple-lns-connector", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=actility-multiple-lns-connector.component.d.ts.map