import { OnDestroy, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ActivatedRoute } from '@angular/router';
import { FormlyFieldConfig, FormlyFormBuilder, FormlyFormOptions } from '@ngx-formly/core';
import { Lwm2mBootstrapParametersService } from '@c8y/ngx-components/protocol-lwm2m/services';
import { Lwm2mBootstrapParameters } from '@c8y/ngx-components/protocol-lwm2m/model';
import { AlertService, Permissions } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class Lwm2mBootstrapParametersComponent implements OnInit, OnDestroy {
    private alertService;
    private permissions;
    private builder;
    private lwm2mBootstrapParametersSvc;
    private route;
    fields: FormlyFieldConfig[];
    form: FormGroup;
    model: {};
    options: FormlyFormOptions;
    private readonly writePermissionMissingAlert;
    private readonly DISABLED_HINT_TEXT;
    private readonly pattern;
    private deviceId;
    constructor(alertService: AlertService, permissions: Permissions, builder: FormlyFormBuilder, lwm2mBootstrapParametersSvc: Lwm2mBootstrapParametersService, route: ActivatedRoute);
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    disablePSKField(formState: {
        disabled: boolean;
        mainModel: Lwm2mBootstrapParameters;
    }, field: FormlyFieldConfig): boolean;
    save(): Promise<void>;
    getBootstrapParameters(): Promise<Lwm2mBootstrapParameters>;
    static ɵfac: i0.ɵɵFactoryDeclaration<Lwm2mBootstrapParametersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Lwm2mBootstrapParametersComponent, "c8y-lwm2m-bootstrap-parameters", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=lwm2m-bootstrap-parameters.component.d.ts.map