import { ConnectivitySettings, LWM2MEndpoint } from '@c8y/ngx-components/protocol-lwm2m/model';
import { Lwm2mFormWrapperBase } from './form-wrapper-base.component';
import { Lwm2mConfigurationService } from '@c8y/ngx-components/protocol-lwm2m/services';
import * as i0 from "@angular/core";
export declare class Lwm2mFormConnectivitySettings extends Lwm2mFormWrapperBase<ConnectivitySettings> {
    protected service: Lwm2mConfigurationService<ConnectivitySettings>;
    protected endpoint: LWM2MEndpoint;
    constructor(service: Lwm2mConfigurationService<ConnectivitySettings>);
    createForm(): {
        fieldGroup: {
            key: string;
            wrappers: string[];
            props: {
                label: "Bootstrap server authentication" | "Server authentication";
            };
            fieldGroup: ({
                type: string;
                props: {
                    options: import("rxjs").Observable<import("@c8y/ngx-components/protocol-lwm2m/model").SecurityModeDictionaryObj[]>;
                };
            } | {
                type: string;
                props?: undefined;
            })[];
        }[];
    }[];
    static ɵfac: i0.ɵɵFactoryDeclaration<Lwm2mFormConnectivitySettings, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Lwm2mFormConnectivitySettings, "c8y-lwm2m-form-connectivity-settings", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=connectivity-settings.component.d.ts.map