import { FetchClient, IIdentified, IResult } from '@c8y/client';
import { ActionControlFactory, ActionControlHook, AlertService, ModalService, TenantUiService } from '@c8y/ngx-components';
import { Lwm2mManagedObject } from '@c8y/ngx-components/protocol-lwm2m/model';
import { Lwm2mClientService } from '@c8y/ngx-components/protocol-lwm2m/services';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class Lwm2mDeviceGridFactory extends Lwm2mClientService<Lwm2mManagedObject> implements ActionControlFactory {
    private tenantService;
    private modal;
    private translateService;
    private alertService;
    protected listUrl: string;
    constructor(client: FetchClient, tenantService: TenantUiService, modal: ModalService, translateService: TranslateService, alertService: AlertService);
    get(): ActionControlHook;
    onDelete(device: Lwm2mManagedObject): Promise<void>;
    delete(entityOrId: string | number | IIdentified): Promise<IResult<null>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<Lwm2mDeviceGridFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Lwm2mDeviceGridFactory>;
}
//# sourceMappingURL=lwm2m-device-grid.factory.d.ts.map