import { ElementRef } from '@angular/core';
import { FieldType, FieldTypeConfig } from '@ngx-formly/core';
import { Lwm2mConfigurationService } from '@c8y/ngx-components/protocol-lwm2m/services';
import { AlertService, FilesService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class Lwm2mFilePickAndReplaceType extends FieldType<FieldTypeConfig> {
    private service;
    private fileService;
    private alertService;
    picker: ElementRef<HTMLInputElement>;
    private fileReader;
    constructor(service: Lwm2mConfigurationService<unknown>, fileService: FilesService, alertService: AlertService);
    onFocus(): void;
    onPick(event: any): void;
    remove(): void;
    private onLoad;
    static ɵfac: i0.ɵɵFactoryDeclaration<Lwm2mFilePickAndReplaceType, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Lwm2mFilePickAndReplaceType, "c8y-lwm2m-file-pick-replace-type", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=lwm2m-file-pick-and-replace.type.component.d.ts.map