import { FetchClient, IResult } from '@c8y/client';
import { Lwm2mBootstrapParameters } from '@c8y/ngx-components/protocol-lwm2m/model';
import { Lwm2mClientService } from './lwm2m-client.service';
import * as i0 from "@angular/core";
export declare class Lwm2mBootstrapParametersService extends Lwm2mClientService<Lwm2mBootstrapParameters> {
    constructor(client: FetchClient);
    detail(id: string): Promise<IResult<Lwm2mBootstrapParameters | any>>;
    update(entity: Lwm2mBootstrapParameters): Promise<IResult<Lwm2mBootstrapParameters | any>>;
    onBeforeUpdate(entity: Lwm2mBootstrapParameters): Lwm2mBootstrapParameters;
    getDetailUrl(entity: Lwm2mBootstrapParameters): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<Lwm2mBootstrapParametersService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Lwm2mBootstrapParametersService>;
}
//# sourceMappingURL=lwm2m-bootstrap-parameters.service.d.ts.map