import { FetchClient, IFetchOptions, IFetchResponse, IIdentified, IResult, Service } from '@c8y/client';
import { Lwm2mManagedObject } from '@c8y/ngx-components/protocol-lwm2m/model';
import * as i0 from "@angular/core";
export declare class Lwm2mClientService<T extends IIdentified> extends Service<IIdentified> {
    protected listUrl: string;
    protected baseUrl: string;
    constructor(client: FetchClient);
    isLwm2mDevice(mo: Lwm2mManagedObject): boolean;
    detail(entityOrId: string | number | T, filter?: object): Promise<IResult<T | any>>;
    update(entity: T): Promise<IResult<T | any>>;
    fetch(url: string, init?: IFetchOptions): Promise<IFetchResponse>;
    static ɵfac: i0.ɵɵFactoryDeclaration<Lwm2mClientService<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Lwm2mClientService<any>>;
}
//# sourceMappingURL=lwm2m-client.service.d.ts.map