import { OnInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { NgModelGroup } from '@angular/forms';
import { AddressSpaceService } from './address-space.service';
import { OpcuaMeasurementObjectMapping, OpcuaCustomActionObjectMapping, OpcuaAlarmObjectMapping, OpcuaEventObjectMapping } from './mappings';
import * as i0 from "@angular/core";
export declare class OpcuaDeviceProtocolMapping implements OnInit, OnChanges {
    private addressSpaceService;
    subFormRef: NgModelGroup;
    browsePathModel: any;
    _model: any;
    index: any;
    getParentAttr: any;
    referencedServerId: any;
    referencedRootNodeId: any;
    onAction: EventEmitter<any>;
    mapping: any;
    isDetailOpen: any;
    referencedNode: any;
    isPathFocused: boolean;
    groupName: string;
    browsePath: string;
    nodeDisplayName: string;
    isBrowsePathUniq: boolean;
    dataReporting: string;
    isTreeOpen: boolean;
    isNew: boolean;
    resetModel: boolean;
    dataReportingName: any;
    mappingTypes: (typeof OpcuaCustomActionObjectMapping | typeof OpcuaMeasurementObjectMapping | typeof OpcuaEventObjectMapping | typeof OpcuaAlarmObjectMapping)[];
    private objectMappingState;
    constructor(addressSpaceService: AddressSpaceService);
    toggleDetail(): void;
    getMappings: () => any;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onMappingUpdate({ dirty, valid }: {
        dirty: boolean;
        valid: boolean;
        touched?: boolean;
    }): void;
    initialFormSetup(): void;
    showAddressSpaceTree(): boolean;
    ngAfterViewInit(): void;
    mapHeadersObjectToList(headers: any): {
        key: string;
        value: any;
    }[];
    stringfyBrowsePath(path: any): string;
    updateBrowsePath(node: any): void;
    updateDisplayname(): void;
    updateBrowsePathInput(): void;
    save(): void;
    cancel(): void;
    onDelete(): void;
    canSave({ valid, dirty }: {
        valid: any;
        dirty: any;
    }): boolean;
    isActive(): any;
    setTreeFromRefNode(): void;
    updateSubscriptionType(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpcuaDeviceProtocolMapping, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OpcuaDeviceProtocolMapping, "opcua-device-protocol-mapping", never, { "_model": { "alias": "resource"; "required": false; }; "index": { "alias": "index"; "required": false; }; "getParentAttr": { "alias": "getParentAttr"; "required": false; }; "referencedServerId": { "alias": "referencedServerId"; "required": false; }; "referencedRootNodeId": { "alias": "referencedRootNodeId"; "required": false; }; }, { "onAction": "onAction"; }, never, never, false, never>;
}
//# sourceMappingURL=opcua-device-protocol-mapping.component.d.ts.map