import * as i0 from "@angular/core";
import * as i1 from "./opcua-servers.component";
import * as i2 from "./opcua-server-list.component";
import * as i3 from "./opcua-server-config.component";
import * as i4 from "./opcua-address-space.component";
import * as i5 from "./opcua-address-space-tree.component";
import * as i6 from "./opcua-address-space-detail.component";
import * as i7 from "./opcua-device-protocol-description.component";
import * as i8 from "./opcua-device-protocol-detail.component";
import * as i9 from "./opcua-device-protocol-data-reporting.component";
import * as i10 from "./opcua-device-protocol-mapping.component";
import * as i11 from "./opcua-device-protocol-object-mapping-status-icon.component";
import * as i12 from "./opcua-auto-apply-settings.component";
import * as i13 from "./opcua-device-protocol-browse-path-validation.directive";
import * as i14 from "@c8y/ngx-components";
import * as i15 from "@angular/forms";
import * as i16 from "ngx-bootstrap/buttons";
import * as i17 from "@angular/cdk/tree";
import * as i18 from "@angular/router";
import * as i19 from "ngx-bootstrap/tooltip";
import * as i20 from "ngx-bootstrap/popover";
import * as i21 from "@angular/platform-browser/animations";
import * as i22 from "ngx-bootstrap/collapse";
import * as i23 from "ngx-bootstrap/dropdown";
import * as i24 from "@c8y/ngx-components/device-protocol-object-mappings";
export declare class OpcuaProtocolModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<OpcuaProtocolModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<OpcuaProtocolModule, [typeof i1.OpcuaServersComponent, typeof i2.OpcuaServerListComponent, typeof i3.OpcuaServerConfigComponent, typeof i4.OpcuaAddressSpaceComponent, typeof i5.OpcuaAddressSpaceTreeComponent, typeof i6.OpcuaAddressSpaceDetailComponent, typeof i7.OpcuaDeviceProtocolDescription, typeof i8.OpcuaDeviceProtocolDetailComponent, typeof i9.OpcuaDeviceProtocolDataReportingComponent, typeof i10.OpcuaDeviceProtocolMapping, typeof i11.OpcuaDeviceProtocolObjectMappingStatus, typeof i12.OpcuaAutoApplySettingsComponent, typeof i13.OpcuaDeviceProtocolBrowsePathValidation], [typeof i14.CoreModule, typeof i14.FormsModule, typeof i15.ReactiveFormsModule, typeof i14.DropAreaModule, typeof i16.ButtonsModule, typeof i17.CdkTreeModule, typeof i18.RouterModule, typeof i19.TooltipModule, typeof i20.PopoverModule, typeof i14.DeviceStatusModule, typeof i21.BrowserAnimationsModule, typeof i22.CollapseModule, typeof i23.BsDropdownModule, typeof i24.ObjectMappingComponent, typeof i14.DynamicFormsModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<OpcuaProtocolModule>;
}
//# sourceMappingURL=opcua-protocol.module.d.ts.map