import { OnInit } from '@angular/core';
import { AlertService, ContextRouteComponent } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import { OpcuaServer } from './opcua-server.interface';
import { OpcuaService } from './opcuaService';
import * as i0 from "@angular/core";
export declare class OpcuaServersComponent implements OnInit {
    private opcuaService;
    private alertService;
    private translateService;
    private context;
    serverObjectList: OpcuaServer[];
    initialServerObject: OpcuaServer;
    server: OpcuaServer;
    active: boolean;
    private moId;
    private NEW_SERVER_ID;
    constructor(opcuaService: OpcuaService, alertService: AlertService, translateService: TranslateService, context: ContextRouteComponent);
    ngOnInit(): Promise<void>;
    localServerObjectExist(): boolean;
    addServer(): void;
    onSaved(server: OpcuaServer): void;
    reloadTabs(): void;
    onCanceled(server: OpcuaServer): void;
    onRemoved(server: OpcuaServer): void;
    getKeystore(binaryId: string): Promise<import("packages/client/lib").IManagedObject>;
    onPresent(server: OpcuaServer): Promise<void>;
    private createServer;
    private updateServer;
    private removeServer;
    private removeServerObjectListById;
    private updateServerObjectListById;
    private setQuickInfo;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpcuaServersComponent, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OpcuaServersComponent, "opcua-servers", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=opcua-servers.component.d.ts.map