export interface ApplicationExtension {
    name: string;
    description: string;
    type: string;
}
export interface ExtensibleDeviceRegistrationProvider extends ApplicationExtension {
    contextPath: string;
}
export declare const PRODUCT_EXPERIENCE_BASE_REGISTRATION: {
    readonly EVENT: "deviceRegistration";
    readonly COMPONENT: {
        readonly BULK: "bulk-registration";
        readonly EXTENSIBLE_BULK: "bulk-extensible-registration";
        readonly EXTENSIBLE_SINGLE: "single-extensible-registration";
    };
    readonly RESULT: {
        readonly SUCCESS: "registrationSuccess";
        readonly FAILURE: "registrationFailure";
    };
};
//# sourceMappingURL=base-device-registration.model.d.ts.map