import { ApplicationService } from '@c8y/client';
import { AppStateService } from '@c8y/ngx-components';
import { ExtensibleDeviceRegistrationProvider } from './base-device-registration.model';
export declare class BaseExtensibleDeviceRegistrationService {
    protected applicationService: ApplicationService;
    protected stateService: AppStateService;
    constructor(applicationService: ApplicationService, stateService: AppStateService);
    protected getMetadataUrl(contextPath: string): string;
    protected getServiceBaseUrl(contextPath: string): string;
    protected getDeviceRegistrationProviders(bulk: boolean): Promise<ExtensibleDeviceRegistrationProvider[]>;
    private listMicroservicesByUser;
    private getProvidersFromManifestExtensions;
    private getProvidersFromExtensions;
    private appSupportingExtensibleDeviceRegistrationForm;
}
//# sourceMappingURL=base-extensible-device-registration.service.d.ts.map