import { CellRendererContext } from '@c8y/ngx-components';
import { RemoteAccessService } from '@c8y/ngx-components/remote-access/data';
import * as i0 from "@angular/core";
export declare class RemoteAccessConnectButtonComponent {
    private remoteAccess;
    private context?;
    deviceId: import("@angular/core").InputSignal<string>;
    configurationId: import("@angular/core").InputSignal<string>;
    protocol: import("@angular/core").InputSignal<string>;
    connectHref: ReturnType<RemoteAccessConnectButtonComponent['getEndpointHref']>;
    private protocolProviders;
    constructor(remoteAccess: RemoteAccessService, context?: CellRendererContext);
    getEndpointHref(): import("@angular/core").Signal<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RemoteAccessConnectButtonComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RemoteAccessConnectButtonComponent, "c8y-remote-access-connect-button", never, { "deviceId": { "alias": "deviceId"; "required": false; "isSignal": true; }; "configurationId": { "alias": "configurationId"; "required": false; "isSignal": true; }; "protocol": { "alias": "protocol"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=remote-access-connect-button.component.d.ts.map