import { RemoteAccessConfiguration, RemoteAccessProtocolProvider, RemoteAccessService } from '@c8y/ngx-components/remote-access/data';
import * as i0 from "@angular/core";
export declare class PassthroughRemoteAccessProtocolProviderService implements RemoteAccessProtocolProvider {
    private remoteAccess;
    protocolName: string;
    protocolLabel: "Passthrough";
    protocolDescription: "Allows to passthrough a TCP connction.";
    protocolIcon: "globe";
    constructor(remoteAccess: RemoteAccessService);
    removeEndpoint(deviceId: string, currentEndpointConfig: RemoteAccessConfiguration): Promise<void>;
    connectEndpointHref(_deviceId: string, _configuration: RemoteAccessConfiguration): Promise<string | null>;
    getDefaultEndpointConfiguration(): Promise<Partial<RemoteAccessConfiguration>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PassthroughRemoteAccessProtocolProviderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PassthroughRemoteAccessProtocolProviderService>;
}
export declare const remoteAccessPassthroughProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map