import { OnInit } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { RemoteAccessConfiguration } from '@c8y/ngx-components/remote-access/data';
import * as i0 from "@angular/core";
export declare class RemoteAccessBasicEndpointModalComponent implements OnInit {
    private formBuilder;
    title: "Remote access endpoint";
    form: ReturnType<typeof this.initForm>;
    currentValue: Partial<RemoteAccessConfiguration>;
    result: Promise<Partial<{
        id: string;
        name: string;
        hostname: string;
        port: number;
        protocol: string;
        credentialsType: "NONE" | "PASS_ONLY";
        attrs: any;
    }>>;
    private _resolve;
    private _reject;
    constructor(formBuilder: FormBuilder);
    ngOnInit(): void;
    initForm(): import("@angular/forms").FormGroup<{
        id: import("@angular/forms").FormControl<string>;
        name: import("@angular/forms").FormControl<string>;
        hostname: import("@angular/forms").FormControl<string>;
        port: import("@angular/forms").FormControl<number>;
        protocol: import("@angular/forms").FormControl<string>;
        credentialsType: import("@angular/forms").FormControl<"NONE" | "PASS_ONLY">;
        attrs: import("@angular/forms").FormControl<any>;
    }>;
    cancel(): void;
    save(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RemoteAccessBasicEndpointModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RemoteAccessBasicEndpointModalComponent, "c8y-remote-access-basic-endpoint-modal", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=remote-access-basic-endpoint-modal.component.d.ts.map