import type { Terminal } from '@xterm/xterm';
export declare class ShellAdapter {
    private terminal;
    private termType;
    constructor(terminal: Terminal, termType?: string);
    filterNonPrintable(str: string): string;
    setTermType(type: any): void;
    filterReceiveData(data: any): {
        dataToSend: string | Uint8Array;
        dataToDisplay: string;
    };
    filterSendData(data: any): Uint8Array | "";
}
//# sourceMappingURL=shell-adapter.d.ts.map