import { OnInit } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import type { NoVncCredentials } from '@novnc/novnc/lib/rfb';
import { BsModalRef } from 'ngx-bootstrap/modal';
import * as i0 from "@angular/core";
export declare class VncCredentialsPromptComponent implements OnInit {
    private formBuilder;
    private modalRef;
    title: "VNC credentials";
    types: Array<keyof NoVncCredentials>;
    result: Promise<Partial<{
        username: string;
        password: string;
    }>>;
    selectedType: string;
    showUsername: boolean;
    form: ReturnType<typeof this.initForm>;
    private _resolve;
    private _reject;
    constructor(formBuilder: FormBuilder, modalRef: BsModalRef);
    ngOnInit(): void;
    initForm(): import("@angular/forms").FormGroup<{
        username: import("@angular/forms").FormControl<string>;
        password: import("@angular/forms").FormControl<string>;
    }>;
    cancel(): void;
    save(): void;
    submit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VncCredentialsPromptComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VncCredentialsPromptComponent, "c8y-vnc-credentials-prompt", never, { "types": { "alias": "types"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=vnc-credentials-prompt.component.d.ts.map