import { IManagedObject, InventoryService } from '@c8y/client';
import { NavigatorService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class ReportDashboardService {
    private inventoryService;
    private navigatorService;
    private queriesUtil;
    constructor(inventoryService: InventoryService, navigatorService: NavigatorService);
    listReports(options?: {
        filter?: any;
        pageSize?: number;
    }): Promise<import("@c8y/client").IResultList<IManagedObject>>;
    removeNavigatorNode(report: IManagedObject): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReportDashboardService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ReportDashboardService>;
}
//# sourceMappingURL=report-dashboard.service.d.ts.map