import { CronConfig, Base } from './export-schedules.interface';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class CronService {
    private translateService;
    daysOfWeekPosix: any[];
    daysOfMonth: {
        value: string;
        label: string;
    }[];
    months: any[];
    hours: any[];
    minutes: any[];
    intervals: ({
        value: number;
        label: "Hour";
    } | {
        value: number;
        label: "Day";
    } | {
        value: number;
        label: "Week";
    } | {
        value: number;
        label: "Month";
    } | {
        value: number;
        label: "Year";
    })[];
    constructor(translateService: TranslateService);
    generateCron(cronConfig: CronConfig): string;
    generateCronConfig(cron: string): CronConfig;
    getBase(cronConfig: CronConfig): Base;
    validateModels(base: Base, cronConfig: CronConfig): boolean;
    clearNextModels(base: Base, cronConfig: CronConfig): void;
    getWeekDayName(cronConfig: CronConfig): string;
    getMonthDayName(cronConfig: CronConfig): string;
    getMonthName(cronConfig: CronConfig): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CronService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CronService>;
}
//# sourceMappingURL=cron.service.d.ts.map