import { OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { IManagedObject, IOperation, InventoryService } from '@c8y/client';
import { AlertService } from '@c8y/ngx-components';
import { RepositoryService } from '@c8y/ngx-components/repository/shared';
import { DeviceConfigurationService } from './device-configuration.service';
import * as i0 from "@angular/core";
export declare class TextBasedConfigurationComponent implements OnInit {
    private route;
    private alertService;
    private repositoryService;
    private deviceConfigurationService;
    private inventoryService;
    device: IManagedObject;
    latestOperation: IOperation;
    showTextBasedConfigReload: boolean;
    showTextBasedConfigSave: boolean;
    reloadingConfig: boolean;
    config: string;
    constructor(route: ActivatedRoute, alertService: AlertService, repositoryService: RepositoryService, deviceConfigurationService: DeviceConfigurationService, inventoryService: InventoryService);
    ngOnInit(): Promise<void>;
    load(): Promise<void>;
    loadOperation(): Promise<void>;
    get savingConfig(): boolean;
    reloadConfiguration(): Promise<void>;
    updateConfiguration(config: any): Promise<void>;
    private onOperationReloadSuccess;
    private onOperationReloadError;
    private onOperationReloadComplete;
    private onOperationUpdateSuccess;
    private onOperationUpdateError;
    private onOperationUpdateComplete;
    private loadDevice;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextBasedConfigurationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextBasedConfigurationComponent, "c8y-text-based-configuration", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=text-based-configuration.component.d.ts.map