import { BaseColumn, ColumnConfig } from '@c8y/ngx-components';
import { RepositoryType } from '../repository.model';
export declare class TypeGridColumn extends BaseColumn {
    repositoryType: RepositoryType;
    constructor(initialColumnConfig?: ColumnConfig & {
        /** Column header */
        header?: string;
        /** Search field label */
        filterLabel?: string;
        /** Search field placeholder */
        placeholder?: string;
        /** MO property path to be used for quering */
        path?: string;
        /** Repository type */
        repositoryType?: RepositoryType;
        /** Typeahead input placeholder example value */
        example?: string;
    });
}
//# sourceMappingURL=type.grid-column.d.ts.map