import { EventEmitter, OnInit } from '@angular/core';
import { AssetSearchService } from './search.service';
import * as i0 from "@angular/core";
export type Checkbox = {
    label: string;
    name: string;
    value: boolean;
    indeterminate?: boolean;
    isDisabled?: boolean;
};
export declare class SearchCustomFiltersComponent implements OnInit {
    private assetSearchService;
    customDataQuery: EventEmitter<any>;
    refresh: EventEmitter<any>;
    checkboxesState: Array<Checkbox>;
    constructor(assetSearchService: AssetSearchService);
    ngOnInit(): void;
    onCheckboxChange(event: Event, checkbox: Checkbox): void;
    private saveCheckboxValue;
    private onSelectAll;
    private onAllDevices;
    private onGroupsAndAssets;
    private getCheckbox;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchCustomFiltersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchCustomFiltersComponent, "c8y-search-custom-filters", never, {}, { "customDataQuery": "customDataQuery"; "refresh": "refresh"; }, never, never, false, never>;
}
//# sourceMappingURL=search-custom-filters.component.d.ts.map