export declare const SERVICE_FRAGMENT = "c8y_Service";
export declare const SERVICE_COMMANDS_MAP: {
    START: {
        label: "Start";
        command: string;
        icon: string;
        styleClass: string;
    };
    STOP: {
        label: "Stop";
        command: string;
        icon: string;
        styleClass: string;
    };
    RESTART: {
        label: "Restart";
        command: string;
        icon: string;
        styleClass: string;
    };
};
export interface Service {
    id: string;
    name: string;
    serviceType: string;
    status: string;
    c8y_SupportedOperations?: string[];
    c8y_SupportedServiceCommands?: string[];
    [key: string]: unknown;
}
//# sourceMappingURL=services.model.d.ts.map