import { StatusOption } from './status-options.model';
import * as i0 from "@angular/core";
/**
 * The service for system wide registered service status options.
 * It provides the standard service statuses plus all custom status options
 * registered with the <code>HOOK_SERVICE_STATUS</code> extension hook.
 */
export declare class StatusOptionsService {
    get options(): StatusOption[];
    private _options;
    constructor(options: Array<StatusOption | StatusOption[]>);
    static ɵfac: i0.ɵɵFactoryDeclaration<StatusOptionsService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StatusOptionsService>;
}
//# sourceMappingURL=status-options.service.d.ts.map