import { OnInit } from '@angular/core';
import type { StaticAsset, StaticAssetType } from '@c8y/ngx-components/static-assets/data';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { Observable } from 'rxjs';
import { StaticAssetsService } from '@c8y/ngx-components/static-assets/data';
import { DroppedFile } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class StaticAssetsModalComponent implements OnInit {
    private modalRef;
    private staticAssets;
    assetType: StaticAssetType;
    supportedFileExtensions: string[];
    modalTitle: string;
    layout: 'list' | 'grid';
    result: Promise<StaticAsset>;
    files$: Observable<StaticAsset[]>;
    accept: string;
    isExpanded: boolean;
    private _unfilteredFiles$;
    private _filesUpdate$;
    private resolve;
    private reject;
    constructor(modalRef: BsModalRef, staticAssets: StaticAssetsService);
    ngOnInit(): void;
    addFiles(files: DroppedFile[]): Promise<void>;
    select(asset: StaticAsset): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StaticAssetsModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StaticAssetsModalComponent, "c8y-static-assets-modal", never, { "assetType": { "alias": "assetType"; "required": false; }; "supportedFileExtensions": { "alias": "supportedFileExtensions"; "required": false; }; "modalTitle": { "alias": "modalTitle"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=static-assets-modal.component.d.ts.map