import { OnChanges, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { IManagedObjectBinary } from '@c8y/client';
import { AlertService, C8yJSONSchema, FilesService } from '@c8y/ngx-components';
import { FormlyFieldConfig } from '@ngx-formly/core';
import { AssetPropertiesItem } from './asset-properties.model';
import { JSONSchema7 } from 'json-schema';
import * as i0 from "@angular/core";
export declare class AssetPropertiesItemComponent implements AssetPropertiesItem, OnChanges {
    private alert;
    private c8yJsonSchemaService;
    filesService: FilesService;
    key: string;
    value: any;
    label: string;
    type: string;
    file: IManagedObjectBinary;
    complex: AssetPropertiesItem[];
    isEdit: boolean;
    jsonSchema: JSONSchema7;
    form: FormGroup;
    fields: FormlyFieldConfig[];
    model: any;
    previewImage: any;
    constructor(alert: AlertService, c8yJsonSchemaService: C8yJSONSchema, filesService: FilesService);
    ngOnChanges(changes: SimpleChanges): Promise<void>;
    private resolveFile;
    private formComplexPropsValue;
    private getModel;
    private resolveJsonSchema;
    private getPreviewIfImage;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssetPropertiesItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AssetPropertiesItemComponent, "c8y-asset-properties-item", never, { "key": { "alias": "key"; "required": false; }; "value": { "alias": "value"; "required": false; }; "label": { "alias": "label"; "required": false; }; "type": { "alias": "type"; "required": false; }; "file": { "alias": "file"; "required": false; }; "complex": { "alias": "complex"; "required": false; }; "isEdit": { "alias": "isEdit"; "required": false; }; "jsonSchema": { "alias": "jsonSchema"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=asset-properties-item.component.d.ts.map