import { EventEmitter } from '@angular/core';
import { AlertService } from '@c8y/ngx-components';
import { InventoryService } from '@c8y/client';
import { SubAssetsService } from '../sub-assets.service';
import { IManagedObject } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class AssignChildDevicesComponent {
    private alert;
    private subAssetsService;
    private inventoryService;
    currentGroupId: string;
    parentDevice: IManagedObject;
    onCancel: EventEmitter<any>;
    onSelectedDevices: EventEmitter<string[]>;
    refresh: EventEmitter<any>;
    onlySelect: boolean;
    selected: string[];
    baseQuery: any;
    canAssignDevice: boolean;
    pendingStatus: boolean;
    constructor(alert: AlertService, subAssetsService: SubAssetsService, inventoryService: InventoryService);
    onEnterKeyDown(_event: KeyboardEvent): void;
    onEscapeKeyDown(_event: KeyboardEvent): void;
    ngOnInit(): Promise<void>;
    setNotIncludedInGroupQuery(): void;
    assignDevices(): Promise<void>;
    onSelected(selectedDevicesIDs: string[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssignChildDevicesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AssignChildDevicesComponent, "c8y-assign-child-devices", never, { "currentGroupId": { "alias": "currentGroupId"; "required": false; }; "parentDevice": { "alias": "parentDevice"; "required": false; }; "refresh": { "alias": "refresh"; "required": false; }; "onlySelect": { "alias": "onlySelect"; "required": false; }; }, { "onCancel": "onCancel"; "onSelectedDevices": "onSelectedDevices"; }, never, never, false, never>;
}
//# sourceMappingURL=assign-child-devices.component.d.ts.map