import { AbstractConfigurationStrategy, GridConfig, GridConfigContext, GridConfigContextProvider, UserPreferencesConfigurationStrategy } from '@c8y/ngx-components';
import { Observable } from 'rxjs';
import { SubAssetsGridConfigContext } from './sub-assets-grid-configuration-strategy.service';
import * as i0 from "@angular/core";
export declare class SmartGroupGridConfigurationStrategy extends AbstractConfigurationStrategy {
    protected userPreferencesConfigurationStrategy: UserPreferencesConfigurationStrategy;
    protected context: GridConfigContext;
    protected contextProvider: GridConfigContextProvider;
    constructor(userPreferencesConfigurationStrategy: UserPreferencesConfigurationStrategy, context: GridConfigContext, contextProvider: GridConfigContextProvider);
    getConfig$(context?: SubAssetsGridConfigContext): Observable<GridConfig>;
    saveConfig$(config: GridConfig, _context?: SubAssetsGridConfigContext): Observable<GridConfig>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SmartGroupGridConfigurationStrategy, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SmartGroupGridConfigurationStrategy>;
}
//# sourceMappingURL=smart-group-grid-configuration-strategy.service.d.ts.map