import { ActivatedRouteSnapshot } from '@angular/router';
import * as i0 from "@angular/core";
export declare class ExistingTenantGuard {
    /**
     * Checks if the current route is displayed for an existing tenant.
     *
     * @returns `true` if visiting a route for an existing tenant.
     */
    canActivate(route: ActivatedRouteSnapshot): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExistingTenantGuard, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ExistingTenantGuard>;
}
//# sourceMappingURL=existing-tenant.guard.d.ts.map