import { OnInit } from '@angular/core';
import { ITenant } from '@c8y/client';
import { AppStateService, TenantUiService, Permissions } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class SupportUserAccessComponent implements OnInit {
    private tenantUiService;
    private appState;
    private permissions;
    tenant: ITenant;
    isTopTenant: boolean;
    supportUserLogin: string;
    constructor(tenantUiService: TenantUiService, appState: AppStateService, permissions: Permissions);
    ngOnInit(): Promise<void>;
    private setSupportUserLogin;
    static ɵfac: i0.ɵɵFactoryDeclaration<SupportUserAccessComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SupportUserAccessComponent, "c8y-support-user-access", never, { "tenant": { "alias": "tenant"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=support-user-access.component.d.ts.map