import { FilterChip, FilteringFormRendererContext } from '@c8y/ngx-components';
import { DatePipe } from '@angular/common';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export interface Model {
    dateFrom: Date;
    dateTo: Date;
}
export declare class CreationTimeFilteringFormRendererComponent {
    context: FilteringFormRendererContext;
    private c8yDate;
    private translateService;
    model: Model;
    constructor(context: FilteringFormRendererContext, c8yDate: DatePipe, translateService: TranslateService);
    applyFilter(): void;
    getChipsForModel(model: Model): FilterChip[];
    resetFilter(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CreationTimeFilteringFormRendererComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CreationTimeFilteringFormRendererComponent, "c8y-creation-time-filtering-form-renderer", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=creation-time.filtering-form-renderer.component.d.ts.map