import { ModuleWithProviders } from '@angular/core';
import { TenantsModuleConfig } from './tenants.model';
import * as i0 from "@angular/core";
import * as i1 from "./tenant-list/tenant-list.component";
import * as i2 from "./tenant-list/creation-time.filtering-form-renderer.component";
import * as i3 from "./tenant-list/status.filtering-form-renderer.component";
import * as i4 from "./tenant-form/tenant-form.component";
import * as i5 from "ngx-bootstrap/datepicker";
import * as i6 from "@c8y/ngx-components";
import * as i7 from "@angular/router";
import * as i8 from "./support-user-access/support-user-access.component";
export declare class TenantsModule {
    static config(config?: TenantsModuleConfig): ModuleWithProviders<TenantsModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TenantsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TenantsModule, [typeof i1.TenantListComponent, typeof i2.CreationTimeFilteringFormRendererComponent, typeof i3.StatusFilteringFormRendererComponent, typeof i4.TenantFormComponent], [typeof i5.BsDatepickerModule, typeof i6.CoreModule, typeof i7.RouterModule, typeof i8.SupportUserAccessComponent], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TenantsModule>;
}
//# sourceMappingURL=tenants.module.d.ts.map