import { OnInit } from '@angular/core';
import { IEvent } from '@c8y/client';
import { PositionManagedObject } from '@c8y/ngx-components/map';
import { TrackingService } from './tracking.service';
import * as i0 from "@angular/core";
export declare class TrackingMarkerPopupComponent implements OnInit {
    trackingService: TrackingService;
    context: PositionManagedObject | IEvent;
    /**
     * Displays link to device tracking tab.
     */
    showTrackingLink: boolean;
    isDevice: boolean;
    date: Date;
    constructor(trackingService: TrackingService);
    ngOnInit(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TrackingMarkerPopupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TrackingMarkerPopupComponent, "c8y-tracking-marker-popup", never, { "context": { "alias": "context"; "required": false; }; "showTrackingLink": { "alias": "showTrackingLink"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=tracking-marker-popup.component.d.ts.map