import { OnInit } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class AddTranslationModalComponent implements OnInit {
    private formBuilder;
    readonly title: "Add translation";
    form: ReturnType<typeof this.initForm>;
    result: Promise<Partial<{
        key: string;
    }>>;
    alreadyTakenMsg: "The provided translation key has already been defined.";
    alreadyDefinedKeys: string[];
    availableLangs: {
        lang: string;
        nativeLanguage: string;
    }[];
    private _resovle;
    private _reject;
    constructor(formBuilder: FormBuilder);
    ngOnInit(): void;
    initForm(): import("@angular/forms").FormGroup<{
        key: import("@angular/forms").FormControl<string>;
    }>;
    cancel(): void;
    save(): void;
    private ensureNotExistingKey;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddTranslationModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddTranslationModalComponent, "c8y-add-translation-modal", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=add-translation-modal.component.d.ts.map