import { Router } from '@angular/router';
import { ExtensionFactory, Tab } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class TranslationEditorTabFactoryService implements ExtensionFactory<Tab> {
    private router;
    protected tabs: [{
        readonly label: "Basic";
        readonly path: "/localization/basic";
        readonly priority: 200;
        readonly icon: "language1";
    }, {
        readonly label: "Advanced";
        readonly path: "/localization/advanced";
        readonly priority: 100;
        readonly icon: "c8y-css";
    }];
    constructor(router: Router);
    get(): Tab[];
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslationEditorTabFactoryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TranslationEditorTabFactoryService>;
}
//# sourceMappingURL=translation-editor-tab-factory.service.d.ts.map