import { OnInit } from '@angular/core';
import { ITenantOption, TenantOptionsService } from '@c8y/client';
import { AlertService, OptionsService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class CrlCheckSettingsComponent implements OnInit {
    private optionsService;
    private tenantOptionsService;
    private alertService;
    crlCheck: {
        online: boolean;
        offline: boolean;
    };
    constructor(optionsService: OptionsService, tenantOptionsService: TenantOptionsService, alertService: AlertService);
    ngOnInit(): Promise<void>;
    updateTenantOption(tenantOption: ITenantOption): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CrlCheckSettingsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CrlCheckSettingsComponent, "c8y-crl-check-settings", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=crl-check-settings.component.d.ts.map