import { ElementRef, OnInit, OnDestroy } from '@angular/core';
import { DashboardBridgeService } from './dashboard-bridge.service';
import { OnBeforeSave, WidgetsDashboardComponent } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class WidgetComponent implements OnInit, OnDestroy, OnBeforeSave {
    private dashboard;
    private dashboardBridgeService;
    private el;
    ng1Scope: any;
    config: any;
    alerts: any;
    private resizeSubscription?;
    private readonly DEBOUNCE_TIME_UNTIL_WIDGET_HAS_SNAPPED;
    constructor(dashboard: WidgetsDashboardComponent, dashboardBridgeService: DashboardBridgeService, el: ElementRef);
    onBeforeSave(): boolean;
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetComponent, [{ optional: true; }, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WidgetComponent, "c8y-widget-legacy", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=widget.component.d.ts.map