import { IIdentified, IManagedObject } from '@c8y/client';
export declare abstract class Ng1UserInventoryRolesService {
    abstract listRootGroups({ onlyRootsUser }: {
        onlyRootsUser: any;
    }): Promise<IIdentified[]>;
    abstract flatTree(tree: any, depth?: any, list?: any): IIdentified[];
    abstract loadChildren(mo: IManagedObject): Promise<IManagedObject[]>;
    abstract expandAll(mos: IManagedObject[], callback: () => void): any;
}
export declare function UserInventoryRolesFactory(injector: any): any;
export declare const userInventoryRolesServiceProvider: {
    provide: typeof Ng1UserInventoryRolesService;
    useFactory: typeof UserInventoryRolesFactory;
    deps: string[];
};
//# sourceMappingURL=user-inventory-roles.service.d.ts.map