import { DynamicComponentErrorStrategy } from '@c8y/ngx-components';
export declare const alarmListWidgetDefinition: {
    id: "Alarm list";
    label: "Alarm list";
    description: "Displays a list of alarms filtered by object, severity, status and date";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/alarms").AlarmListWidgetComponent>;
    loadConfigComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/alarms").AlarmListWidgetConfigComponent>;
    previewImage: string;
    errorStrategy: DynamicComponentErrorStrategy.OVERLAY_ERROR;
    data: {
        schema: () => Promise<{
            default: typeof import("c8y-schema-loader?interfaceName=*");
            schema: import("json-schema").JSONSchema7;
        }>;
        settings: {
            alarmListWidget: boolean;
            noNewWidgets: false;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    noDeviceTarget: false;
                    groupsSelectable: true;
                    deviceTargetNotRequired: boolean;
                };
            };
        };
        displaySettings: {
            globalTimeContext: true;
            globalAutoRefreshContext: true;
        };
    };
};
export declare const alarmListWidgetProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map