import { DynamicComponentErrorStrategy } from '@c8y/ngx-components';
export declare const criticalAlarmsWidgetDefinition: {
    id: "Asset Alarms";
    label: "All critical alarms";
    description: "Display all critical alarms from all devices";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/alarms").AlarmListWidgetComponent>;
    loadConfigComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/alarms").AlarmListWidgetConfigComponent>;
    errorStrategy: DynamicComponentErrorStrategy.OVERLAY_ERROR;
    data: {
        schema: () => Promise<{
            default: typeof import("c8y-schema-loader?interfaceName=*");
            schema: import("json-schema").JSONSchema7;
        }>;
        settings: {
            criticalAlarmsWidget: boolean;
            noNewWidgets: true;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    noDeviceTarget: false;
                    groupsSelectable: true;
                    deviceTargetNotRequired: boolean;
                };
            };
        };
        displaySettings: {
            globalAutoRefreshContext: true;
        };
    };
};
export declare const criticalAlarmsWidgetProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map