import { DynamicComponentErrorStrategy, DynamicManagedObjectResolver } from '@c8y/ngx-components';
export declare const assetNotesWidgetDefinition: {
    id: "Asset Notes";
    label: "Asset notes";
    description: "Displays editable asset notes.";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/asset-notes").AssetNotesWidgetComponent>;
    previewImage: string;
    resolve: {
        device: typeof DynamicManagedObjectResolver;
    };
    errorStrategy: DynamicComponentErrorStrategy.OVERLAY_ERROR;
    data: {
        schema: () => Promise<{
            default: typeof import("c8y-schema-loader?interfaceName=*");
            schema: import("json-schema").JSONSchema7;
        }>;
        settings: {
            noNewWidgets: false;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    groupsSelectable: true;
                };
            };
        };
    };
};
export declare const assetNotesWidgetProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map