export declare const cockpitWelcomeWidgetDefinition: {
    id: "cockpit.welcome.widget";
    label: "Welcome to Cockpit";
    description: "Displays a welcome message for Cockpit";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/cockpit-welcome").WelcomeToCockpitComponent>;
    previewImage: string;
    data: {
        settings: {
            noNewWidgets: false;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    noDeviceTarget: true;
                    groupsSelectable: false;
                };
            };
        };
    };
};
export declare const cockpitWelcomeWidgetProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map