import { DynamicComponentErrorStrategy, DynamicManagedObjectResolver } from '@c8y/ngx-components';
export declare const deviceControlMessageWidgetDefinition: {
    id: "deviceControlMessageWidget";
    label: "Message sending";
    description: "Remotely send a message to a device";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/device-control-message").DeviceControlMessageWidgetViewComponent>;
    resolve: {
        device: typeof DynamicManagedObjectResolver;
    };
    previewImage: string;
    errorStrategy: DynamicComponentErrorStrategy.OVERLAY_ERROR;
    data: {
        schema: () => Promise<{
            default: typeof import("c8y-schema-loader?interfaceName=*");
            schema: import("json-schema").JSONSchema7;
        }>;
        settings: {
            noNewWidgets: false;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    groupsSelectable: false;
                };
            };
        };
    };
};
export declare const deviceControlMessageWidgetProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map