export declare const imageWidgetDefinition: {
    id: "Image";
    label: "Image";
    description: "Display a single image selected from the user's file system.";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/image").ImageWidgetViewComponent>;
    loadConfigComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/image").ImageWidgetConfigComponent>;
    previewImage: string;
    data: {
        schema: () => Promise<{
            default: typeof import("c8y-schema-loader?interfaceName=*");
            schema: import("json-schema").JSONSchema7;
        }>;
        settings: {
            noNewWidgets: false;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    noDeviceTarget: true;
                    groupsSelectable: false;
                };
            };
        };
    };
};
export declare const imageWidgetProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map