import { DynamicDatapointsResolver } from '@c8y/ngx-components';
export declare const infoGaugeWidgetDefinition: {
    id: "infoGauge";
    label: "Info gauge";
    description: "Radial gauge and multiple label and value pairs for data points";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/info-gauge").InfoGaugeWidgetViewComponent>;
    loadConfigComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/info-gauge").InfoGaugeWidgetConfigComponent>;
    previewImage: string;
    resolve: {
        datapointsLabels: typeof DynamicDatapointsResolver;
        datapointsGauge: typeof DynamicDatapointsResolver;
    };
    data: {
        schema: () => Promise<{
            default: typeof import("c8y-schema-loader?interfaceName=*");
            schema: import("json-schema").JSONSchema7;
        }>;
        settings: {
            noNewWidgets: false;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    noDeviceTarget: true;
                    groupsSelectable: false;
                };
            };
        };
    };
};
export declare const infoGaugeWidgetProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map