import { DynamicDatapointsResolver } from '@c8y/ngx-components';
export declare const kpiWidgetDefinition: {
    id: "kpi.widget";
    label: "KPI";
    description: "Displays the last measurement value of a device.";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/kpi").KpiWidgetViewComponent>;
    loadConfigComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/kpi").KpiWidgetConfigComponent>;
    previewImage: string;
    resolve: {
        datapoints: typeof DynamicDatapointsResolver;
    };
    data: {
        schema: () => Promise<{
            default: typeof import("c8y-schema-loader?interfaceName=*");
            schema: import("json-schema").JSONSchema7;
        }>;
        settings: {
            noNewWidgets: false;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    noDeviceTarget: true;
                    groupsSelectable: false;
                };
            };
        };
    };
};
export declare const kpiWidgetProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map