export declare const threeDRotationWidgetDefinition: {
    id: "rotation3d";
    label: "Rotation widget";
    description: "Displays current device orientation";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/three-d-rotation").ThreeDRotationWidgetViewComponent>;
    loadConfigComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/three-d-rotation").ThreeDRotationWidgetConfigComponent>;
    previewImage: string;
    data: {
        schema: () => Promise<{
            default: typeof import("c8y-schema-loader?interfaceName=*");
            schema: import("json-schema").JSONSchema7;
        }>;
        settings: {
            noNewWidgets: false;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    noDeviceTarget: false;
                    groupsSelectable: false;
                };
            };
        };
    };
};
export declare const threeDRotationWidgetProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map