import { InputSignal, OnInit } from '@angular/core';
import { IManagedObject } from '@c8y/client';
import * as i0 from "@angular/core";
interface AssetNotes {
    user: string;
    lastUpdated: string;
    htmlContent: string;
}
export type AssetNotesConfig = {
    device: Partial<IManagedObject>;
};
export declare class AssetNotesWidgetComponent implements OnInit {
    private inventory;
    private appState;
    private alertService;
    private datePipe;
    config: InputSignal<AssetNotesConfig>;
    notes: import("@angular/core").WritableSignal<AssetNotes>;
    editable: import("@angular/core").WritableSignal<boolean>;
    isLoading: import("@angular/core").Signal<boolean>;
    private readonly FRAGMENT;
    ngNonBindableTranslate: import("@angular/core").Signal<{
        lastUpdated: any;
        user: string;
    }>;
    ngOnInit(): Promise<void>;
    toggleEdit(): void;
    save(): Promise<void>;
    private loadNotes;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssetNotesWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AssetNotesWidgetComponent, "c8y-asset-notes", never, { "config": { "alias": "config"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
export {};
//# sourceMappingURL=asset-notes-widget.component.d.ts.map