import { OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { DocLink, NavigatorService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
type QuickLink = Pick<DocLink, 'label' | 'click' | 'icon'>;
export declare class WelcomeToDeviceManagementComponent implements OnInit, OnDestroy {
    private router;
    private navigator;
    quickLinks: QuickLink[];
    isLoading: boolean;
    private navNodes;
    private navSubscription;
    constructor(router: Router, navigator: NavigatorService);
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    private createAllDevicesQuickLink;
    private createQuicklinkRegisterDevice;
    private createQuicklinkAddGroup;
    private createAddDeviceProfileQuickLink;
    private createAddSoftwareQuickLink;
    private createAddFirmwareQuickLink;
    private createQuickLinkToNavNode;
    private findVisibleNavNode;
    static ɵfac: i0.ɵɵFactoryDeclaration<WelcomeToDeviceManagementComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WelcomeToDeviceManagementComponent, "c8y-welcome-to-devicemanagement", never, {}, {}, never, never, false, never>;
}
export {};
//# sourceMappingURL=welcome.component.d.ts.map