import { Router } from '@angular/router';
import { AppStateService, DocLink, DocsService, NavigatorService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class HelpAndServiceViewComponent {
    docs: DocsService;
    private appStateService;
    private navigatorService;
    private router;
    PRODUCT_EXPERIENCE: {
        readonly HELP_AND_SERVICE_LINKS: {
            readonly EVENTS: {
                readonly HELP_AND_SERVICE_LINKS: "helpAndServiceLinks";
            };
            readonly COMPONENTS: {
                readonly HELP_AND_SERVICE_COMPONENT: "right-drawer";
            };
            readonly ACTIONS: {};
            readonly RESULTS: {};
        };
    };
    links$: import("rxjs").Observable<DocLink[]>;
    constructor(docs: DocsService, appStateService: AppStateService, navigatorService: NavigatorService, router: Router);
    openLink(link: DocLink, $event: any): void;
    private handleDocLinks;
    private createAddGroupDocLink;
    private replaceDocsLinksWithMainOne;
    private isCurrentApp;
    private findNavigatorNode;
    static ɵfac: i0.ɵɵFactoryDeclaration<HelpAndServiceViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HelpAndServiceViewComponent, "c8y-help-and-service-view", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=help-and-service-view.component.d.ts.map