import { EventEmitter } from '@angular/core';
import { GaugeOptions } from '../gauge.model';
import * as i0 from "@angular/core";
export declare class PresetPreviewComponent {
    ALL_GAUGE_PRESETS: GaugeOptions[];
    onPresetChange: EventEmitter<string>;
    measurement: {
        value: number;
        unit: string;
        date: string;
    };
    activeDatapointGauge: {
        fragment: string;
        series: string;
        unit: string;
        min: number;
        max: number;
        yellowRangeMax: number;
        yellowRangeMin: number;
        redRangeMin: number;
        redRangeMax: number;
    };
    selectedPresetId: string | null;
    private onChange;
    private onTouched;
    writeValue(value: string): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: () => void): void;
    emitPresetChange(presetId: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PresetPreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PresetPreviewComponent, "c8y-preset-preview", never, { "ALL_GAUGE_PRESETS": { "alias": "ALL_GAUGE_PRESETS"; "required": false; }; }, { "onPresetChange": "onPresetChange"; }, never, never, true, never>;
}
//# sourceMappingURL=preset-preview.component.d.ts.map