import { OnChanges } from '@angular/core';
import type { KPIDetails } from '@c8y/ngx-components/datapoint-selector';
import { DynamicComponentComponent } from '@c8y/ngx-components';
import { ContextDashboardComponent } from '@c8y/ngx-components/context-dashboard';
import { InfoGaugeWidgetConfig } from '../info-gauge-widget-config/gauge.model';
import * as i0 from "@angular/core";
export declare class InfoGaugeWidgetViewComponent implements OnChanges {
    private dashboard;
    private dynamicComponent?;
    config: InfoGaugeWidgetConfig;
    activeDatapointLabels: any[];
    activeDatapointGauge: KPIDetails;
    fractionSize: string;
    isInfoGauge: boolean;
    constructor(dashboard: ContextDashboardComponent, dynamicComponent?: DynamicComponentComponent);
    ngOnInit(): void;
    ngOnChanges(): void;
    private assignContextFromContextDashboard;
    static ɵfac: i0.ɵɵFactoryDeclaration<InfoGaugeWidgetViewComponent, [{ optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InfoGaugeWidgetViewComponent, "c8y-info-gauge-widget-view", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=info-gauge-widget-view.component.d.ts.map