import { OnInit } from '@angular/core';
import { AlertService, OnBeforeSave } from '@c8y/ngx-components';
import { FormBuilder, FormGroup, NgForm } from '@angular/forms';
import { MarkdownWidgetConfig } from '../markdown-widget.model';
import { MarkdownWidgetService } from '../markdown-widget.service';
import * as i0 from "@angular/core";
export declare class MarkdownWidgetConfigComponent implements OnInit, OnBeforeSave {
    private formBuilder;
    private form;
    private alert;
    private markdownService;
    config: MarkdownWidgetConfig;
    formGroup: FormGroup;
    fileFromConfig: File;
    uploadChoice: 'uploadBinary' | 'uploadUrl';
    loading: boolean;
    constructor(formBuilder: FormBuilder, form: NgForm, alert: AlertService, markdownService: MarkdownWidgetService);
    onBeforeSave(config?: MarkdownWidgetConfig): Promise<boolean>;
    ngOnInit(): Promise<void>;
    onChange(value: 'uploadBinary' | 'uploadUrl'): void;
    private getFileFromFormValue;
    private initForm;
    private requireEitherBinaryOrUrl;
    private removeErrors;
    static ɵfac: i0.ɵɵFactoryDeclaration<MarkdownWidgetConfigComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MarkdownWidgetConfigComponent, "c8y-markdown-widget-config", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=markdown-widget-config.component.d.ts.map