import { OnInit } from '@angular/core';
import { FetchClient } from '@c8y/client';
import { AppStateService } from '@c8y/ngx-components';
import { MarkdownWidgetConfig } from '../markdown-widget.model';
import { MarkdownWidgetService } from '../markdown-widget.service';
import * as i0 from "@angular/core";
export declare class MarkdownWidgetViewComponent implements OnInit {
    private appState;
    private client;
    private markdownWidgetService;
    config: MarkdownWidgetConfig;
    loading: boolean;
    markdown: string;
    contextPath: string;
    private readonly headers;
    constructor(appState: AppStateService, client: FetchClient, markdownWidgetService: MarkdownWidgetService);
    ngOnInit(): Promise<void>;
    setContentFromUrl(url: string): void;
    private render;
    private getReadmeFileContent;
    private getReadmeFile;
    static ɵfac: i0.ɵɵFactoryDeclaration<MarkdownWidgetViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MarkdownWidgetViewComponent, "c8y-markdown-widget-view", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=markdown-widget-view.component.d.ts.map