import { InventoryBinaryService, InventoryService } from '@c8y/client';
import { FilesService, AlertService } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class MarkdownWidgetService {
    private fileService;
    private inventory;
    private binary;
    private alert;
    private translate;
    constructor(fileService: FilesService, inventory: InventoryService, binary: InventoryBinaryService, alert: AlertService, translate: TranslateService);
    getFile(markdownBinaryId: string | null): Promise<File>;
    uploadFile(file: File): Promise<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MarkdownWidgetService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MarkdownWidgetService>;
}
//# sourceMappingURL=markdown-widget.service.d.ts.map