import { OnInit } from '@angular/core';
import { FormBuilder, NgForm } from '@angular/forms';
import { OnBeforeSave } from '@c8y/ngx-components';
import { Observable } from 'rxjs';
import { ThreeDRotationWidgetConfig } from '../three-d-rotation.model';
import * as i0 from "@angular/core";
export declare class ThreeDRotationWidgetConfigComponent implements OnInit, OnBeforeSave {
    private formBuilder;
    private form;
    config: ThreeDRotationWidgetConfig;
    formGroup: ReturnType<ThreeDRotationWidgetConfigComponent['createForm']>;
    constructor(formBuilder: FormBuilder, form: NgForm);
    onBeforeSave(config?: ThreeDRotationWidgetConfig): boolean | Promise<boolean> | Observable<boolean>;
    ngOnInit(): void;
    private initForm;
    private createForm;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThreeDRotationWidgetConfigComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThreeDRotationWidgetConfigComponent, "c8y-three-d-rotation-widget-config", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=three-d-rotation-widget-config.component.d.ts.map