import { FetchClient, IManagedObject, IResultList, Service } from '@c8y/client';
import { AppStateService } from '@c8y/ngx-components';
import type { IAdvancedSoftwareService } from '@c8y/ngx-components/repository/shared';
import * as i0 from "@angular/core";
export declare class AdvancedSoftwareService extends Service<IManagedObject> implements IAdvancedSoftwareService {
    private appState;
    private static readonly applicationName;
    protected baseUrl: string;
    protected listUrl: string;
    protected propertyName: string;
    private isAvailable;
    constructor(client: FetchClient, appState: AppStateService);
    list(filter?: object): Promise<IResultList<IManagedObject>>;
    isASMAvailable(): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdvancedSoftwareService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AdvancedSoftwareService>;
}
//# sourceMappingURL=advanced-software.service.d.ts.map