import { IIdentified } from '@c8y/client';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { AlarmOrEvent, OmitSelectorProperties, TimelineType } from '../alarm-event-selector.model';
import * as i0 from "@angular/core";
export declare class AlarmEventSelectorModalComponent {
    private bsModal;
    selectType: TimelineType;
    contextAsset: IIdentified;
    allowChangingContext: boolean;
    allowSearch: boolean;
    selectedItems: AlarmOrEvent[];
    title: string;
    groupsSelectable: boolean;
    hideSource: boolean;
    saveButtonLabel: string;
    omitProperties: OmitSelectorProperties;
    readonly result: Promise<AlarmOrEvent[]>;
    private save;
    private cancel;
    constructor(bsModal: BsModalRef);
    saveChanges(): void;
    close(): void;
    selectionChange(selection: Array<AlarmOrEvent>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlarmEventSelectorModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlarmEventSelectorModalComponent, "c8y-alarm-event-selector-modal", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=alarm-event-selector-modal.component.d.ts.map