import { IAlarm, IManagedObject } from '@c8y/client';
import { Observable } from 'rxjs';
import { PluginsResolveService, ServiceRegistry } from '@c8y/ngx-components';
import { AlarmDetailsButton } from '../alarms.model';
import * as i0 from "@angular/core";
export declare class AlarmDetailsButtonService {
    private serviceRegistry;
    private pluginsResolver;
    constructor(serviceRegistry: ServiceRegistry, pluginsResolver: PluginsResolveService);
    get$(alarm: IAlarm, source: IManagedObject): Observable<AlarmDetailsButton[]>;
    private byPriority;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlarmDetailsButtonService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AlarmDetailsButtonService>;
}
//# sourceMappingURL=alarm-details-button.service.d.ts.map