import { ClickOptions } from '@c8y/ngx-components';
import { GroupNodeConfig } from './asset-selector.model';
import { GroupNode } from './group-node';
import { GroupNodeService } from './group-node.service';
export declare class UnassignedDevicesNode extends GroupNode {
    protected service: GroupNodeService;
    static NAME: string;
    label: "Unassigned devices";
    icon: string;
    groupsSelectable: boolean;
    groupsOnly: boolean;
    showChildDevices: boolean;
    mo: {};
    constructor(service: GroupNodeService, config?: GroupNodeConfig);
    click(options?: ClickOptions): void;
    addManagedObject(mo: any): void;
    fetch(): Promise<import("packages/client/lib").IResultList<import("packages/client/lib").IManagedObject>>;
    isGroup(): boolean;
    toString(): string;
    setLabel(): void;
    updateIcon(): Promise<void>;
}
//# sourceMappingURL=unassigned-devices-node.d.ts.map