import { SimpleChanges } from '@angular/core';
import { TenantLoginOptionType } from '@c8y/client';
import { AuthConfiguration } from './auth-configuration.model';
import { ControlContainer } from '@angular/forms';
import { AuthenticationRestrictions } from './basic-settings.model';
import * as i0 from "@angular/core";
export declare class BasicAuthSettingsComponent {
    private controlContainer;
    authConfiguration: AuthConfiguration;
    preferredLoginOptionType: TenantLoginOptionType;
    tenantLoginOptionTypeEnum: typeof TenantLoginOptionType;
    constructor(controlContainer: ControlContainer);
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    get forbiddenWebBrowsers(): boolean;
    set forbiddenWebBrowsers(value: boolean);
    forbiddenUserAgentsRemove(id: any): void;
    trustedUserAgentsRemove(id: any): void;
    get authenticationRestrictions(): AuthenticationRestrictions;
    add(collection: any): void;
    private remove;
    static ɵfac: i0.ɵɵFactoryDeclaration<BasicAuthSettingsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BasicAuthSettingsComponent, "c8y-basic-auth-settings", never, { "authConfiguration": { "alias": "authConfiguration"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=basic-auth-settings.component.d.ts.map