import { TenantLoginOption } from './basic-settings.model';
import { ITenantLoginOption } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class TenantLoginOptionMapper {
    mapTo(tenantLoginOption: ITenantLoginOption): TenantLoginOption;
    mapFrom(originalLoginOption: TenantLoginOption, newLoginOption: TenantLoginOption): ITenantLoginOption;
    private mapAuthenticationRestrictionsTo;
    private mapBasicLoginOption;
    private mapOauthInternalLoginOption;
    private mapAuthenticationRestrictionsFrom;
    private prapareTenantLoginOption;
    static ɵfac: i0.ɵɵFactoryDeclaration<TenantLoginOptionMapper, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TenantLoginOptionMapper>;
}
//# sourceMappingURL=tenant-login-option.mapper.d.ts.map