import { ISystemOption, ITenantOption } from '@c8y/client';
export declare class TypedOption implements ISystemOption, ITenantOption {
    category: string;
    key: string;
    type: 'string' | 'boolean' | 'number';
    defaultValue?: string | boolean | number;
    value?: string;
    constructor(category: string, key: string, type: 'string' | 'boolean' | 'number', defaultValue?: string | boolean | number, value?: string);
    apply(option: ISystemOption | ITenantOption): void;
    getValue(): string | number | boolean;
    private getValueByType;
    private parseNumberValue;
    private parseStringValue;
}
//# sourceMappingURL=typed-option.d.ts.map