import { ITenantLoginOption, TenantLoginOptionsService } from '@c8y/client';
import { SsoConfiguration } from './sso-configuration.model';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SsoConfigurationService {
    private loginOptionsService;
    private ssoConfiguration$;
    private defaultConfiguration;
    constructor(loginOptionsService: TenantLoginOptionsService);
    getSsoConfiguration$(): Observable<ITenantLoginOption>;
    save(ssoConfiguration: SsoConfiguration): Promise<import("@c8y/client").IResult<ITenantLoginOption>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SsoConfigurationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SsoConfigurationService>;
}
//# sourceMappingURL=sso-configuration.service.d.ts.map