import { EventEmitter } from '@angular/core';
import { ControlContainer } from '@angular/forms';
import { IApplication, IUserGroup } from '@c8y/client';
import { AccessMapping } from '../../sso-configuration.model';
import * as i0 from "@angular/core";
export declare class DynamicAccessMappingComponent {
    controlContainer: ControlContainer;
    groups: IUserGroup[];
    selectedGroups: IUserGroup[];
    apps: IApplication[];
    selectedApps: IApplication[];
    accessMapping: AccessMapping;
    onRemoveAccessMapping: EventEmitter<AccessMapping>;
    accessMappingIndex: number;
    constructor(controlContainer: ControlContainer);
    ngOnChanges(): void;
    onRemoveAllChildPredicates(): void;
    getIds(selectedItems: any): any;
    private setSelectedItems;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicAccessMappingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicAccessMappingComponent, "c8y-sso-dynamic-access-mapping", never, { "groups": { "alias": "groups"; "required": false; }; "apps": { "alias": "apps"; "required": false; }; "accessMapping": { "alias": "accessMapping"; "required": false; }; "accessMappingIndex": { "alias": "accessMappingIndex"; "required": false; }; }, { "onRemoveAccessMapping": "onRemoveAccessMapping"; }, never, never, false, never>;
}
//# sourceMappingURL=dynamic-access-mapping.component.d.ts.map