import { EventEmitter } from '@angular/core';
import { ControlContainer } from '@angular/forms';
import { InventoryMapping, InventoryRole } from '../../sso-configuration.model';
import { BsModalService } from 'ngx-bootstrap/modal';
import { IIdentified } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class InventoryRolesMappingComponent {
    controlContainer: ControlContainer;
    private bsModal;
    inventoryMapping: InventoryMapping;
    inventoryMappingIndex: number;
    inventoryRoles: IIdentified[];
    selectedInventoryRoles: IIdentified[];
    onRemoveInventoryMapping: EventEmitter<InventoryMapping>;
    constructor(controlContainer: ControlContainer, bsModal: BsModalService);
    ngOnChanges(): void;
    onRemoveAllChildPredicates(): void;
    getIds(selectedItems: IIdentified[]): (string | number)[];
    removeInventoryRole(inventoryRole: InventoryRole): void;
    addInventoryRoles(): void;
    private setSelectedInventoryRoles;
    static ɵfac: i0.ɵɵFactoryDeclaration<InventoryRolesMappingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InventoryRolesMappingComponent, "c8y-sso-inventory-roles-mapping", never, { "inventoryMapping": { "alias": "inventoryMapping"; "required": false; }; "inventoryMappingIndex": { "alias": "inventoryMappingIndex"; "required": false; }; "inventoryRoles": { "alias": "inventoryRoles"; "required": false; }; }, { "onRemoveInventoryMapping": "onRemoveInventoryMapping"; }, never, never, false, never>;
}
//# sourceMappingURL=inventory-roles-mapping.component.d.ts.map