import * as i0 from "@angular/core";
export declare class ExternalTokenConfigComponent {
    templateModel: any;
    validationMethods: {
        INTROSPECTION: {
            name: string;
            value: string;
            label: "Introspection`Method of validating access token from external IAM system`";
            defaults: {
                method: string;
                body: string;
                url: string;
                headers: {};
                operation: string;
                requestParams: {};
            };
        };
        USERINFO: {
            name: string;
            value: string;
            label: "User info`Method of validating access token from external IAM system`";
            defaults: {
                url: string;
                method: string;
                body: string;
                headers: {
                    Authorization: string;
                };
                operation: string;
                requestParams: {};
            };
        };
    };
    get externalTokenConfig(): any;
    onValidationMethodChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExternalTokenConfigComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ExternalTokenConfigComponent, "c8y-external-token-config", never, { "templateModel": { "alias": "templateModel"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=external-token-config.component.d.ts.map