import { AccessTokenToUserDataMappings, OnNewUser } from '../sso-configuration.model';
import { SignatureConfiguration } from '../template-parts/signature-configuration.model';
import { ExternalToken } from '../template-parts/external-token-config.model';
export interface AadConfiguration {
    aadAddress: string;
    tenant: string;
    applicationId: string;
    redirectToPlatform: string;
    clientSecret: string;
    issuer: string;
    buttonName: string;
    visibleOnLoginPage: boolean;
    redirectAfterLogout: boolean;
    redirectAfterLogoutUrl: string;
    accessTokenToUserDataMappings: AccessTokenToUserDataMappings;
    userIdConfig: {
        jwtField: string;
    };
    onNewUser: OnNewUser;
    publicKeyDiscoveryUrl: string;
    signatureVerificationConfig: SignatureConfiguration;
    externalTokenConfig: ExternalToken;
    useIdToken: boolean;
}
//# sourceMappingURL=aad.model.d.ts.map