import { AccessTokenToUserDataMappings, OnNewUser, UserIdConfig } from '../sso-configuration.model';
import { RequestConfiguration } from '../template-parts/request-configuration.model';
import { ExternalToken } from '../template-parts/external-token-config.model';
export interface KeyCloakConfiguration {
    keyCloakAddress: string;
    realmName: string;
    clientId: string;
    clientSecret: string;
    scopeId: string;
    buttonName: string;
    userIdConfig: UserIdConfig;
    onNewUser: OnNewUser;
    redirectToPlatform: string;
    audience: string;
    logoutRequest: RequestConfiguration;
    visibleOnLoginPage: boolean;
    accessTokenToUserDataMappings: AccessTokenToUserDataMappings;
    externalTokenConfig: ExternalToken;
    useIdToken: boolean;
}
//# sourceMappingURL=key-cloak.model.d.ts.map