import { Router } from '@angular/router';
import { AlertService, HeaderService } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { Observable } from 'rxjs';
import { Bookmark } from './bookmark.model';
import { BookmarkService } from './bookmarks.service';
import * as i0 from "@angular/core";
export declare class BookmarksComponent {
    private document;
    private translateService;
    private bookmarksService;
    private alertService;
    private bookmarkService;
    private bsModalService;
    private router;
    private headerService;
    drawerOpen$: Observable<boolean>;
    bookmarks: Bookmark[];
    emptyMessageHeader: any;
    emptyMessageBody: any;
    addButtonText: any;
    constructor(document: Document, translateService: TranslateService, bookmarksService: BookmarkService, alertService: AlertService, bookmarkService: BookmarkService, bsModalService: BsModalService, router: Router, headerService: HeaderService);
    ngOnInit(): Promise<void>;
    addBookmark(): Promise<void>;
    editBookmarks(): Promise<void>;
    openUrl(url: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BookmarksComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BookmarksComponent, "c8y-bookmarks", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=bookmarks.component.d.ts.map