import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { OnInit } from '@angular/core';
import { AlertService, PopoverConfirmButtons, PopoverConfirmComponent } from '@c8y/ngx-components';
import { IconSelectorService } from '@c8y/ngx-components/icon-selector';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { Bookmark } from '../bookmark.model';
import { BookmarkService } from '../bookmarks.service';
import * as i0 from "@angular/core";
export declare class EditBookmarksComponent implements OnInit {
    private bsModalRef;
    private alertService;
    private bookmarkService;
    private iconSelector;
    bookmarks: Bookmark[];
    private bookmarksToUpdate;
    confirmRemoveColumnButtons: PopoverConfirmButtons[];
    result: Promise<Bookmark[]>;
    private _close;
    constructor(bsModalRef: BsModalRef, alertService: AlertService, bookmarkService: BookmarkService, iconSelector: IconSelectorService);
    ngOnInit(): void;
    handleKeyboardEvent(event: KeyboardEvent): void;
    close(): void;
    drop(event: CdkDragDrop<Bookmark[]>): Promise<void>;
    updateBookmark(updatedBookmark: Bookmark, type: keyof Pick<Bookmark, 'icon' | 'label' | 'markToRemove'>): Promise<void>;
    updateBookmarkProperty(updatedBookmark: Bookmark, type: keyof Pick<Bookmark, 'icon' | 'label' | 'markToRemove'>): Bookmark[];
    changeBookmarkIcon(updatedBookmark: Bookmark): Promise<void>;
    removeBookmark(poConfirm: PopoverConfirmComponent, bookmarkToDelete: Bookmark): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditBookmarksComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditBookmarksComponent, "c8y-edit-bookmarks", never, { "bookmarks": { "alias": "bookmarks"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=edit-bookmarks.component.d.ts.map