import { ActivatedRoute } from '@angular/router';
import { ExtensionFactory, Tab } from '@c8y/ngx-components';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare const lightThemeTabName: "Light theme";
export declare const genericTabName: "Generic";
export declare class BrandingTabFactory implements ExtensionFactory<Tab> {
    get(activatedRoute?: ActivatedRoute): Observable<Tab | Tab[]>;
    protected shouldShowTab$(): Observable<boolean>;
    protected getPathForBranding<T extends string>(brandingName: string, subPath: T): `branding-editor/${string}/edit/${T}`;
    protected getTabsForVersion(name: string): Tab[];
    static ɵfac: i0.ɵɵFactoryDeclaration<BrandingTabFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BrandingTabFactory>;
}
//# sourceMappingURL=branding-tab.factory.d.ts.map