import { GainsightService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class BrandingTrackingService {
    private gainsight;
    readonly prefix = "brandingManager";
    constructor(gainsight: GainsightService);
    getStartedUsingBranding(): void;
    deleteAllBrandings(): void;
    exportBranding(): void;
    addNewVersion(): void;
    duplicateVersion(): void;
    applyToApps(apps: string[]): void;
    importBranding(): void;
    deleteBrandingVariant(): void;
    openPreviewForBranding(): void;
    private triggerEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<BrandingTrackingService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BrandingTrackingService>;
}
//# sourceMappingURL=branding-tracking.service.d.ts.map