export declare const formStructure: {
    readonly brandColors: {
        readonly label: "Brand colors";
        readonly brandColors: {
            readonly label: "Brand colors";
            readonly colors: [{
                readonly label: "Brand primary";
                readonly formControlName: "brand-primary";
            }, {
                readonly label: "Brand light";
                readonly formControlName: "brand-light";
            }, {
                readonly label: "Brand dark";
                readonly formControlName: "brand-dark";
            }];
        };
        readonly shades: {
            readonly label: "Shades";
            readonly colorColumn: [[{
                readonly label: "c8y-brand-10";
                readonly formControlName: "c8y-brand-10";
            }, {
                readonly label: "c8y-brand-20";
                readonly formControlName: "c8y-brand-20";
            }, {
                readonly label: "c8y-brand-30";
                readonly formControlName: "c8y-brand-30";
            }, {
                readonly label: "c8y-brand-40";
                readonly formControlName: "c8y-brand-40";
            }], [{
                readonly label: "c8y-brand-50";
                readonly formControlName: "c8y-brand-50";
            }, {
                readonly label: "c8y-brand-60";
                readonly formControlName: "c8y-brand-60";
            }, {
                readonly label: "c8y-brand-70";
                readonly formControlName: "c8y-brand-70";
            }, {
                readonly label: "c8y-brand-80";
                readonly formControlName: "c8y-brand-80";
            }]];
        };
    };
    readonly statusColors: {
        readonly label: "Status colors";
        readonly subCategories: readonly [{
            readonly label: "Info colors";
            readonly colors: [{
                readonly label: "Info";
                readonly formControlName: "palette-status-info";
            }, {
                readonly label: "Info light";
                readonly formControlName: "palette-status-info-light";
            }, {
                readonly label: "Info dark";
                readonly formControlName: "palette-status-info-dark";
            }];
        }, {
            readonly label: "Warning colors";
            readonly colors: [{
                readonly label: "Warning";
                readonly formControlName: "palette-status-warning";
            }, {
                readonly label: "Warning light";
                readonly formControlName: "palette-status-warning-light";
            }, {
                readonly label: "Warning dark";
                readonly formControlName: "palette-status-warning-dark";
            }];
        }, {
            readonly label: "Danger colors";
            readonly colors: [{
                readonly label: "Danger";
                readonly formControlName: "palette-status-danger";
            }, {
                readonly label: "Danger light";
                readonly formControlName: "palette-status-danger-light";
            }, {
                readonly label: "Danger dark";
                readonly formControlName: "palette-status-danger-dark";
            }];
        }, {
            readonly label: "Success colors";
            readonly colors: [{
                readonly label: "Success";
                readonly formControlName: "palette-status-success";
            }, {
                readonly label: "Success light";
                readonly formControlName: "palette-status-success-light";
            }, {
                readonly label: "Success dark";
                readonly formControlName: "palette-status-success-dark";
            }];
        }];
    };
    readonly actionBar: {
        readonly label: "Action bar";
        readonly colorColumns: readonly [{
            readonly label: "Action bar";
            readonly colorColumns: [[{
                readonly label: "Background color";
                readonly formControlName: "action-bar-background-default";
            }, {
                readonly label: "Text color";
                readonly formControlName: "action-bar-color-default";
            }, {
                readonly label: "Icon color";
                readonly formControlName: "action-bar-icon-color";
            }], [{
                readonly label: "Button color";
                readonly formControlName: "action-bar-color-actions";
            }, {
                readonly label: "Button hover color";
                readonly formControlName: "action-bar-color-actions-hover";
            }]];
        }];
    };
    readonly mainHeader: {
        readonly label: "Main header";
        readonly colorColumns: readonly [{
            readonly label: "Main header";
            readonly colorColumns: [[{
                readonly label: "Background color";
                readonly formControlName: "header-color";
            }, {
                readonly label: "Text color";
                readonly formControlName: "header-text-color";
            }], [{
                readonly label: "Button hover color";
                readonly formControlName: "header-hover-color";
            }]];
        }];
    };
    readonly navigator: {
        readonly label: "Navigator";
        readonly colorColumns: readonly [{
            readonly label: "Navigation";
            readonly colors: [{
                readonly label: "Background color";
                readonly formControlName: "navigator-bg-color";
            }, {
                readonly label: "Text color";
                readonly formControlName: "navigator-text-color";
            }, {
                readonly label: "Separator color";
                readonly formControlName: "navigator-separator-color";
            }];
        }, {
            readonly label: "Header";
            readonly colors: [{
                readonly label: "Header background color";
                readonly formControlName: "navigator-header-bg";
            }, {
                readonly label: "Title color";
                readonly formControlName: "navigator-title-color";
            }];
        }, {
            readonly label: "Active node";
            readonly colors: [{
                readonly label: "Active background color";
                readonly formControlName: "navigator-active-bg";
            }, {
                readonly label: "Active border color";
                readonly formControlName: "navigator-border-active";
            }, {
                readonly label: "Active text color";
                readonly formControlName: "navigator-color-active";
            }];
        }];
    };
    readonly rightDrawer: {
        readonly label: "Right drawer";
        readonly colorColumns: readonly [{
            readonly label: "Panel";
            readonly colors: [{
                readonly label: "Background color";
                readonly formControlName: "right-drawer-background-default";
            }, {
                readonly label: "Text color";
                readonly formControlName: "right-drawer-text-color-default";
            }, {
                readonly label: "Text muted color";
                readonly formControlName: "right-drawer-text-muted";
            }, {
                readonly label: "Separator color";
                readonly formControlName: "right-drawer-separator-color";
            }];
        }, {
            readonly label: "Interactive";
            readonly colors: [{
                readonly label: "Link color";
                readonly formControlName: "right-drawer-link-color";
            }, {
                readonly label: "Link hover color";
                readonly formControlName: "right-drawer-link-color-hover";
            }];
        }];
    };
};
//# sourceMappingURL=branding-theme-form-structure.d.ts.map