import { OnDestroy } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AlertService, AppStateService } from '@c8y/ngx-components';
import { Observable } from 'rxjs';
import { ApplyBrandingLocallyService, BrandingOptionsJson, StoreBrandingService } from '@c8y/ngx-components/branding/shared/data';
import { AsyncValidator, ControlValueAccessor, FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class EditBrandingRouterOutletComponent implements OnDestroy {
    private activatedRoute;
    private store;
    private router;
    private alert;
    private applyBrandingService;
    private appState;
    brandingName$: Observable<string>;
    formControl: FormControl<string>;
    fallbackBranding$: Observable<BrandingOptionsJson>;
    tabName$: Observable<string>;
    isGlobalBranding$: Observable<boolean>;
    private newBranding;
    private currentlyDisplayedComponent;
    constructor(activatedRoute: ActivatedRoute, store: StoreBrandingService, router: Router, alert: AlertService, applyBrandingService: ApplyBrandingLocallyService, appState: AppStateService);
    ngOnDestroy(): void;
    routeActivated(event: ControlValueAccessor & Partial<AsyncValidator>): void;
    saveBranding(): Promise<void>;
    cancel(): void;
    openPreview(): Promise<void>;
    markAsActive(): Promise<void>;
    onBrandingVarChanges(value: string): Promise<void>;
    private cleanUpObjects;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditBrandingRouterOutletComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditBrandingRouterOutletComponent, "c8y-edit-branding-router-outlet", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=edit-branding-router-outlet.component.d.ts.map