import { CanActivate, UrlTree } from '@angular/router';
import { AppStateService, ExtensionFactory, NavigatorNode } from '@c8y/ngx-components';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SupportsBrandingService implements CanActivate, ExtensionFactory<NavigatorNode> {
    private appState;
    private supportsBranding$;
    private node;
    constructor(appState: AppStateService);
    get(): Observable<NavigatorNode | NavigatorNode[]>;
    canActivate(): boolean | UrlTree | Observable<boolean | UrlTree> | Promise<boolean | UrlTree>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SupportsBrandingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SupportsBrandingService>;
}
//# sourceMappingURL=supports-branding.service.d.ts.map