import { CockpitConfigService } from './cockpit-config.service';
import * as i0 from "@angular/core";
import * as i1 from "./cockpit-configuration.component";
import * as i2 from "./setup/cockpit-setup-step1.component";
import * as i3 from "./setup/cockpit-setup-step2.component";
import * as i4 from "./setup/cockpit-setup-step3.component";
import * as i5 from "./setup/cockpit-setup-step4.component";
import * as i6 from "./feature-config.component";
import * as i7 from "./root-node-config.component";
import * as i8 from "./home-dashboard-config.component";
import * as i9 from "./misc-config.component";
import * as i10 from "./setup/cockpit-setup-stepper-buttons.component";
import * as i11 from "@c8y/ngx-components";
import * as i12 from "@c8y/ngx-components/assets-navigator";
import * as i13 from "ngx-bootstrap/popover";
import * as i14 from "ngx-bootstrap/tooltip";
import * as i15 from "@c8y/ngx-components/ecosystem";
import * as i16 from "@c8y/ngx-components/icon-selector";
export declare class CockpitConfigModule {
    private service;
    constructor(service: CockpitConfigService);
    static ɵfac: i0.ɵɵFactoryDeclaration<CockpitConfigModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<CockpitConfigModule, [typeof i1.CockpitConfigurationComponent, typeof i2.CockpitSetupStep1Component, typeof i3.CockpitSetupStep2Component, typeof i4.CockpitSetupStep3Component, typeof i5.CockpitSetupStep4Component, typeof i6.FeatureConfigComponent, typeof i7.RootNodeConfigComponent, typeof i8.HomeDashboardConfigComponent, typeof i9.MiscConfigComponent, typeof i10.CockpitSetupStepperButtonsComponent], [typeof i11.CoreModule, typeof i12.AssetSelectorModule, typeof i13.PopoverModule, typeof i14.TooltipModule, typeof i15.EcosystemModule, typeof i16.IconSelectorModule, typeof i11.PluginLoadedPipe], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<CockpitConfigModule>;
}
//# sourceMappingURL=cockpit-config.module.d.ts.map