import { CockpitConfig, HomeDashboardType } from './cockpit-config.model';
import { CockpitConfigService } from './cockpit-config.service';
import * as i0 from "@angular/core";
export declare class HomeDashboardConfigComponent {
    private cockpitConfigService;
    config: CockpitConfig;
    /**
     * The types of dashboard that can be configured.
     */
    readonly homeDashboardTypes: typeof HomeDashboardType;
    /**
     * @ignore
     */
    constructor(cockpitConfigService: CockpitConfigService);
    /**
     * @ignore
     */
    dashboardChange(selected: boolean, type: HomeDashboardType): void;
    /**
     * @ignore
     */
    verifySelected(type: HomeDashboardType): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<HomeDashboardConfigComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HomeDashboardConfigComponent, "c8y-home-dashboard-config", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=home-dashboard-config.component.d.ts.map