import { CdkStep } from '@angular/cdk/stepper';
import { AppStateService, AlertService, C8yStepper, SetupComponent } from '@c8y/ngx-components';
import { CockpitConfig } from '../cockpit-config.model';
import { ApplicationService } from '@c8y/client';
import { CockpitConfigService } from '../cockpit-config.service';
export declare abstract class CockpitSetupStep {
    stepper: C8yStepper;
    protected step: CdkStep;
    protected setup: SetupComponent;
    protected appState: AppStateService;
    protected alert: AlertService;
    protected applicationService: ApplicationService;
    protected cockpitConfigService: CockpitConfigService;
    config: CockpitConfig;
    pending: boolean;
    constructor(stepper: C8yStepper, step: CdkStep, setup: SetupComponent, appState: AppStateService, alert: AlertService, applicationService: ApplicationService, cockpitConfigService: CockpitConfigService);
    next(): Promise<void>;
    back(): void;
}
//# sourceMappingURL=cockpit-setup-step.d.ts.map