import { CdkStep } from '@angular/cdk/stepper';
import { Observable } from 'rxjs';
import { AlertService, AppStateService, C8yStepper, SetupComponent } from '@c8y/ngx-components';
import { CockpitSetupStep } from './cockpit-setup-step';
import { ApplicationService, IApplication } from '@c8y/client';
import { CockpitConfigService } from '../cockpit-config.service';
import * as i0 from "@angular/core";
export declare class CockpitSetupStep1Component extends CockpitSetupStep {
    stepper: C8yStepper;
    protected step: CdkStep;
    protected setup: SetupComponent;
    protected appState: AppStateService;
    protected alert: AlertService;
    protected appService: ApplicationService;
    protected cockpitConfigService: CockpitConfigService;
    app$: Observable<IApplication>;
    constructor(stepper: C8yStepper, step: CdkStep, setup: SetupComponent, appState: AppStateService, alert: AlertService, appService: ApplicationService, cockpitConfigService: CockpitConfigService);
    iconSelectionChange(icon: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CockpitSetupStep1Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CockpitSetupStep1Component, "c8y-cockpit-setup-step1", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=cockpit-setup-step1.component.d.ts.map