import { ActivatedRoute } from '@angular/router';
import { ContextData, ExtensionFactory, Tab, ViewContext } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare abstract class AddDashboardFactory implements ExtensionFactory<Tab> {
    protected abstract targetContext: ViewContext.Device | ViewContext.Group;
    currentContext: ContextData;
    private permissions;
    private contextRoute;
    get(activatedRoute?: ActivatedRoute): Promise<Tab | Tab[]>;
    private hasPermission;
}
export declare class AddDeviceDashboardFactory extends AddDashboardFactory {
    protected targetContext: ViewContext.Device | ViewContext.Group;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddDeviceDashboardFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AddDeviceDashboardFactory>;
}
export declare class AddGroupDashboardFactory extends AddDashboardFactory {
    protected targetContext: ViewContext.Device | ViewContext.Group;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddGroupDashboardFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AddGroupDashboardFactory>;
}
//# sourceMappingURL=add-dashboard.factory.d.ts.map