import { AppStateService } from '@c8y/ngx-components';
import { CockpitDashboardConfig } from './cockpit-dashboard.model';
import { CanDeactivateComponent } from '../context-dashboard.model';
import { ContextDashboardComponent } from '../context-dashboard.component';
import * as i0 from "@angular/core";
export declare class CockpitDashboardComponent implements CanDeactivateComponent {
    private appState;
    private homeDashboardConfig;
    defaultWidgets: import("@c8y/ngx-components").Widget[];
    dashboardName: string;
    pageTitle: string;
    contextDashboard: ContextDashboardComponent;
    constructor(appState: AppStateService, homeDashboardConfig: CockpitDashboardConfig);
    canDeactivate(): Promise<boolean>;
    private applyDashboardConfig;
    static ɵfac: i0.ɵɵFactoryDeclaration<CockpitDashboardComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CockpitDashboardComponent, "c8y-cockpit-dashboard", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=cockpit-dashboard.component.d.ts.map