import { ModuleWithProviders } from '@angular/core';
import { ContextDashboardConfig } from './context-dashboard.model';
import * as i0 from "@angular/core";
import * as i1 from "./appearance-settings.component";
import * as i2 from "./context-dashboard.component";
import * as i3 from "./widget-config.component";
import * as i4 from "./widget-preview.component";
import * as i5 from "./dashboard-detail.component";
import * as i6 from "./add-dashboard.component";
import * as i7 from "./paste-dashboard-action.component";
import * as i8 from "./dashboard-availability.component";
import * as i9 from "./dashboard-settings/dashboard-general-settings.component";
import * as i10 from "./dashboard-settings/dashboard-appearance-settings.component";
import * as i11 from "./dashboard-settings/dashboard-version-history.component";
import * as i12 from "./dashboard-settings/typed-dashboard-settings.component";
import * as i13 from "./type-dashboard-info/type-dashboard-info.component";
import * as i14 from "@c8y/ngx-components";
import * as i15 from "ngx-bootstrap/tooltip";
import * as i16 from "ngx-bootstrap/popover";
import * as i17 from "@c8y/ngx-components/assets-navigator";
import * as i18 from "@c8y/ngx-components/icon-selector";
import * as i19 from "ngx-bootstrap/dropdown";
import * as i20 from "ngx-bootstrap/collapse";
export declare class ContextDashboardModule {
    static config(config?: ContextDashboardConfig): ModuleWithProviders<ContextDashboardModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContextDashboardModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ContextDashboardModule, [typeof i1.AppearanceSettingsComponent, typeof i2.ContextDashboardComponent, typeof i3.WidgetConfigComponent, typeof i4.WidgetPreviewComponent, typeof i5.DashboardDetailComponent, typeof i6.AddDashboardComponent, typeof i7.PasteDashboardActionComponent, typeof i8.DashboardAvailabilityComponent, typeof i9.DashboardGeneralSettingsComponent, typeof i10.DashboardAppearanceSettingsComponent, typeof i11.DashboardVersionHistoryComponent, typeof i12.TypedDashboardSettingsComponent, typeof i13.TypeDashboardInfoComponent], [typeof i14.CoreModule, typeof i15.TooltipModule, typeof i16.PopoverModule, typeof i17.AssetSelectorModule, typeof i18.IconSelectorModule, typeof i19.BsDropdownModule, typeof i20.CollapseModule], [typeof i2.ContextDashboardComponent, typeof i3.WidgetConfigComponent, typeof i5.DashboardDetailComponent, typeof i13.TypeDashboardInfoComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ContextDashboardModule>;
}
export declare class DeviceContextDashboardModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceContextDashboardModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DeviceContextDashboardModule, never, [typeof ContextDashboardModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DeviceContextDashboardModule>;
}
export declare class GroupContextDashboardModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupContextDashboardModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<GroupContextDashboardModule, never, [typeof ContextDashboardModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<GroupContextDashboardModule>;
}
//# sourceMappingURL=context-dashboard.module.d.ts.map