import { ActivatedRoute } from '@angular/router';
import { ViewContext, ActionBarFactory } from '@c8y/ngx-components';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare abstract class DashboardActionBarFactory implements ActionBarFactory {
    protected abstract targetContext: ViewContext.Device | ViewContext.Group;
    routeChanges$: Observable<any>;
    private contextDashboardService;
    get(activeRoute: ActivatedRoute): any[];
}
export declare class DeviceDashboardActionBarFactory extends DashboardActionBarFactory {
    protected targetContext: ViewContext.Device | ViewContext.Group;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceDashboardActionBarFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DeviceDashboardActionBarFactory>;
}
export declare class GroupDashboardActionBarFactory extends DashboardActionBarFactory {
    protected targetContext: ViewContext.Device | ViewContext.Group;
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupDashboardActionBarFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GroupDashboardActionBarFactory>;
}
//# sourceMappingURL=dashboard-action-bar.factory.d.ts.map