import { Column, DataGridService, Pagination, UserPreferencesService } from '@c8y/ngx-components';
import { InventoryService } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class TypeDashboardAssetsGridService extends DataGridService {
    protected inventoryService: InventoryService;
    protected userPreferencesService: UserPreferencesService;
    constructor(inventoryService: InventoryService, userPreferencesService: UserPreferencesService);
    getDefaultColumns(columnsForDevice?: boolean): Column[];
    getData(columns: Column[], pagination: Pagination, query?: any, text?: any): Promise<import("@c8y/client").IResultList<import("@c8y/client").IManagedObject>>;
    getCount(columns: Column[], pagination: Pagination, query?: any, text?: string): Promise<number>;
    getTotal(query?: any): Promise<number>;
    private getFilters;
    private getDeviceQueryString;
    static ɵfac: i0.ɵɵFactoryDeclaration<TypeDashboardAssetsGridService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TypeDashboardAssetsGridService>;
}
//# sourceMappingURL=type-dashboard-assets-grid.service.d.ts.map