import { EventEmitter } from '@angular/core';
import { ActionControl, Column, DataSourceModifier, DisplayOptions, ServerSideDataCallback, ServerSideDataResult } from '@c8y/ngx-components';
import { DashboardManagerService } from '../dashboard-manager.service';
import { ContextDashboardManagedObject } from '../../context-dashboard.model';
import { BsModalService } from 'ngx-bootstrap/modal';
import * as i0 from "@angular/core";
export declare class TypeDashboardsListComponent {
    private dashboardManagerService;
    private bsModalService;
    title: "Type dashboards";
    loadMoreItemsLabel: "Load more dashboards";
    loadingItemsLabel: string;
    columns: Column[];
    pagination: import("@c8y/ngx-components").Pagination;
    actionControls: ActionControl[];
    serverSideDataCallback: ServerSideDataCallback;
    displayOptions: DisplayOptions;
    refresh: EventEmitter<void>;
    constructor(dashboardManagerService: DashboardManagerService, bsModalService: BsModalService);
    delete(dashboard: ContextDashboardManagedObject): Promise<void>;
    openTargetAssetsModal(dashboard: ContextDashboardManagedObject): void;
    trackByName(_index: any, column: Column): string;
    onDataSourceModifier(dataSourceModifier: DataSourceModifier): Promise<ServerSideDataResult>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TypeDashboardsListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TypeDashboardsListComponent, "c8y-dashboard-manager", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=type-dashboards-list.component.d.ts.map