import { OnChanges, SimpleChanges, EventEmitter } from '@angular/core';
import { ContextDashboard } from '../context-dashboard.model';
import { ContextDashboardService } from '../context-dashboard.service';
import { DashboardDetailService } from '../dashboard-detail.service';
import * as i0 from "@angular/core";
export declare class DashboardAppearanceSettingsComponent implements OnChanges {
    private contextDashboardService;
    dashboard: ContextDashboard;
    appearanceSettingsForm: ReturnType<DashboardDetailService['initAppearanceSettingsForm']>;
    styling: {
        themeClass: string;
        headerClass: string;
    };
    previewChanged: EventEmitter<Pick<ContextDashboard, "classes" | "widgetClasses">>;
    readonly DEFAULT_DASHBOARD_MARGIN = 12;
    constructor(contextDashboardService: ContextDashboardService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    changeThemeClass(themeClass: string): void;
    changeHeaderClass(headerClass: string): void;
    private setDashboardStyle;
    static ɵfac: i0.ɵɵFactoryDeclaration<DashboardAppearanceSettingsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DashboardAppearanceSettingsComponent, "c8y-dashboard-appearance-settings", never, { "dashboard": { "alias": "dashboard"; "required": false; }; "appearanceSettingsForm": { "alias": "appearanceSettingsForm"; "required": false; }; }, { "previewChanged": "previewChanged"; }, never, never, false, never>;
}
//# sourceMappingURL=dashboard-appearance-settings.component.d.ts.map