import { ActivatedRoute } from '@angular/router';
import { InventoryService } from '@c8y/client';
import { ContextData, Widget } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import { Subscription } from 'rxjs';
import { WidgetService } from '../widget.service';
import { CanDeactivateComponent } from '../context-dashboard.model';
import { ContextDashboardComponent } from '../context-dashboard.component';
import * as i0 from "@angular/core";
export declare class DeviceInfoDashboardComponent implements CanDeactivateComponent {
    private router;
    private widgetService;
    private translateService;
    private inventoryService;
    isLoading: boolean;
    title: string;
    dashboardName: string;
    widgetsList: Widget[];
    currentContext: ContextData;
    contextSubscription: Subscription;
    widgetsSubscription: Subscription;
    contextDashboard: ContextDashboardComponent;
    DEVICE_INFO_WIDGETS: Widget[];
    constructor(router: ActivatedRoute, widgetService: WidgetService, translateService: TranslateService, inventoryService: InventoryService);
    ngOnInit(): void;
    addDeviceTargetForDP(id: string | number, name: string): void;
    filterSupportedSeriesForDP(id: string | number, widgets: Widget[]): Promise<void>;
    ngOnDestroy(): void;
    canDeactivate(): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceInfoDashboardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DeviceInfoDashboardComponent, "c8y-device-info-dashboard-dashboard", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=device-info-dashboard.component.d.ts.map