import { OnInit, ViewContainerRef } from '@angular/core';
import { Router } from '@angular/router';
import { InventoryService } from '@c8y/client';
import { ContextDashboardService } from './context-dashboard.service';
import * as i0 from "@angular/core";
export declare class PasteDashboardActionComponent implements OnInit {
    private vcRef;
    private router;
    private contextDashboardService;
    private inventoryService;
    pasteDisabled: boolean;
    templatePaste: any;
    dashboardName: string;
    buttonTitle: string;
    private currentViewContext;
    private currentUrl;
    private contextMO;
    private contextId;
    constructor(vcRef: ViewContainerRef, router: Router, contextDashboardService: ContextDashboardService, inventoryService: InventoryService);
    ngOnInit(): Promise<void>;
    pasteDashboard(): Promise<void>;
    private getContextMo;
    private checkIfPasteIsAllowed;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasteDashboardActionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PasteDashboardActionComponent, "c8y-paste-dashboard-action", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=paste-dashboard-action.component.d.ts.map