import { ChangeDetectorRef, EventEmitter, OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { NewPassword } from './password.model';
import { NgModel, ValidatorFn } from '@angular/forms';
import { LoginService } from '../login/login.service';
import * as i0 from "@angular/core";
export declare class NewPasswordComponent implements OnChanges, OnInit {
    private loginService;
    private cdRef;
    password: EventEmitter<object | NewPassword>;
    showChangePasswordButton: boolean;
    requireStrongPassword: boolean;
    model: any;
    changePassword: boolean;
    passwordEnforced: boolean;
    minlength: number;
    requirementsFulfilled: boolean;
    newPasswordModel: NgModel;
    set _newPasswordModel(ngModel: NgModel);
    constructor(loginService: LoginService, cdRef: ChangeDetectorRef);
    passwordChecklistValidator: ValidatorFn;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): Promise<void>;
    newPasswordChanged(): void;
    updateValidity(requirementsFulfilled: boolean): void;
    loadPasswordStrengthSettings(): Promise<void>;
    toggleChangePassword(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NewPasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NewPasswordComponent, "c8y-new-password", never, { "showChangePasswordButton": { "alias": "showChangePasswordButton"; "required": false; }; "requireStrongPassword": { "alias": "requireStrongPassword"; "required": false; }; }, { "password": "password"; }, never, never, false, never>;
}
//# sourceMappingURL=new-password.component.d.ts.map