import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
/**
 * The component is used to display a password control that includes the functionality of hiding and showing the input value.
 */
export declare class PasswordInputComponent implements ControlValueAccessor {
    /**
     * Id of input
     */
    id?: string;
    /**
     * Value for autocomplete attribute of input
     */
    autocomplete?: string;
    value: string;
    disabled: boolean;
    type: string;
    onChange: (value: any) => void;
    onTouched: () => void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    onInput($event: any): void;
    onFocusOut(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PasswordInputComponent, "c8y-password-input", never, { "id": { "alias": "id"; "required": false; }; "autocomplete": { "alias": "autocomplete"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=password-input.component.d.ts.map