import { EventEmitter } from '@angular/core';
import { LoginService } from '../login/login.service';
import { AlertService } from '../alert/alert.service';
import { ICredentials, UserService } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class ProvidePhoneNumberComponent {
    loginService: LoginService;
    alert: AlertService;
    private userService;
    credentials: ICredentials;
    onCancel: EventEmitter<any>;
    onChangeView: EventEmitter<any>;
    phoneNumber: string;
    requestInProgress: boolean;
    private readonly sendTfa;
    constructor(loginService: LoginService, alert: AlertService, userService: UserService);
    save(): Promise<void>;
    private sendTFASms;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProvidePhoneNumberComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ProvidePhoneNumberComponent, "c8y-provide-phone-number", never, { "credentials": { "alias": "credentials"; "required": false; }; }, { "onCancel": "onCancel"; "onChangeView": "onChangeView"; }, never, never, false, never>;
}
//# sourceMappingURL=provide-phone-number.component.d.ts.map