import { EventEmitter } from '@angular/core';
import { UserService, ICredentials } from '@c8y/client';
import { LoginService } from '../login/login.service';
import { AlertService } from '../alert/alert.service';
import * as i0 from "@angular/core";
export declare class SmsChallengeComponent {
    loginService: LoginService;
    private users;
    private alert;
    credentials: ICredentials;
    onCancel: EventEmitter<any>;
    model: {
        smsToken: string;
    };
    isLoading: boolean;
    private resendTfa;
    constructor(loginService: LoginService, users: UserService, alert: AlertService);
    verifyTFACode(): Promise<void>;
    resendTFASms(): Promise<void>;
    private usesOAuthInternal;
    private verifyCodeWithOauth;
    private verifyCodeWithBasicAuth;
    private loginWithTFA;
    static ɵfac: i0.ɵɵFactoryDeclaration<SmsChallengeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SmsChallengeComponent, "c8y-sms-challenge", never, { "credentials": { "alias": "credentials"; "required": false; }; }, { "onCancel": "onCancel"; }, never, never, false, never>;
}
//# sourceMappingURL=sms-challenge.component.d.ts.map