import { ExtensionFactory } from '../common/extension-hooks';
import { OptionsService } from '../common/options.service';
import { DrawerItem } from '../drawer/drawer.model';
import { Observable } from 'rxjs';
import { PreviewService } from './beta-preview.service';
import { Permissions } from '../common/permissions.service';
import * as i0 from "@angular/core";
export declare class BetaPreviewDrawerFactory implements ExtensionFactory<DrawerItem> {
    private options;
    private previewService;
    private permissions;
    protected drawerItem: DrawerItem;
    constructor(options: OptionsService, previewService: PreviewService, permissions: Permissions);
    get(): Observable<DrawerItem[] | DrawerItem>;
    private shouldShowBetaPreview$;
    static ɵfac: i0.ɵɵFactoryDeclaration<BetaPreviewDrawerFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BetaPreviewDrawerFactory>;
}
//# sourceMappingURL=beta-preview-drawer.factory.d.ts.map