import { Type } from '@angular/core';
import { BetaFeature } from './beta-preview.model';
import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BetaPreviewComponent {
    selectedFeature: BetaFeature;
    shouldClose: Promise<boolean>;
    description$: BehaviorSubject<string | Type<any> | Promise<string | Type<any>>>;
    private resolveClose;
    private readonly betaPreviewService;
    private readonly markdownToHtmlPipe;
    features$: Observable<BetaFeature[]>;
    constructor();
    ngOnInit(): Promise<void>;
    updateSelectedFeature(feature: BetaFeature): Promise<void>;
    updateDescription(): Promise<void>;
    isComponent(description: string | Type<any> | Promise<string | Type<any>>): description is Type<any>;
    onToggle(feature: BetaFeature, event: Event): Promise<void>;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BetaPreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BetaPreviewComponent, "c8y-beta-preview", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=beta-preview.component.d.ts.map