import { FeatureService } from '@c8y/client';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class FeatureCacheService {
    private featureService;
    private refreshTrigger;
    private features$;
    constructor(featureService: FeatureService);
    /**
     * Needed for the angularJS implmentation to show/hide some old features.
     * Returns a promise
     */
    getFeatureStatePromise(key: string): Promise<boolean>;
    /**
     *
     * @param key - The feature key to check
     * @returns true if the feature key exists in the list of features.
     */
    featureExists(key: string): Observable<boolean>;
    getFeatureState(key: string): Observable<boolean>;
    resetFeatureState(): void;
    private loadFeatures;
    static ɵfac: i0.ɵɵFactoryDeclaration<FeatureCacheService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FeatureCacheService>;
}
//# sourceMappingURL=feature-cache.service.d.ts.map