import { Subject } from 'rxjs';
import { StatusType } from '../../../common/status.model';
import { ConfirmModalComponent } from '../../../modal/modal-confirm.component';
import { ModalLabels } from '../../../select-modal/select-modal.model';
import { Cookie, CookiePreferences } from '../cookie-banner.model';
import { CookieBannerService } from '../cookie-banner.service';
import * as i0 from "@angular/core";
export declare class CookieBannerPreferencesModalComponent {
    private cookieBannerService;
    modalRef: ConfirmModalComponent;
    closeSubject: Subject<CookiePreferences>;
    title: "Cookie preferences";
    labels: ModalLabels;
    status: StatusType;
    configCookiePreferences: CookiePreferences;
    configCookiePreferencesList: Cookie[];
    constructor(cookieBannerService: CookieBannerService);
    ngOnInit(): void;
    ngAfterViewInit(): Promise<void>;
    onClose(): void;
    onDismiss(): void;
    getCookieDescription(cookieType: 'required' | 'functional' | 'marketing'): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CookieBannerPreferencesModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CookieBannerPreferencesModalComponent, "c8y-cookie-banner-preferences-modal", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=cookie-banner-preferences-modal.component.d.ts.map