import { OnInit } from '@angular/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { CookieBannerSettings, CookiePreferences } from './cookie-banner.model';
import { CookieBannerService } from './cookie-banner.service';
import * as i0 from "@angular/core";
export declare class CookieBannerComponent implements OnInit {
    private bsModalService;
    private cookieBannerService;
    settings: Partial<CookieBannerSettings>;
    showBanner: boolean;
    shouldDisable: boolean;
    cookiePreferences: CookiePreferences;
    constructor(bsModalService: BsModalService, cookieBannerService: CookieBannerService);
    ngOnInit(): void;
    getSettings(): Partial<CookieBannerSettings>;
    onConfigurePreferences(): void;
    acceptCookies(): void;
    rejectCookies(): void;
    private shouldShowCookieBanner;
    private disableButtons;
    private setCookieBannerVisibility;
    static ɵfac: i0.ɵɵFactoryDeclaration<CookieBannerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CookieBannerComponent, "c8y-cookie-banner", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=cookie-banner.component.d.ts.map