import { PipeTransform } from '@angular/core';
import { IManagedObject } from '@c8y/client';
import * as i0 from "@angular/core";
/**
 * Converts a managed object into a context-aware URL, depending on its type and fragments.
 * Usage:
 *
 * ```html
 *  {{ managedObject | assetLink }} <!-- e.g. '/device/<moId>' or '/group/<moId> -->
 * ```
 */
export declare class AssetLinkPipe implements PipeTransform {
    private groupService;
    transform(mo: IManagedObject): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssetLinkPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AssetLinkPipe, "assetLink", true>;
}
//# sourceMappingURL=asset-link.pipe.d.ts.map