import { IManagedObject } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class DeviceService {
    static FRAGMENTS_FOR_NO_DEVICE: readonly ["c8y_Dashboard", "c8y_Report", "c8y_Kpi", "c8y_ExportConfiguration", "c8y_IsBinary", "c8y_NoDevice", "c8y_IsDeviceGroup", "c8y_IsDynamicGroup", "c8y_Group", "com_cumulocity_model_smartrest_SmartRestTemplate", "com_cumulocity_model_devicesimulator_SensorTemplate", "_attachments", "c8y_IsDeviceType", "c8y_objectmapping_ObjectMapping", "c8y_IsAssetType"];
    static TYPES_FOR_NO_DEVICE: readonly ["c8y_ConfigurationDump", "c8y_Firmware", "c8y_SmartRule", "c8y_Software", "impact_object_mapping", "c8y_UserPreference", "c8y_TenantPolicy", "c8y_PrivateSmartRule", "c8y_SmartRest2Template", "c8y_JsonSchema", "c8y_DeviceShellTemplate", "c8y_DemoStatus", "c8y_DataBroker", "c8y_Application_", "brandingVariables", "c8y_DeviceSimulator", "c8y_CertificateMetadata", "lwm2m_post_registration", "c8y_microservice_manifest_"];
    static DEVICE_FRAGMENT_TYPE: "c8y_IsDevice";
    static isAnyDevice(mo: IManagedObject): boolean;
    static hasFragmentOrTypeFromBlacklist(mo: IManagedObject): boolean;
    static hasTypeFromBlacklist(mo: IManagedObject): boolean;
    static hasFragmentFromBlacklist(mo: IManagedObject): boolean;
    static isRootDevice(mo: IManagedObject): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DeviceService>;
}
//# sourceMappingURL=device.service.d.ts.map