import { PipeTransform } from '@angular/core';
import { IApplication } from '@c8y/client';
import { TranslateService } from '@ngx-translate/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class HumanizeAppNamePipe implements PipeTransform {
    private translateService;
    constructor(translateService: TranslateService);
    transform(appNameOrApp?: IApplication | string): Observable<string>;
    private getAppName;
    private getFirstDefined;
    private isPublicApp;
    private humanize;
    static ɵfac: i0.ɵɵFactoryDeclaration<HumanizeAppNamePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<HumanizeAppNamePipe, "humanizeAppName", true>;
}
//# sourceMappingURL=humanize-app-name.pipe.d.ts.map