import * as i0 from "@angular/core";
export declare class LoadingComponent {
    /**
     * Defining the layout of the loading component. By default the
     * component loading activity is used.
     */
    layout: 'component' | 'application' | 'page';
    /**
     * If set, a progress bar is shown. The layout property is ignored.
     */
    progress: number;
    /**
     * Showing a message while loading. The application layout by default shows the label `Loading…`.
     */
    message: string;
    /**
     * @ignore
     */
    get defaultLoadingMessage(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoadingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoadingComponent, "c8y-loading", never, { "layout": { "alias": "layout"; "required": false; }; "progress": { "alias": "progress"; "required": false; }; "message": { "alias": "message"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=loading.component.d.ts.map