import { TemplateRef, Type } from '@angular/core';
import { Column } from '../data-grid.model';
import * as i0 from "@angular/core";
export interface CellRendererDef {
    template: TemplateRef<any>;
}
export interface CellRendererSpec {
    renderer: TemplateRef<CellRendererContext> | Type<any>;
    context: CellRendererContext;
}
export declare class CellRendererContext {
    value: any;
    item?: any;
    property: Column;
}
export declare class CellRendererDefDirective implements CellRendererDef {
    template: TemplateRef<any>;
    constructor(template: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<CellRendererDefDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CellRendererDefDirective, "[c8yCellRendererDef]", never, {}, {}, never, never, false, never>;
}
export declare class HeaderCellRendererDefDirective implements CellRendererDef {
    template: TemplateRef<any>;
    constructor(template: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderCellRendererDefDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<HeaderCellRendererDefDirective, "[c8yHeaderCellRendererDef]", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=cell-renderer.d.ts.map