import { QueriesUtil } from '@c8y/client';
import { Observable } from 'rxjs';
import { UserPreferencesService } from '../common/user-preferences/user-preferences.service';
import { Column, GridConfig } from './data-grid.model';
import * as i0 from "@angular/core";
export declare class DataGridService {
    protected userPreferencesService: UserPreferencesService;
    protected DEFAULT_PAGE_SIZE: number;
    protected queriesUtil: QueriesUtil;
    constructor(userPreferencesService: UserPreferencesService);
    clearConfig(key: string): void;
    getConfig$(key: string): Observable<GridConfig>;
    saveConfig$(config: GridConfig, key: string): Observable<GridConfig>;
    getUserConfiguredColumns$(columns: Column[] | Observable<Column[]>, storageKey?: string): Observable<Column[]>;
    getQueryObj(columns: Column[], defaultFilter?: {}): any;
    applyConfigToColumns(config: GridConfig, columns: Column[], storageKey?: string): Column[];
    private extendQueryByColumn;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataGridService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DataGridService>;
}
//# sourceMappingURL=data-grid.service.d.ts.map