import { EventEmitter, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { PickedDates } from './date-picker.model';
import * as i0 from "@angular/core";
export declare class DatePickerComponent implements OnInit {
    onDateSelected: EventEmitter<PickedDates>;
    placeholder: "Filter by date…";
    dateInputFormat: string;
    dateFrom: string;
    dateTo: string;
    fgDatePicker: FormGroup;
    private dateFormatService;
    ngOnInit(): void;
    filter(): void;
    clearFilter(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatePickerComponent, "c8y-date-picker", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "dateInputFormat": { "alias": "dateInputFormat"; "required": false; }; }, { "onDateSelected": "onDateSelected"; }, never, never, true, never>;
}
//# sourceMappingURL=date-picker.component.d.ts.map