import { OnChanges, SimpleChanges } from '@angular/core';
import { Observable } from 'rxjs';
import { DrawerItem, DrawerPositions } from '../drawer.model';
import { DrawerService } from '../drawer.service';
import * as i0 from "@angular/core";
export declare class DrawerOutletComponent implements OnChanges {
    private drawerService;
    position: DrawerPositions;
    open: boolean;
    drawerItems$: Observable<DrawerItem[]>;
    isLeft$: Observable<boolean>;
    private drawerPosition$;
    constructor(drawerService: DrawerService);
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerOutletComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DrawerOutletComponent, "c8y-drawer-outlet", never, { "position": { "alias": "position"; "required": false; }; "open": { "alias": "open"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=drawer-outlet.component.d.ts.map