import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { DismissAlertStrategy } from './dynamic-component-alert.model';
import { DynamicComponentAlertAggregator } from './dynamic-component-alert-aggregator';
import { AlertOutletBase, AlertService } from '../alert';
import * as i0 from "@angular/core";
export declare class DynamicComponentAlertsComponent extends AlertOutletBase implements OnInit, OnDestroy {
    alertService: AlertService;
    private ref;
    dismissAlertStrategy: typeof DismissAlertStrategy;
    private destroy$;
    alerts: DynamicComponentAlertAggregator;
    constructor(alertService: AlertService, ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicComponentAlertsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicComponentAlertsComponent, "c8y-dynamic-component-alerts", never, { "alerts": { "alias": "alerts"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=dynamic-component-alerts.component.d.ts.map