import { EnvironmentProviders, OnInit } from '@angular/core';
import { FieldType, FormlyFieldProps } from '@ngx-formly/core';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare const selectTypeConfig: () => EnvironmentProviders;
export declare class SelectTypeComponent extends FieldType implements OnInit {
    private translateService;
    labelProp: string;
    valueProp: string;
    properties: FormlyFieldProps & {
        [additionalProperties: string]: unknown;
    };
    placeholder$: import("rxjs").Observable<any>;
    defaultPlaceholder$: import("rxjs").Observable<any>;
    options$: import("rxjs").Observable<any[]>;
    constructor(translateService: TranslateService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectTypeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectTypeComponent, "c8y-select-type", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=select.type.component.d.ts.map