import { ChangeDetectorRef, EnvironmentProviders, OnInit } from '@angular/core';
import { IIdentified } from '@c8y/client';
import { FieldType } from '@ngx-formly/core';
import { TranslateService } from '@ngx-translate/core';
import { ForOfFilterPipe } from '../../common';
import * as i0 from "@angular/core";
export declare const typeaheadTypeConfig: () => EnvironmentProviders;
export declare class TypeaheadTypeComponent extends FieldType implements OnInit {
    private cdRef;
    private translateService;
    filterPipe: ForOfFilterPipe;
    pattern: string;
    selected: IIdentified;
    labelProp: string;
    match: boolean;
    placeholder$: import("rxjs").Observable<any>;
    defaultPlaceholder$: import("rxjs").Observable<any>;
    private valueProps;
    private excludeLabelProp;
    constructor(cdRef: ChangeDetectorRef, translateService: TranslateService);
    ngOnInit(): void;
    selectOption(opt: any): void;
    setPipe(filterStr: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TypeaheadTypeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TypeaheadTypeComponent, "c8y-typeahead-type", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=typeahead.type.component.d.ts.map