import { FilesService } from '../common';
import { ValidatorFn } from '@angular/forms';
export declare abstract class FilePickerValidators {
    static fileMaxSize(maxSizeBytes: number, filesService: FilesService): ValidatorFn;
    static fileNonEmpty(filesService: FilesService): ValidatorFn;
    static fileNameMaxLength(filesService: FilesService): ValidatorFn;
    static haveValidExtensions(filesService: FilesService, accept: string): ValidatorFn;
    static fileCountMax(fileCountMax: number): ValidatorFn;
    static fileCountMin(fileCountMin: number): ValidatorFn;
}
//# sourceMappingURL=file-picker-validators.d.ts.map