import * as i0 from "@angular/core";
import * as i1 from "./phone-validation.directive";
import * as i2 from "./default-validation.directive";
import * as i3 from "./min-validation.directive";
import * as i4 from "./max-validation.directive";
import * as i5 from "./input-group-list.component";
import * as i6 from "./input-group-list-container.directive";
import * as i7 from "./json-validation-prettifier.directive";
import * as i8 from "./text-area-row-height.directive";
import * as i9 from "./ip-range-input-list.component";
import * as i10 from "./filter-input.component";
import * as i11 from "./emails-validator.directive";
import * as i12 from "./range.directive";
import * as i13 from "./range.component";
import * as i14 from "./simple-json-path-validator.directive";
import * as i15 from "./unique-in-collection-by-path-validation.directive";
import * as i16 from "./extract-array-validation-errors.pipe";
import * as i17 from "./filter-non-array-validation-errors.pipe";
import * as i18 from "./humanize-validation-message.pipe";
import * as i19 from "../common/common.module";
import * as i20 from "@angular/forms";
import * as i21 from "ngx-bootstrap/popover";
import * as i22 from "ngx-bootstrap/tooltip";
import * as i23 from "./form-group.component";
import * as i24 from "./message.directive";
import * as i25 from "./required-input-placeholder.directive";
import * as i26 from "./messages.component";
/**
 * @exports FormGroupComponent A component that allows to group an input and can display warnings and errors.
 * @exports PhoneValidationDirective Allows to validate international phone numbers.
 * @exports NewsletterDirective Allows to subscribe to the newsletter.
 * @exports DefaultValidationDirective Allows to validate some predefined patterns.
 * @exports MessageDirective A directive that allows to define messages.
 * @exports MessagesComponent Allows to display error messages.
 * @exports RangeComponent A component that allows to display a styled range slider.
 */
export declare class FormsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<FormsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<FormsModule, [typeof i1.PhoneValidationDirective, typeof i2.DefaultValidationDirective, typeof i3.MinValidationDirective, typeof i4.MaxValidationDirective, typeof i5.InputGroupListComponent, typeof i6.InputGroupListContainerDirective, typeof i7.JsonValidationPrettifierDirective, typeof i8.TextAreaRowHeightDirective, typeof i9.IpRangeInputListComponent, typeof i10.FilterInputComponent, typeof i11.EmailsValidatorDirective, typeof i12.RangeDirective, typeof i13.RangeComponent, typeof i14.SimpleJsonPathValidatorDirective, typeof i15.UniqueInCollectionByPathValidationDirective, typeof i16.ExtractArrayValidationErrorsPipe, typeof i17.FilterNonArrayValidationErrorsPipe, typeof i18.HumanizeValidationMessagePipe], [typeof i19.CommonModule, typeof i20.FormsModule, typeof i20.ReactiveFormsModule, typeof i21.PopoverModule, typeof i22.TooltipModule, typeof i23.FormGroupComponent, typeof i24.MessageDirective, typeof i25.RequiredInputPlaceholderDirective, typeof i26.MessagesComponent], [typeof i1.PhoneValidationDirective, typeof i2.DefaultValidationDirective, typeof i3.MinValidationDirective, typeof i4.MaxValidationDirective, typeof i20.FormsModule, typeof i23.FormGroupComponent, typeof i24.MessageDirective, typeof i26.MessagesComponent, typeof i5.InputGroupListComponent, typeof i6.InputGroupListContainerDirective, typeof i7.JsonValidationPrettifierDirective, typeof i8.TextAreaRowHeightDirective, typeof i25.RequiredInputPlaceholderDirective, typeof i9.IpRangeInputListComponent, typeof i10.FilterInputComponent, typeof i11.EmailsValidatorDirective, typeof i12.RangeDirective, typeof i13.RangeComponent, typeof i14.SimpleJsonPathValidatorDirective, typeof i15.UniqueInCollectionByPathValidationDirective, typeof i16.ExtractArrayValidationErrorsPipe, typeof i17.FilterNonArrayValidationErrorsPipe, typeof i18.HumanizeValidationMessagePipe]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<FormsModule>;
}
//# sourceMappingURL=forms.module.d.ts.map