import { EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class JsonValidationPrettifierDirective implements OnInit, OnDestroy {
    invalidJSON: EventEmitter<string>;
    private abstractCtrl;
    private message;
    private debounceTimeInMs;
    private subscription;
    constructor(ngCtrl: NgControl);
    ngOnInit(): void;
    ngOnDestroy(): void;
    validateInputAndPrettify(value: any): void;
    private setErrorAndValidationMessage;
    private clearValidationMessage;
    static ɵfac: i0.ɵɵFactoryDeclaration<JsonValidationPrettifierDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<JsonValidationPrettifierDirective, "textarea[prettyValidJson]", never, {}, { "invalidJSON": "invalidJSON"; }, never, never, false, never>;
}
//# sourceMappingURL=json-validation-prettifier.directive.d.ts.map