import { TranslateService } from '@ngx-translate/core';
import { BehaviorSubject } from 'rxjs';
import { OptionsService } from '../common/options.service';
import * as i0 from "@angular/core";
export declare class HelpService {
    private translateService;
    private options;
    readonly contextHelp: BehaviorSubject<boolean | string>;
    isWarningAlertViewed: boolean;
    private readonly SUPPORTED_LANGUAGES;
    constructor(translateService: TranslateService, options: OptionsService);
    isSupportedLanguage(): boolean;
    private handleContextHelp;
    private getContextHelpOption;
    static ɵfac: i0.ɵɵFactoryDeclaration<HelpService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<HelpService>;
}
//# sourceMappingURL=help.service.d.ts.map