import { PatternMessagesService } from './pattern-messages.service';
import { MissingTranslationHandler, MissingTranslationHandlerParams, TranslateParser, TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class MissingTranslationCustomHandler implements MissingTranslationHandler {
    private parser;
    private patternMessagesService;
    translateService: TranslateService;
    cache: Map<string, Map<string, string>>;
    constructor(parser: TranslateParser, patternMessagesService: PatternMessagesService);
    handle(params: MissingTranslationHandlerParams): string;
    private getFromCache;
    private addToCache;
    private getCacheKey;
    private getPatternMessageTranslation;
    private removeContextIndicators;
    static ɵfac: i0.ɵɵFactoryDeclaration<MissingTranslationCustomHandler, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MissingTranslationCustomHandler>;
}
//# sourceMappingURL=missing-translation-custom.handler.d.ts.map