import * as i0 from "@angular/core";
import * as i1 from "./list-group.component";
import * as i2 from "./list-item.component";
import * as i3 from "./list-item-icon.component";
import * as i4 from "./list-item-body.component";
import * as i5 from "./list-item-footer.component";
import * as i6 from "./list-item-action.component";
import * as i7 from "./list-item-collapse.component";
import * as i8 from "./list-item-checkbox.component";
import * as i9 from "./list-item-radio.component";
import * as i10 from "./list-item-timeline.component";
import * as i11 from "./list-item-drag-handle.component";
import * as i12 from "../common/common.module";
import * as i13 from "ngx-bootstrap/collapse";
import * as i14 from "ngx-bootstrap/dropdown";
import * as i15 from "@angular/cdk/a11y";
/**
 * The list-group module allows you to compose different styles
 * of lists used in Cumulocity IoT. They can consist of plain
 * text, actions, icons and more.
 *
 * ```html
 * <c8y-list-group>
 *   <c8y-li>Item 1<c8y-li>
 *   <c8y-li>Item 2<c8y-li>
 * </c8y-list-group>
 * ```
 */
export declare class ListGroupModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ListGroupModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ListGroupModule, [typeof i1.ListGroupComponent, typeof i2.ListItemComponent, typeof i3.ListItemIconComponent, typeof i4.ListItemBodyComponent, typeof i5.ListItemFooterComponent, typeof i6.ListItemActionComponent, typeof i7.ListItemCollapseComponent, typeof i8.ListItemCheckboxComponent, typeof i9.ListItemRadioComponent, typeof i10.ListItemTimelineComponent, typeof i11.ListItemDragHandleComponent], [typeof i12.CommonModule, typeof i13.CollapseModule, typeof i14.BsDropdownModule, typeof i15.A11yModule], [typeof i1.ListGroupComponent, typeof i2.ListItemComponent, typeof i3.ListItemIconComponent, typeof i4.ListItemBodyComponent, typeof i5.ListItemFooterComponent, typeof i6.ListItemActionComponent, typeof i7.ListItemCollapseComponent, typeof i8.ListItemCheckboxComponent, typeof i9.ListItemRadioComponent, typeof i10.ListItemTimelineComponent, typeof i11.ListItemDragHandleComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ListGroupModule>;
}
//# sourceMappingURL=list-group.module.d.ts.map