import * as i0 from "@angular/core";
/**
 * The footer can be used with either content projection
 * or a simple string as an input.
 *
 * ```html
 * <c8y-li>
 *   Content
 *   <c8y-li-footer>I am a footer</c8y-li-footer>
 * </c8y-li>
 * ```
 */
export declare class ListItemFooterComponent {
    /**
     * A simple string that can be used instead
     * of content projection.
     */
    footer: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListItemFooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ListItemFooterComponent, "c8y-list-item-footer, c8y-li-footer", never, { "footer": { "alias": "footer"; "required": false; }; }, {}, never, ["*"], false, never>;
}
//# sourceMappingURL=list-item-footer.component.d.ts.map