import { OnInit, EventEmitter } from '@angular/core';
import { LoginService } from './login.service';
import { ICredentials, UserService } from '@c8y/client';
import { OptionsService } from '../common/options.service';
import { AlertService } from '../alert/alert.service';
import * as i0 from "@angular/core";
export declare class ChangePasswordComponent implements OnInit {
    loginService: LoginService;
    private users;
    private options;
    private alert;
    credentials: ICredentials;
    onChangeView: EventEmitter<any>;
    passwordPattern: RegExp;
    isLoading: boolean;
    model: {
        tenantId: string;
        email: string;
        newPassword: string;
        newPasswordConfirm: string;
    };
    emailReadOnly: boolean;
    passwordStrengthEnforced: boolean;
    private TOKEN_PARAM;
    private EMAIL_PARAM;
    constructor(loginService: LoginService, users: UserService, options: OptionsService, alert: AlertService);
    ngOnInit(): Promise<void>;
    changePassword(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChangePasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChangePasswordComponent, "c8y-change-password", never, { "credentials": { "alias": "credentials"; "required": false; }; }, { "onChangeView": "onChangeView"; }, never, never, false, never>;
}
//# sourceMappingURL=change-password.component.d.ts.map