import { AbstractControl, ValidationErrors, Validator } from '@angular/forms';
import { StrengthValidatorService } from './strength-validator-service';
import * as i0 from "@angular/core";
export declare class PasswordStrengthValidatorDirective implements Validator {
    passwordService: StrengthValidatorService;
    private forced;
    set passwordStrengthEnforced(value: any);
    constructor(passwordService: StrengthValidatorService);
    validate(control: AbstractControl): ValidationErrors | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordStrengthValidatorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PasswordStrengthValidatorDirective, "[passwordStrengthEnforced]", never, { "passwordStrengthEnforced": { "alias": "passwordStrengthEnforced"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=password-strength-validator.directive.d.ts.map