import { ActivatedRoute } from '@angular/router';
import { FetchClient, IResultList, Service } from '@c8y/client';
import { ProviderDefinition } from '../model/provider-definition.model';
import * as i0 from "@angular/core";
export declare class ProviderDefinitionsService extends Service<ProviderDefinition> {
    protected baseUrl: string;
    protected listUrl: string;
    constructor(client: FetchClient, activatedRoute: ActivatedRoute);
    list(): Promise<IResultList<ProviderDefinition>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProviderDefinitionsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ProviderDefinitionsService>;
}
//# sourceMappingURL=provider-definitions.service.d.ts.map