import { AfterViewInit, OnChanges, OnDestroy } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { RangeDisplay } from './range-display.model';
import * as i0 from "@angular/core";
export declare class RangeDisplayComponent implements AfterViewInit, OnDestroy, OnChanges {
    private sanitizer;
    config: RangeDisplay;
    display: 'full' | 'compact' | 'inline';
    private currentRangeWidthObserver;
    private currentRangeWidthChanged;
    private readonly CURRENT_RANGE_WIDTH_TRANSITION_TIME;
    private readonly DEFAULT_TOOLTIP_SHIFT;
    private readonly MIN_TOOLTIP_SHIFT;
    private tooltipShift;
    get inlineStyle(): import("@angular/platform-browser").SafeStyle;
    private rangeDisplay;
    private currentRangeElement;
    private destroyed$;
    constructor(sanitizer: DomSanitizer);
    ngOnChanges(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    checkTarget(): boolean;
    rulerCalc(index: any): number;
    trackByIndex(index: number): number;
    isRedRangeDisplayed(): any;
    isYellowRangeDisplayed(): any;
    isRangeDisplayed(rangeMin: any, rangeMax: any): any;
    private setupTooltipShifting;
    private setTooltipShiftValue;
    private setupTooltipShiftingIfPossible;
    private getTooltipBackground;
    private isValueInRange;
    static ɵfac: i0.ɵɵFactoryDeclaration<RangeDisplayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RangeDisplayComponent, "c8y-range-display", never, { "config": { "alias": "config"; "required": false; }; "display": { "alias": "display"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=range-display.component.d.ts.map