import { IOperation } from '@c8y/client';
import { RealtimeSubjectService } from './realtime-subject.service';
import { RealtimeService } from './realtime.service';
import * as i0 from "@angular/core";
/**
 * A service for handling bulk operation realtime notifications in RxJS fashion.
 */
export declare class OperationRealtimeService extends RealtimeService<IOperation> {
    protected realtimeSubject: RealtimeSubjectService;
    constructor(realtimeSubject: RealtimeSubjectService);
    protected channel(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<OperationRealtimeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OperationRealtimeService>;
}
//# sourceMappingURL=operation-realtime.service.d.ts.map