import { BsDropdownDirective } from 'ngx-bootstrap/dropdown';
import { EventEmitter, OnChanges, SimpleChanges, OnInit } from '@angular/core';
import { Item, selectedFunction, selectedLabelFunction } from './select.model';
import * as i0 from "@angular/core";
export declare class SelectLegacyComponent implements OnChanges, OnInit {
    placeholder: string;
    selectedLabel: string | selectedLabelFunction;
    applyLabel: string;
    items: Item[];
    set selected(value: Item[] | selectedFunction);
    get selected(): Item[] | selectedFunction;
    updateItems: EventEmitter<boolean>;
    disableApplyOnNoSelection: boolean;
    addDropdownContainerToBody: boolean;
    onChange: EventEmitter<Item[]>;
    dropdown: BsDropdownDirective;
    liChildren: any;
    textFilter: string;
    labelText: string;
    isOpen: boolean;
    filteredItems: Item[];
    searchFilter: any;
    readonly sizeToShowFilter: number;
    labelsForSelectAll: any;
    showAllLabel: boolean;
    itemsSelected: Set<Item>;
    private stopClicks;
    private propertyValueTransformService;
    private translateService;
    private _selected;
    preventClick(evt: any): void;
    isOpenChange(isOpen: boolean): void;
    outterSelected(item: Item): any;
    isSelected(item: Item): boolean;
    isAllItemsSelected(): boolean;
    isAllFilteredSelected(): boolean;
    isNoItemSelected(): boolean;
    applyChanges(): void;
    selectAll(checked: boolean): void;
    ngOnInit(): void;
    onChangeItem(checked: boolean, item: Item): void;
    deselectItem(item: Item): void;
    updateFiltered(term: string): void;
    getSelectAllToggleStatus(): {
        label: any;
        checked: boolean;
        indeterminate: boolean;
    };
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private updateLabel;
    private updateSelected;
    private isAllSelected;
    private getLabel;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectLegacyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectLegacyComponent, "c8y-select-legacy", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "selectedLabel": { "alias": "selectedLabel"; "required": false; }; "applyLabel": { "alias": "applyLabel"; "required": false; }; "items": { "alias": "items"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; "updateItems": { "alias": "updateItems"; "required": false; }; "disableApplyOnNoSelection": { "alias": "disableApplyOnNoSelection"; "required": false; }; "addDropdownContainerToBody": { "alias": "addDropdownContainerToBody"; "required": false; }; }, { "onChange": "onChange"; }, ["liChildren"], ["c8y-li"], false, never>;
}
//# sourceMappingURL=select-legacy.component.d.ts.map