import { TemplateRef } from '@angular/core';
import { SelectItemDirective } from './select-item.directive';
export type SelectableItem = {
    label: string;
    value: string;
};
export type SelectableItemTemplate = SelectableItem & {
    template?: TemplateRef<SelectItemDirective>;
};
export interface Item {
    name: string;
    _selected?: boolean;
    [key: string]: any;
}
export type selectedFunction = (item: Item) => boolean;
export type selectedLabelFunction = (items: Item[]) => string;
//# sourceMappingURL=select.model.d.ts.map