import { CdkStep } from '@angular/cdk/stepper';
import { OnInit, OnDestroy } from '@angular/core';
import { C8yStepper } from '../stepper/stepper.component';
import { SetupComponent } from './setup.component';
import * as i0 from "@angular/core";
export declare class SetupCompletedComponent implements OnInit, OnDestroy {
    stepper: C8yStepper;
    step: CdkStep;
    setup: SetupComponent;
    status: 'done' | 'warning' | 'error';
    readonly STEP_LABEL: "Step";
    private isVerified;
    private stepperSelectionChangeSubscription;
    constructor(stepper: C8yStepper, step: CdkStep, setup: SetupComponent);
    ngOnInit(): void;
    ngOnDestroy(): void;
    verify(selectedIndex: any): void;
    start(): void;
    back(): void;
    gotoStep(index: any): void;
    private getOverallStatus;
    static ɵfac: i0.ɵɵFactoryDeclaration<SetupCompletedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SetupCompletedComponent, "c8y-setup-completed", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=setup-completed.component.d.ts.map