import { IndexedStep } from '../stepper/stepper.model';
export interface SetupStep extends IndexedStep {
    setupId: string;
}
/**
 * The state determines the current status of the wizard:
 * START: First view, showing application properties
 * WIZARD: Custom wizard to change configurations.
 * FINALIZING: Status between saving and finishing the setup.
 * RELOADING: Status between finishing and reloading the app.
 */
export declare enum SetupState {
    START = 0,
    WIZARD = 1,
    FINALIZING = 2,
    RELOADING = 3
}
export declare const NEEDED_ROLE_FOR_SETUP = "ROLE_APPLICATION_MANAGEMENT_ADMIN";
export declare const SETUP_FINISHED_STEP_ID = "c8ySetupFinished";
//# sourceMappingURL=setup.model.d.ts.map