import { BsDaterangepickerConfig } from 'ngx-bootstrap/datepicker';
export interface DateRangePickerConfig extends Partial<BsDaterangepickerConfig> {
}
export interface TimeInterval {
    dateFrom: Date;
    dateTo: Date;
}
export interface TimeIntervalOption {
    label: string;
    getStartDate?: () => Date;
}
export declare const LAST_MINUTE: TimeIntervalOption;
export declare const LAST_HOUR: {
    label: "Last hour";
    getStartDate: () => Date;
};
export declare const LAST_DAY: {
    label: "Last day";
    getStartDate: () => Date;
};
export declare const LAST_WEEK: {
    label: "Last week";
    getStartDate: () => Date;
};
export declare const LAST_MONTH: {
    label: "Last month";
    getStartDate: () => Date;
};
export declare const CUSTOM: {
    label: "Custom";
};
export declare const INTERVAL_OPTIONS: TimeIntervalOption[];
//# sourceMappingURL=time-interval.model.d.ts.map