import * as i0 from "@angular/core";
import * as i1 from "./user-menu-outlet.component";
import * as i2 from "./user-edit.component";
import * as i3 from "./user-edit-modal.component";
import * as i4 from "./user-menu-item.component";
import * as i5 from "./user-totp-setup.component";
import * as i6 from "./user-totp-revoke.component";
import * as i7 from "@angular/cdk/a11y";
import * as i8 from "../forms/forms.module";
import * as i9 from "../common/common.module";
import * as i10 from "../modal/modal.module";
import * as i11 from "ngx-bootstrap/dropdown";
import * as i12 from "../authentication/authentication.module";
import * as i13 from "../alert/alert.module";
import * as i14 from "@angular/router";
import * as i15 from "ngx-bootstrap/tooltip";
import * as i16 from "ngx-bootstrap/popover";
import * as i17 from "../clipboard/clipboard.module";
import * as i18 from "./user-details-drawer/user-details-drawer.module";
/**
 * The angular module definition for the user menu.
 * @exports UserMenuComponent
 * @exports UserMenuItemComponent
 * @exports UserEditComponent
 * @exports UserEditModalComponent
 */
export declare class UserModule {
    static providers(): (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
    static ɵfac: i0.ɵɵFactoryDeclaration<UserModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<UserModule, [typeof i1.UserMenuOutletComponent, typeof i2.UserEditComponent, typeof i3.UserEditModalComponent, typeof i4.UserMenuItemComponent, typeof i5.UserTotpSetupComponent, typeof i6.UserTotpRevokeComponent], [typeof i7.A11yModule, typeof i8.FormsModule, typeof i9.CommonModule, typeof i10.ModalModule, typeof i11.BsDropdownModule, typeof i12.AuthenticationModule, typeof i13.AlertModule, typeof i14.RouterModule, typeof i15.TooltipModule, typeof i16.PopoverModule, typeof i17.ClipboardModule, typeof i18.UserDetailsDrawerModule], [typeof i1.UserMenuOutletComponent, typeof i4.UserMenuItemComponent, typeof i2.UserEditComponent, typeof i3.UserEditModalComponent, typeof i5.UserTotpSetupComponent, typeof i6.UserTotpRevokeComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<UserModule>;
}
//# sourceMappingURL=user.module.d.ts.map