import { Observable } from 'rxjs';
import { AppStateService, ExtensionFactory } from '../common';
import { Version, VersionModuleConfig } from './version.model';
import * as i0 from "@angular/core";
/**
 * Will provide the backend versions of the tenant.
 * The system option 'system' -> 'version' is used for this.
 */
export declare class BackendVersionFactory implements ExtensionFactory<Version> {
    private config;
    private appState;
    backendVersion$: Observable<Version | Version[]>;
    constructor(config: VersionModuleConfig, appState: AppStateService);
    get(): Observable<Version | Version[]>;
    private buildBackendVersion;
    static ɵfac: i0.ɵɵFactoryDeclaration<BackendVersionFactory, [{ optional: true; }, null]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BackendVersionFactory>;
}
//# sourceMappingURL=backend-version.factory.d.ts.map