import { BsModalService } from 'ngx-bootstrap/modal';
import { Observable } from 'rxjs';
import { ClipboardService } from '../../clipboard/clipboard.service';
import { AppStateService } from '../../common/ui-state.service';
import { HeaderService } from '../../header/header.service';
import { Version } from '../version.model';
import { VersionService } from '../version.service';
import { PlatformDetailsService } from '../platform-details.service';
import * as i0 from "@angular/core";
export declare class VersionListComponent {
    private version;
    private appState;
    private clipboardService;
    private modalService;
    private platformDetails;
    private headerService;
    open$: Observable<boolean>;
    versionsToDirectlyDisplay$: Observable<Version[]>;
    currentTenantId$: Observable<string>;
    constructor(version: VersionService, appState: AppStateService, clipboardService: ClipboardService, modalService: BsModalService, platformDetails: PlatformDetailsService, headerService: HeaderService);
    downloadPlatformDetails(): Promise<void>;
    copyIt(text: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VersionListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VersionListComponent, "c8y-version-list", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=version-list.component.d.ts.map