import { IUser } from '@c8y/client';
export declare enum DataBrokerConnectorStatus {
    ACTIVE = "ACTIVE",
    SUSPENDED = "SUSPENDED",
    WAITING = "WAITING"
}
export interface SubscriptionStatusViewModel {
    icon: string;
    textClass: string;
    text: string;
    iconClass?: string;
}
export interface SubscriptionViewModel {
    userEnabled: boolean;
    visibleUserStatus: string;
    userId: string;
    status: SubscriptionStatusViewModel;
    id: string;
    _c8y_BrokerSource: any;
}
export interface NewDeviceRequestStatus {
    name: string;
    label: string;
    value: string;
}
export interface SubscriptionsViewModelNg1 {
    init(): void;
    reload(): void;
    destroy(): void;
}
export type UserStatusPartial = Required<Pick<IUser, 'id' | 'enabled'>>;
//# sourceMappingURL=data-broker.subscription.model.d.ts.map