import { WritableSignal } from '@angular/core';
import { WorkspaceConfiguration } from './workspace-configuration.model';
import * as i0 from "@angular/core";
export declare class WorkspaceConfigurationService {
    LOCAL_STORAGE_KEY: string;
    LOCAL_STORAGE_DEFAULT_ID_KEY: string;
    contextIdSignal: WritableSignal<number | string | null>;
    constructor();
    getConfigurations(): WorkspaceConfiguration[];
    getDefaultConfigurationId(): string | null;
    saveConfigurations(configurations: WorkspaceConfiguration[], id: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkspaceConfigurationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WorkspaceConfigurationService>;
}
//# sourceMappingURL=workspace-configuration.service.d.ts.map