import { ModalLabels } from '@c8y/ngx-components';
import { ContextDashboardService } from '@c8y/ngx-components/context-dashboard';
import { IManagedObject } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class CreateNewReportModalComponent {
    private contextDashboardService;
    reportName: string;
    labels: ModalLabels;
    result: Promise<IManagedObject>;
    styling: {
        themeClass: string;
        headerClass: string;
    };
    readonly DEFAULT_DASHBOARD_ICON = "th";
    readonly DEFAULT_DASHBOARD_PRIORITY = 5000;
    readonly DEFAULT_DASHBOARD_MARGIN = 12;
    private _resolve;
    private _reject;
    constructor(contextDashboardService: ContextDashboardService);
    save(): Promise<void>;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CreateNewReportModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CreateNewReportModalComponent, "c8y-create-new-report-modal", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=create-new-report-modal.component.d.ts.map