import { InjectionToken } from '@angular/core';
export declare const pathToDatapointLibrary = "datapointlibrary";
export declare const DATAPOINT_LIBRARY_CONFIG: InjectionToken<DatapointLibraryOptions>;
export interface DatapointLibraryOptions {
    /**
     * Allows to define whether the c8y_Global fragment should be added per default on newly created datapoints.
     */
    doNotAddGlobalFragmentByDefault?: boolean;
    /**
     * Will make a checkbox visible that allows the user to take the decision if the c8y_Global fragment should be set or not.
     */
    showCheckboxForGlobalFragment?: boolean;
}
//# sourceMappingURL=index.d.ts.map