import { FormBuilder, FormGroup, ValidatorFn } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class DatapointAttributesFormValidationService {
    private formBuilder;
    constructor(formBuilder: FormBuilder);
    getDefaultFormGroup(fieldsToRemove?: string[]): FormGroup;
    convertToBackendFormat(formDataStructure: any, showChart: boolean): {};
    convertToFormGroupFormat(backendDataStructure: any): {};
    getColorValidators(): ValidatorFn[];
    getLabelValidators(): ValidatorFn[];
    getDescriptionValidators(): ValidatorFn[];
    getFragmentValidators(): ValidatorFn[];
    getSeriesValidators(): ValidatorFn[];
    getMinMaxValidators(): ValidatorFn[];
    getUnitValidators(): ValidatorFn[];
    getTargetValidators(): ValidatorFn[];
    getOverallValidators(): ValidatorFn[];
    getMinMaxFormGroup(): FormGroup;
    getChartFormGroup(): FormGroup;
    getDisplayFormGroup(): FormGroup;
    getTargetFormGroup(): FormGroup;
    private convertStringToNumber;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatapointAttributesFormValidationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DatapointAttributesFormValidationService>;
}
//# sourceMappingURL=datapoint-attributes-form-validation.service.d.ts.map