import { EventEmitter } from '@angular/core';
import { GainsightService } from '@c8y/ngx-components';
import { BsModalService } from 'ngx-bootstrap/modal';
import { ExportConfig } from './datapoints-export-selector.model';
import * as i0 from "@angular/core";
export declare class DatapointsExportSelectorComponent {
    private bsModalService;
    private gainsightService;
    containerClass: string;
    exportConfig: ExportConfig;
    isOpen: EventEmitter<boolean>;
    readonly DEFAULT_CSS_STYLE = "d-flex p-t-4 p-b-4";
    constructor(bsModalService: BsModalService, gainsightService: GainsightService);
    openExportModal(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatapointsExportSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatapointsExportSelectorComponent, "c8y-datapoints-export-selector", never, { "containerClass": { "alias": "containerClass"; "required": false; }; "exportConfig": { "alias": "exportConfig"; "required": false; }; }, { "isOpen": "isOpen"; }, never, never, true, never>;
}
//# sourceMappingURL=datapoints-export-selector.component.d.ts.map