import { SmartGroupsService } from '@c8y/client';
import { AlertService } from '@c8y/ngx-components';
import { DeviceGridService } from '@c8y/ngx-components/device-grid';
import { TranslateService } from '@ngx-translate/core';
import { BsModalRef } from 'ngx-bootstrap/modal';
import * as i0 from "@angular/core";
export declare class AddSmartGroupComponent {
    private modal;
    private smartGroupsService;
    private deviceGridService;
    private alert;
    private translateService;
    smartGroup: {
        name: string;
        type: string;
        c8y_IsDynamicGroup: {};
    };
    configKey: string;
    deviceQuery: string;
    constructor(modal: BsModalRef, smartGroupsService: SmartGroupsService, deviceGridService: DeviceGridService, alert: AlertService, translateService: TranslateService);
    create(): import("rxjs").Subscription;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddSmartGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddSmartGroupComponent, "c8y-add-smart-group", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=add-smart-group.component.d.ts.map