import { Column, GridConfigContextProvider, UserPreferencesGridConfigContext } from '@c8y/ngx-components';
import { DeviceGridService } from '@c8y/ngx-components/device-grid';
import { BsModalService } from 'ngx-bootstrap/modal';
import { Observable } from 'rxjs';
import { DeviceListExtensionService } from './device-list-extension.service';
import * as i0 from "@angular/core";
export declare class DeviceListComponent implements GridConfigContextProvider {
    protected deviceGridService: DeviceGridService;
    private bsModalService;
    readonly GRID_CONFIG_KEY = "device-grid-all";
    count$: Promise<number>;
    columns$: Observable<Column[]>;
    deviceQueryStringOutput: string;
    constructor(deviceGridService: DeviceGridService, bsModalService: BsModalService, deviceListExtensionService: DeviceListExtensionService);
    getGridConfigContext(): UserPreferencesGridConfigContext;
    createSmartGroup(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DeviceListComponent, "c8y-device-list", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=device-list.component.d.ts.map