import { IOperation, IResult, OperationService } from '@c8y/client';
import { OptionsService } from '@c8y/ngx-components';
import { Command, CommandDeliveryType, DeliveryType } from './device-shell.model';
import * as i0 from "@angular/core";
export declare class DeviceShellService {
    private optionsService;
    private operationService;
    constructor(optionsService: OptionsService, operationService: OperationService);
    getDeliveryTypes(): DeliveryType[];
    canSendCommandsViaSMS(): Promise<boolean>;
    createCommandOperation(deviceId: string, command: Command, deliveryType: CommandDeliveryType): Promise<IResult<IOperation>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceShellService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DeviceShellService>;
}
//# sourceMappingURL=device-shell.service.d.ts.map