import { AlarmService, IAlarm } from '@c8y/client';
import { AlarmDetailsExtended } from '../models';
import * as i0 from "@angular/core";
export declare class ChartAlarmsService {
    private alarmService;
    constructor(alarmService: AlarmService);
    /**
     * List alarms for the given alarm details.
     * @param params Additonal fetchOptions
     * @param alarms List of alarm types with details like color, target, etc.
     * @returns List of alarms for the given alarm details
     */
    listAlarms(params?: any, alarms?: AlarmDetailsExtended[]): Promise<IAlarm[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartAlarmsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ChartAlarmsService>;
}
//# sourceMappingURL=chart-alarms.service.d.ts.map