import { EventService, IEvent } from '@c8y/client';
import { EventDetails } from '@c8y/ngx-components/alarm-event-selector';
import * as i0 from "@angular/core";
export declare class ChartEventsService {
    private eventService;
    constructor(eventService: EventService);
    /**
     * List events for the given event details.
     * @param params Additonal fetchOptions
     * @param events List of event types with details like color, target, etc.
     * @returns List of events for the given event details
     */
    listEvents(params?: any, events?: EventDetails[]): Promise<IEvent[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartEventsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ChartEventsService>;
}
//# sourceMappingURL=chart-events.service.d.ts.map