import { DpWithValues, YAxisOptions } from '../models';
import type { YAXisOption } from 'echarts/types/src/coord/cartesian/AxisModel';
import { AppStateService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class YAxisService {
    private appStateService;
    Y_AXIS_OFFSET: number;
    private intlNumberFormatCompliantLocale;
    constructor(appStateService: AppStateService);
    getYAxis(datapointsWithValues: DpWithValues[], YAxisOptions: YAxisOptions): YAXisOption[];
    private getDecimalPlaces;
    private getYAxisPlacement;
    private getYAxisPosition;
    static ɵfac: i0.ɵɵFactoryDeclaration<YAxisService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<YAxisService>;
}
//# sourceMappingURL=y-axis.service.d.ts.map