import { EventEmitter, OnInit } from '@angular/core';
import { ApplicationPlugin, PackageType, PluginsService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class PluginListItemComponent implements OnInit {
    private pluginService;
    plugin: ApplicationPlugin;
    selectable: boolean;
    hideSource: boolean;
    isItemSelected: EventEmitter<boolean>;
    packageType: PackageType;
    readonly PACKAGE_TYPE: typeof PackageType;
    constructor(pluginService: PluginsService);
    ngOnInit(): void;
    onChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PluginListItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PluginListItemComponent, "c8y-plugin-list-item", never, { "plugin": { "alias": "plugin"; "required": false; }; "selectable": { "alias": "selectable"; "required": false; }; "hideSource": { "alias": "hideSource"; "required": false; }; }, { "isItemSelected": "isItemSelected"; }, never, never, false, never>;
}
//# sourceMappingURL=plugin-list-item.component.d.ts.map