import { ApplicationPlugin } from '@c8y/ngx-components';
import { UpdateType } from './apps-to-update-remotes-select.model';
import { IApplication } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class PluginListService {
    CURRENT_LOCATION: string;
    updatingPluginId: Record<UpdateType, string>;
    private appsDisabled;
    private gainsightService;
    private pluginsService;
    private alertService;
    private ecosystemService;
    private humanizeAppNamePipe;
    private translateService;
    private bsModalService;
    updateAppRemotes(plugin: ApplicationPlugin, updateType: UpdateType, pluginPackage: IApplication): Promise<void>;
    getAppsForUpdate(plugin: ApplicationPlugin, updateType: UpdateType): Promise<IApplication[]>;
    private onUpdateEventHandleGS;
    private isPluginInstalledInApp;
    private getPluginContextPathWithoutVersion;
    private handleRemotesUpdate;
    private getAllPluginsToRemove;
    private selectApps;
    static ɵfac: i0.ɵɵFactoryDeclaration<PluginListService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PluginListService>;
}
//# sourceMappingURL=plugin-list.service.d.ts.map