import { IApplication, IApplicationVersion } from '@c8y/client';
import { AlertService, ApplicationPlugin, GainsightService, PluginsService } from '@c8y/ngx-components';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { EcosystemService } from '@c8y/ngx-components/ecosystem/shared';
import * as i0 from "@angular/core";
export declare class UpdatePluginOfAppComponent {
    private bsModalRef;
    private pluginsService;
    private alert;
    private ecosystemService;
    private gainsightService;
    CURRENT_LOCATION: string;
    app: IApplication;
    plugin: ApplicationPlugin;
    downgrade: boolean;
    result: Promise<void>;
    applicationVersion: IApplicationVersion;
    updateAll: boolean;
    private _install;
    private _cancel;
    constructor(bsModalRef: BsModalRef, pluginsService: PluginsService, alert: AlertService, ecosystemService: EcosystemService, gainsightService: GainsightService);
    update(): Promise<void>;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UpdatePluginOfAppComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UpdatePluginOfAppComponent, "c8y-update-plugin-of-app", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=update-plugin-of-app.component.d.ts.map