import { BehaviorSubject, Observable } from 'rxjs';
import { IApplication } from '@c8y/client';
import { EcosystemService, FilterableAppOrPlugin, FilterPipe, ListFiltersComponent } from '@c8y/ngx-components/ecosystem/shared';
import * as i0 from "@angular/core";
export declare class FeatureListComponent {
    private ecosystemService;
    reloading: boolean;
    reload$: BehaviorSubject<void>;
    features$: Observable<IApplication[]>;
    filteredFeatures$: Observable<FilterableAppOrPlugin[]>;
    listClass: string;
    filtersComponent: ListFiltersComponent;
    constructor(ecosystemService: EcosystemService);
    ngOnInit(): void;
    loadFeatures(): void;
    setFilterPipe(pipe: FilterPipe): void;
    resetFilters(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FeatureListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FeatureListComponent, "c8y-feature-list", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=feature-list.component.d.ts.map