import { DocsService, ModalService } from '@c8y/ngx-components';
import { IApplication, TenantService } from '@c8y/client';
import { EcosystemService } from '@c8y/ngx-components/ecosystem/shared';
import * as i0 from "@angular/core";
export declare class AddMicroserviceComponent {
    private ecosystemService;
    private modal;
    private tenantService;
    private docs;
    readonly slaHref: any;
    headerText: string;
    successText: string;
    constructor(ecosystemService: EcosystemService, modal: ModalService, tenantService: TenantService, docs: DocsService);
    createMicroserviceApplicationHandler: (f: File) => Promise<IApplication>;
    uploadMicroserviceHandler: (f: File, app: IApplication) => Promise<void>;
    createMicroserviceApplication(file: File): Promise<IApplication>;
    uploadMicroservice(file: File, microservice: IApplication): Promise<void>;
    private askIfActivationAfterUploadNeeded;
    private subscribeMicroservice;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddMicroserviceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddMicroserviceComponent, "c8y-add-microservice", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=add-microservice.component.d.ts.map