import { EventEmitter } from '@angular/core';
import { IApplication } from '@c8y/client';
import { C8yStepper, WizardComponent } from '@c8y/ngx-components';
import { ApplicationState } from '../../ecosystem.constants';
import { EcosystemService } from '../../ecosystem.service';
import * as i0 from "@angular/core";
export declare class DuplicateApplicationListComponent {
    ecosystemService: EcosystemService;
    private wizardComponent;
    stepper: C8yStepper;
    existingApps: IApplication[];
    onSelectedApp: EventEmitter<IApplication>;
    appState: ApplicationState;
    constructor(ecosystemService: EcosystemService, wizardComponent: WizardComponent);
    select(selectedApp: IApplication): void;
    cancel(): void;
    back(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DuplicateApplicationListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DuplicateApplicationListComponent, "c8y-duplicate-application-list", never, { "stepper": { "alias": "stepper"; "required": false; }; "existingApps": { "alias": "existingApps"; "required": false; }; }, { "onSelectedApp": "onSelectedApp"; }, never, never, false, never>;
}
//# sourceMappingURL=duplicate-application-list.component.d.ts.map