import { OnInit } from '@angular/core';
import { ApplicationService, IApplication } from '@c8y/client';
import { C8yStepper, WizardComponent } from '@c8y/ngx-components';
import { BehaviorSubject } from 'rxjs';
import { EcosystemService } from '../ecosystem.service';
import * as i0 from "@angular/core";
export declare class DuplicateApplicationComponent implements OnInit {
    private ecosystemService;
    private applicationService;
    private wizardComponent;
    stepper: C8yStepper;
    duplicatedApp: IApplication;
    selectedApp: BehaviorSubject<IApplication>;
    existingApps: IApplication[];
    directlyMoveToSecondStep: boolean;
    noBackButton: boolean;
    constructor(ecosystemService: EcosystemService, applicationService: ApplicationService, wizardComponent: WizardComponent);
    ngOnInit(): Promise<void>;
    onSelectedApp(app: IApplication): void;
    getHref(app: IApplication): string;
    done(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DuplicateApplicationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DuplicateApplicationComponent, "c8y-duplicate-application", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=duplicate-application.component.d.ts.map