import { ApplicationAvailability, ApplicationService, IApplication } from '@c8y/client';
import { TranslateService } from '@ngx-translate/core';
import { AlertService, AppStateService, GainsightService, ModalService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class PackageAvailabilityService {
    private appState;
    private alert;
    private modal;
    private application;
    private gainsightService;
    private translateService;
    CURRENT_LOCATION: string;
    availabilities: ({
        label: "Private`package availability`";
        value: ApplicationAvailability;
    } | {
        label: "Market`package availability`";
        value: ApplicationAvailability;
    } | {
        label: "Shared`package availability`";
        value: ApplicationAvailability;
    })[];
    constructor(appState: AppStateService, alert: AlertService, modal: ModalService, application: ApplicationService, gainsightService: GainsightService, translateService: TranslateService);
    askIfAvailabilityShouldBeSetTo(applicationPackage: IApplication, availability: ApplicationAvailability): Promise<IApplication>;
    setAvailability(applicationPackage: IApplication, availability: ApplicationAvailability): Promise<IApplication>;
    private getConfirmationBody;
    private openAvailabilityModal;
    static ɵfac: i0.ɵɵFactoryDeclaration<PackageAvailabilityService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PackageAvailabilityService>;
}
//# sourceMappingURL=package-availability.service.d.ts.map