import { NgZone, OnDestroy } from '@angular/core';
import { EditorComponent } from './editor.component';
import { AbstractControl, ValidationErrors, Validator } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class MonacoEditorMarkerValidatorDirective implements Validator, OnDestroy {
    private editorComponent;
    private zone;
    private editorInitSubscription;
    constructor(editorComponent: EditorComponent, zone: NgZone);
    ngOnDestroy(): void;
    validate(_control: AbstractControl<any, any>): ValidationErrors;
    registerOnValidatorChange(fn: () => void): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonacoEditorMarkerValidatorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MonacoEditorMarkerValidatorDirective, "c8y-editor [monacoEditorMarkerValidator]", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=monaco-editor-marker.directive.d.ts.map