import { gettext } from '@c8y/ngx-components/gettext';

const devicesAndSensorsIcons = [
    ['thermometer-0', 'thermometer-empty'],
    ['thermometer-3', 'thermometer-three-quarters'],
    ['thermometer-2', 'thermometer-half'],
    ['thermometer-1', 'thermometer-quarter'],
    ['thermometer', 'thermometer-4', 'thermometer-full'],
    ['sensor'],
    ['package'],
    ['packages'],
    ['blockly'],
    ['objects'],
    ['monitoring'],
    ['qr-code'],
    ['online'],
    ['temperature'],
    ['air-conditioner'],
    ['air-shaft'],
    ['fan'],
    ['light'],
    ['light-automation'],
    ['light-off'],
    ['reflector-bulb'],
    ['spiral-bulb'],
    ['mirrored-reflector-bulb'],
    ['light-bulb', 'lightbulb-o'],
    ['light-on'],
    ['plumbing'],
    ['wi-fi-router'],
    ['gas-bottle'],
    ['grater'],
    ['air-quality'],
    ['central-heating'],
    ['light-dimmer'],
    ['radio-station'],
    ['relay-home-automation'],
    ['remote-control'],
    ['tv-off'],
    ['wall-socket'],
    ['washing-machine'],
    ['light-dimming-100-percent'],
    ['light-dimming-10-percent'],
    ['work-light'],
    ['plug'],
    ['electrical'],
    ['water-pipe'],
    ['thermometer-automation'],
    ['fire-extinguisher'],
    ['temperature-sensitive'],
    ['calculator'],
    ['humidity'],
    ['system-information'],
    ['system-report'],
    ['system-task'],
    ['imac-clock'],
    ['imac-exit'],
    ['imac-settings'],
    ['macbook-settings'],
    ['connected'],
    ['disconnected'],
    ['mobile'],
    ['multiple-devices'],
    ['client-management'],
    ['nfc'],
    ['mobile-email'],
    ['empty-battery', 'battery-empty', 'battery-0'],
    ['low-battery', 'battery-quarter', 'battery-1'],
    ['battery-level', 'battery-2', 'battery-half'],
    ['charged-battery', 'battery-3', 'battery-three-quarters'],
    ['full-battery', 'battery-full', 'battery-4', 'battery'],
    ['no-battery'],
    ['charging-battery'],
    ['no-connection'],
    ['low-connection'],
    ['signal'],
    ['factory', 'industry'],
    ['robot'],
    ['bot'],
    ['fork-lift'],
    ['gear-complex', 'cog-complex'],
    ['gears', 'cogs'],
    ['automation'],
    ['automatic'],
    ['electronics'],
    ['gas'],
    ['water', 'tint'],
    ['greentech'],
    ['radio-tower'],
    ['industrial-scales', 'balance-scale'],
    ['iphone', 'mobile-phone', 'smartphone'],
    ['smartphone-approve'],
    ['smartphone-decline'],
    ['phonelink-lock'],
    ['tablet-mac', 'tablet'],
    ['devices'],
    ['imac', 'desktop'],
    ['desktop1'],
    ['monitor', 'tv', 'television'],
    ['laptop'],
    ['checked-laptop'],
    ['laptop-alert'],
    ['laptop-error'],
    ['computer-support'],
    ['programming'],
    ['keyboard', 'keyboard-o'],
    ['video-conference'],
    ['remote-desktop'],
    ['workspace'],
    ['workstation'],
    ['microchip'],
    ['processor'],
    ['smartphone-ram'],
    ['bios'],
    ['micro-sd'],
    ['hdd', 'hdd-o'],
    ['financial-dynamic-presentation'],
    ['presentation'],
    ['room-finder'],
    ['statistics'],
    ['server'],
    ['stack'],
    ['critical-thinking'],
    ['environment1'],
    ['network-card'],
    ['network-cable'],
    ['usb-on'],
    ['ssd'],
    ['asterisk-key', 'asterisk'],
    ['end-button'],
    ['hub'],
    ['individual-server'],
    ['data-center'],
    ['root-server'],
    ['switch'],
    ['nas'],
    ['shutdown', 'power-off'],
    ['hibernate'],
    ['phone-square', 'phone'],
    ['no-idea'],
    ['network'],
    ['mind-map'],
    ['centralized-network'],
    ['customer-insights-manager']
];
const devicesAndSensorsIconCategory = {
    label: gettext('Devices and sensors`icons-category`'),
    icons: devicesAndSensorsIcons
};

/**
 * Generated bundle index. Do not edit.
 */

export { devicesAndSensorsIconCategory, devicesAndSensorsIcons };
//# sourceMappingURL=c8y-ngx-components-icon-selector-icons-devicesAndSensors.mjs.map
