import { gettext } from '@c8y/ngx-components/gettext';

const editingIcons = [
    ['text-width'],
    ['text-height'],
    ['paragraph', 'pilcrow'],
    ['text-input'],
    ['unavailable'],
    ['save'],
    ['save-commit'],
    ['delete'],
    ['copy'],
    ['paste'],
    ['more-menu'],
    ['password-hide'],
    ['password-show'],
    ['zoom-in'],
    ['zoom-out'],
    ['buy'],
    ['list', 'list-alt', 'list-ul'],
    ['format-align-justify', 'align-justify'],
    ['format-align-left', 'align-left'],
    ['format-align-center', 'align-center'],
    ['format-align-right', 'align-right'],
    ['radio-button-on', 'dot-circle-o'],
    ['colorize', 'eyedropper'],
    ['brush', 'paint-brush'],
    ['file-create', 'edit'],
    ['email-sign', 'at'],
    ['get-quote', 'quote-right'],
    ['quote-left'],
    ['format-bold', 'bold'],
    ['format-underlined', 'underline'],
    ['strikethrough-s', 'strikethrough'],
    ['title', 'header'],
    ['subscript'],
    ['superscript'],
    ['format-italic', 'italic'],
    ['font-download', 'font'],
    ['questionnaire', 'th-list'],
    ['tasklist'],
    ['communication-sorting'],
    ['todo-list', 'tasks'],
    ['numbered-list', 'list-ol'],
    ['search-in-list'],
    ['table-of-content'],
    ['index'],
    ['tiles'],
    ['edit1', 'pencil', 'pencil-square', 'pencil-square-o'],
    ['edit11'],
    ['no-edit'],
    ['cut', 'scissors'],
    ['coupon'],
    ['crop'],
    ['erase', 'eraser'],
    ['add-white-space'],
    ['blur'],
    ['paint-palette'],
    ['contrast', 'adjust'],
    ['bring-forward'],
    ['snap-background-to-white'],
    ['rename'],
    ['text-cursor', 'i-cursor'],
    ['large-icons'],
    ['comma'],
    ['compare'],
    ['content'],
    ['document-body'],
    ['merge-docunemts'],
    ['unit'],
    ['group', 'group-objects', 'object-group', 'object-ungroup'],
    ['ungroup'],
    ['hexagonal-pattern'],
    ['diagonal-lines'],
    ['line-width'],
    ['long-words'],
    ['indent', 'indent-left'],
    ['indent-decrease', 'dedent', 'dedent-left'],
    ['outdent', 'indent-right'],
    ['dedent-right'],
    ['drag-reorder'],
    ['drag-list-up'],
    ['pull-down'],
    ['page'],
    ['rearrange'],
    ['resize-file'],
    ['resize'],
    ['rich-text-converter'],
    ['select-all'],
    ['select-none'],
    ['ruler'],
    ['length'],
    ['send-backward'],
    ['send-to-back'],
    ['replace'],
    ['separated-lists'],
    ['short-words'],
    ['mix-words'],
    ['line-style'],
    ['design'],
    ['view-stream'],
    ['four-squares', 'th-large'],
    ['thumbnails', 'th'],
    ['view-module'],
    ['top-view'],
    ['orthogonal-view'],
    ['rectangular'],
    ['square'],
    ['view-column', 'columns']
];
const editingIconCategory = {
    label: gettext('Editing`icons-category`'),
    icons: editingIcons
};

/**
 * Generated bundle index. Do not edit.
 */

export { editingIconCategory, editingIcons };
//# sourceMappingURL=c8y-ngx-components-icon-selector-icons-editing.mjs.map
