import { gettext } from '@c8y/ngx-components/gettext';

const platformIcons = [
    ['c8y-aab-icon-model'],
    ['c8y-aab-icon-template-model'],
    ['c8y-accounts'],
    ['c8y-add-user'],
    ['c8y-administration'],
    ['c8y-alarm'],
    ['c8y-alert-idle'],
    ['c8y-alfabet'],
    ['c8y-analytic-model'],
    ['c8y-analytics-builder'],
    ['c8y-apama-epl'],
    ['c8y-apama-machine-learning-workbench'],
    ['c8y-apama-machine-learning'],
    ['c8y-archive'],
    ['c8y-aris'],
    ['c8y-atom'],
    ['c8y-book'],
    ['c8y-bookmark'],
    ['c8y-bulb'],
    ['c8y-business-rules'],
    ['c8y-c8y-c'],
    ['c8y-c8y-data'],
    ['c8y-c8y-support'],
    ['c8y-c8y'],
    ['c8y-calendar'],
    ['c8y-chart'],
    ['c8y-circle-star'],
    ['c8y-cloud-container'],
    ['c8y-cockpit'],
    ['c8y-component'],
    ['c8y-connector-in'],
    ['c8y-connector-out'],
    ['c8y-css'],
    ['c8y-cumulocity-iot'],
    ['c8y-data-broker'],
    ['c8y-data-explorer'],
    ['c8y-data-hub'],
    ['c8y-data-points'],
    ['c8y-design'],
    ['c8y-device-connect'],
    ['c8y-device-control'],
    ['c8y-device-management'],
    ['c8y-device-profile'],
    ['c8y-device-protocols'],
    ['c8y-device'],
    ['c8y-dynamic-mapper'],
    ['c8y-e2e-monitoring'],
    ['c8y-energy'],
    ['c8y-enterprise'],
    ['c8y-event-processing'],
    ['c8y-events'],
    ['c8y-fieldbus'],
    ['c8y-find-map'],
    ['c8y-firmware'],
    ['c8y-grid-off'],
    ['c8y-grid-on'],
    ['c8y-group-add'],
    ['c8y-group-open'],
    ['c8y-group-remote-inactive'],
    ['c8y-group-remote-open'],
    ['c8y-group-remote'],
    ['c8y-group-smart-open'],
    ['c8y-group-smart'],
    ['c8y-group'],
    ['c8y-java'],
    ['c8y-layers'],
    ['c8y-layout'],
    ['c8y-location'],
    ['c8y-machine-portal'],
    ['c8y-management'],
    ['c8y-metering'],
    ['c8y-mft'],
    ['c8y-mobile-add'],
    ['c8y-mobile-config'],
    ['c8y-modules'],
    ['c8y-mycloud'],
    ['c8y-notification'],
    ['c8y-oee'],
    ['c8y-onnx'],
    ['c8y-overviews'],
    ['c8y-parameters-on'],
    ['c8y-parameters'],
    ['c8y-parking'],
    ['c8y-report'],
    ['c8y-reports'],
    ['c8y-rocket'],
    ['c8y-saas'],
    ['c8y-security'],
    ['c8y-shield'],
    ['c8y-simulator'],
    ['c8y-smart-rest'],
    ['c8y-smart-rules'],
    ['c8y-solution-accelerator'],
    ['c8y-streaming-analytics'],
    ['c8y-sub-tenants'],
    ['c8y-tenant-policies'],
    ['c8y-tools'],
    ['c8y-tracking'],
    ['c8y-usage-statistics'],
    ['c8y-user'],
    ['c8y-users'],
    ['c8y-waste-bin'],
    ['c8y-wm-api'],
    ['c8y-wm-b2b'],
    ['c8y-wm-dynamicapps'],
    ['c8y-wm-integration']
];
const platformIconCategory = {
    label: gettext('Platform`icons-category`'),
    icons: platformIcons
};

/**
 * Generated bundle index. Do not edit.
 */

export { platformIconCategory, platformIcons };
//# sourceMappingURL=c8y-ngx-components-icon-selector-icons-platform.mjs.map
