import * as i0 from '@angular/core';
import { NgModule } from '@angular/core';

class Ng1RolesService {
}
function RolesServiceFactory(injector) {
    return injector.get('c8yRoles');
}
const rolesServiceProvider = {
    provide: Ng1RolesService,
    useFactory: RolesServiceFactory,
    deps: ['$injector']
};

class Ng1UserInventoryRolesService {
}
function UserInventoryRolesFactory(injector) {
    return injector.get('c8yUserInventoryRoles');
}
const userInventoryRolesServiceProvider = {
    provide: Ng1UserInventoryRolesService,
    useFactory: UserInventoryRolesFactory,
    deps: ['$injector']
};

class Ng1TenantPoliciesService {
}
function TenantPoliciesFactory(injector) {
    return injector.get('c8yTenantPolicies');
}
const tenantPoliciesServiceProvider = {
    provide: Ng1TenantPoliciesService,
    useFactory: TenantPoliciesFactory,
    deps: ['$injector']
};

/**
 * This module is used for providing upgraded services from AngularJS to Angular. Separate module is created
 * to prevent circular dependency errors in more complex situations, where downgraded NgX component injects
 * NgJS upgraded services.
 */
class UpgradedServicesModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: UpgradedServicesModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: UpgradedServicesModule }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: UpgradedServicesModule, providers: [
            rolesServiceProvider,
            userInventoryRolesServiceProvider,
            tenantPoliciesServiceProvider
        ] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: UpgradedServicesModule, decorators: [{
            type: NgModule,
            args: [{
                    providers: [
                        rolesServiceProvider,
                        userInventoryRolesServiceProvider,
                        tenantPoliciesServiceProvider
                    ]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { Ng1RolesService, Ng1TenantPoliciesService, Ng1UserInventoryRolesService, RolesServiceFactory, TenantPoliciesFactory, UpgradedServicesModule, UserInventoryRolesFactory, rolesServiceProvider, tenantPoliciesServiceProvider, userInventoryRolesServiceProvider };
//# sourceMappingURL=c8y-ngx-components-upgrade-upgraded-services.mjs.map
