import * as i0 from '@angular/core';
import { Component, NgModule } from '@angular/core';
import * as i2 from '@c8y/ngx-components';
import { CoreModule, DocsModule } from '@c8y/ngx-components';
import * as i1 from '@c8y/ngx-components/context-dashboard';

class CockpitLegacyWelcomeWidgetComponent {
    constructor(dashboard) {
        this.dashboard = dashboard;
    }
    restore() {
        this.dashboard.restore();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CockpitLegacyWelcomeWidgetComponent, deps: [{ token: i1.ContextDashboardComponent }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CockpitLegacyWelcomeWidgetComponent, isStandalone: true, selector: "c8y-cockpit-legacy-welcome-widget", ngImport: i0, template: "<div class=\"card-block\">\n  <p\n    class=\"lead\"\n    c8y-guide-docs\n  >\n    <span>{{ 'Welcome to Cockpit' | translate }}.</span>\n    <span\n      class=\"cockpit-welcome-manual\"\n      title=\"{{ 'Browse the documentation' | translate }}\"\n      translate\n      ngNonBindable\n    >\n      Find out more in the\n      <a c8y-guide-href=\"/docs/cockpit/cockpit-introduction\">user documentation</a>\n      .\n    </span>\n  </p>\n  <p class=\"m-t-16\">\n    <em>{{ 'New default dashboard available.' | translate }}</em>\n  </p>\n  <button\n    class=\"btn btn-primary btn-sm m-t-16\"\n    (click)=\"restore(); (false)\"\n    translate\n  >\n    Get new dashboard\n  </button>\n</div>\n", dependencies: [{ kind: "ngmodule", type: CoreModule }, { kind: "pipe", type: i2.C8yTranslatePipe, name: "translate" }, { kind: "directive", type: i2.C8yTranslateDirective, selector: "[translate],[ngx-translate]" }, { kind: "directive", type: i2.GuideHrefDirective, selector: "[c8y-guide-href]", inputs: ["c8y-guide-href"] }, { kind: "component", type: i2.GuideDocsComponent, selector: "[c8y-guide-docs]" }, { kind: "ngmodule", type: DocsModule }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CockpitLegacyWelcomeWidgetComponent, decorators: [{
            type: Component,
            args: [{ selector: 'c8y-cockpit-legacy-welcome-widget', standalone: true, imports: [CoreModule, DocsModule], template: "<div class=\"card-block\">\n  <p\n    class=\"lead\"\n    c8y-guide-docs\n  >\n    <span>{{ 'Welcome to Cockpit' | translate }}.</span>\n    <span\n      class=\"cockpit-welcome-manual\"\n      title=\"{{ 'Browse the documentation' | translate }}\"\n      translate\n      ngNonBindable\n    >\n      Find out more in the\n      <a c8y-guide-href=\"/docs/cockpit/cockpit-introduction\">user documentation</a>\n      .\n    </span>\n  </p>\n  <p class=\"m-t-16\">\n    <em>{{ 'New default dashboard available.' | translate }}</em>\n  </p>\n  <button\n    class=\"btn btn-primary btn-sm m-t-16\"\n    (click)=\"restore(); (false)\"\n    translate\n  >\n    Get new dashboard\n  </button>\n</div>\n" }]
        }], ctorParameters: () => [{ type: i1.ContextDashboardComponent }] });

/**
 * @deprecated
 */
class CockpitLegacyWelcomeWidgetModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CockpitLegacyWelcomeWidgetModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CockpitLegacyWelcomeWidgetModule, imports: [CockpitLegacyWelcomeWidgetComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CockpitLegacyWelcomeWidgetModule, imports: [CockpitLegacyWelcomeWidgetComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CockpitLegacyWelcomeWidgetModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CockpitLegacyWelcomeWidgetComponent]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { CockpitLegacyWelcomeWidgetComponent, CockpitLegacyWelcomeWidgetModule };
//# sourceMappingURL=c8y-ngx-components-widgets-implementations-cockpit-legacy-welcome.mjs.map
