import { OnInit, ViewContainerRef } from '@angular/core';
import { InventoryService } from '@c8y/client';
import { AlertService, ContextRouteService } from '@c8y/ngx-components';
import type { MapDefaultConfig } from '@c8y/options';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AddLocationComponent implements OnInit {
    private inventoryService;
    private contextRouteService;
    private defaultConfig$;
    private router;
    private alertService;
    private vcRef;
    templateCopy: any;
    constructor(inventoryService: InventoryService, contextRouteService: ContextRouteService, defaultConfig$: Observable<MapDefaultConfig>, router: Router, alertService: AlertService, vcRef: ViewContainerRef);
    ngOnInit(): void;
    onClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddLocationComponent, [null, null, { optional: true; }, null, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddLocationComponent, "c8y-add-location", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=add-location.component.d.ts.map