import { Pageable } from './pageable';
import { Sortable } from './sortable';
/** Filters for topics list. */
export type MessagingTopicListFilters = {
    tenant: string;
    namespace: string;
    /** Topic name or a part of the name. Search will be done by applying the regex like `.*givenName.*`. */
    name?: string;
    /** Value for type query param which could be "persistent", "non-persistent" or "all". */
    type?: 'persistent' | 'non-persistent' | 'all';
} & Pageable & Sortable;
//# sourceMappingURL=topicListFilters.d.ts.map