import * as i0 from "@angular/core";
declare const DataType: {
    readonly publishers: "publishers";
    readonly subscribers: "subscribers";
    readonly topics: "topics";
};
export declare class NamespaceItemCardComponent {
    readonly DATA_TYPE: {
        readonly publishers: "publishers";
        readonly subscribers: "subscribers";
        readonly topics: "topics";
    };
    readonly ITEM_DETAILS: Record<keyof typeof DataType, {
        icon: string;
        title: string;
    }>;
    topicsLimitLabel: "Limit: {{ backlogQuotaLimit }}";
    /**
     * The label of the service (already translated).
     */
    serviceLabel: string;
    limit?: number;
    dataType: keyof typeof DataType;
    value: number | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<NamespaceItemCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NamespaceItemCardComponent, "app-namespace-item-card", never, { "serviceLabel": { "alias": "serviceLabel"; "required": false; }; "limit": { "alias": "limit"; "required": false; }; "dataType": { "alias": "dataType"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
//# sourceMappingURL=namespace-item-card.component.d.ts.map