import { Column, DataSourceModifier, ServerSideDataResult } from '@c8y/ngx-components';
import { MessagingTopicsService } from '../../api/services/messaging-topics.service';
import * as i0 from "@angular/core";
export declare class TopicsDataGridService {
    protected topicsService: MessagingTopicsService;
    getColumns(): Column[];
    getServerSideData(tenantId: string, namespaceId: string, dataSourceModifier: DataSourceModifier): Promise<ServerSideDataResult>;
    private createColumn;
    private getTopicFilters;
    static ɵfac: i0.ɵɵFactoryDeclaration<TopicsDataGridService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TopicsDataGridService>;
}
//# sourceMappingURL=topics-data-grid.service.d.ts.map