import { OnDestroy, OnInit } from '@angular/core';
import { IOperationBulk } from '@c8y/client';
import { BulkOperationsService } from '@c8y/ngx-components/operations/bulk-operations-service';
import { BsModalRef, BsModalService } from 'ngx-bootstrap/modal';
import { BulkOperationDetailsModalBodyConfiguration } from './bulk-operation-wrapper.model';
import { ModalBodyHostDirective } from './modal-body-host.directive';
import * as i0 from "@angular/core";
export declare class BulkOperationWrapperComponent implements OnInit, OnDestroy {
    bulkOperationsService: BulkOperationsService;
    modalRef: BsModalRef;
    private modalService;
    private modalBodyConfig;
    bulkOperation: Partial<IOperationBulk>;
    modalBodyHost: ModalBodyHostDirective;
    private destroyed$;
    constructor(bulkOperationsService: BulkOperationsService, modalRef: BsModalRef, modalService: BsModalService, modalBodyConfig: BulkOperationDetailsModalBodyConfiguration);
    ngOnInit(): void;
    ngOnDestroy(): void;
    openDetails(bulkOperationId: string | number): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BulkOperationWrapperComponent, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BulkOperationWrapperComponent, "c8y-bulk-operations-wrapper", never, { "bulkOperation": { "alias": "bulkOperation"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=bulk-operation-wrapper.component.d.ts.map