import { OnInit } from '@angular/core';
import { GainsightService } from '@c8y/ngx-components';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { BulkOperationsService, OperationType } from '@c8y/ngx-components/operations/bulk-operations-service';
import { BulkOperationModalsService } from '..';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class BulkOperationsModalComponent implements OnInit {
    private bsModalRef;
    private router;
    private gainsightService;
    private bulkOperationsService;
    private bulkOperationModalsService;
    BULK_OPERATION_EVENT: string;
    bulkActions: {
        readonly OPEN_ADD_BULK_OPERATION_DIALOG: "openAddBulkOperationDialog";
        readonly CANCEL_ADD_BULK_OPERATION_DIALOG: "cancelAddBulkOperationDialog";
        readonly SELECT_BULK_OPERTION_TYPE: "selectBulkOperationType";
    };
    pxSteps: {
        readonly SELECT_OPERATION_TYPE: "selectOperationType";
    };
    container: any;
    showComponent: boolean;
    bulkList: OperationType[];
    constructor(bsModalRef: BsModalRef, router: Router, gainsightService: GainsightService, bulkOperationsService: BulkOperationsService, bulkOperationModalsService: BulkOperationModalsService);
    ngOnInit(): void;
    cancel(): void;
    createComponent(item: OperationType): void;
    handleClick(item: OperationType): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BulkOperationsModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BulkOperationsModalComponent, "c8y-bulk-operations-modal", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=bulk-operations-modal.component.d.ts.map