import { BsModalRef } from 'ngx-bootstrap/modal';
import { IOperation } from '@c8y/client';
import { OperationsListService } from '@c8y/ngx-components/operations/operations-list';
import * as i0 from "@angular/core";
export declare class OperationDetailsModalComponent {
    modalRef: BsModalRef;
    private operationsListService;
    operation: Partial<IOperation>;
    collapsed: boolean;
    readOnly: boolean;
    isSmartRulesMicroserviceAvailable: boolean;
    constructor(modalRef: BsModalRef, operationsListService: OperationsListService);
    ngOnInit(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<OperationDetailsModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OperationDetailsModalComponent, "c8y-operation-details-modal", never, { "operation": { "alias": "operation"; "required": false; }; "collapsed": { "alias": "collapsed"; "required": false; }; "readOnly": { "alias": "readOnly"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=operation-details-modal.component.d.ts.map