import { EventEmitter, OnInit, ViewContainerRef } from '@angular/core';
import { AuditRecordType, IOperation, IOperationBulk } from '@c8y/client';
import { Tab } from '@c8y/ngx-components';
import { BulkOperationModalDetailsService } from '@c8y/ngx-components/operations/bulk-operation-modal-details';
import * as i0 from "@angular/core";
export declare class OperationDetailsTabsComponent implements OnInit {
    AuditRecordType: typeof AuditRecordType;
    operation: Partial<IOperation & IOperationBulk>;
    readOnly: boolean;
    bulkOperationModalDetailsService: BulkOperationModalDetailsService;
    onRetryFailedOperations: EventEmitter<Partial<IOperationBulk>>;
    showFailedOperation: EventEmitter<number>;
    detailsTemplate: any;
    auditTemplate: any;
    tabs: Tab[];
    template: ViewContainerRef;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OperationDetailsTabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OperationDetailsTabsComponent, "c8y-operation-details-tabs", never, { "operation": { "alias": "operation"; "required": false; }; "readOnly": { "alias": "readOnly"; "required": false; }; "bulkOperationModalDetailsService": { "alias": "bulkOperationModalDetailsService"; "required": false; }; }, { "onRetryFailedOperations": "onRetryFailedOperations"; "showFailedOperation": "showFailedOperation"; }, never, never, false, never>;
}
//# sourceMappingURL=operation-details-tabs.component.d.ts.map