import { EventEmitter } from '@angular/core';
import { IOperation, IOperationBulk } from '@c8y/client';
import { BulkOperationModalDetailsService } from '@c8y/ngx-components/operations/bulk-operation-modal-details';
import * as i0 from "@angular/core";
export declare class OperationListItemDetailsComponent {
    operation: (IOperation | IOperationBulk) & {
        bulkOperationId?: string | number;
        failureReason?: string;
        result?: any;
        description?: string;
    };
    bulkOperationModalDetailsService: BulkOperationModalDetailsService;
    showFailedOperation: EventEmitter<number>;
    scrollToRetriedFromOperation(failedOperationId: any): void;
    openBulkOperationDetails(bulkOperationId: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OperationListItemDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OperationListItemDetailsComponent, "c8y-operation-li-details", never, { "operation": { "alias": "operation"; "required": false; }; "bulkOperationModalDetailsService": { "alias": "bulkOperationModalDetailsService"; "required": false; }; }, { "showFailedOperation": "showFailedOperation"; }, never, never, false, never>;
}
//# sourceMappingURL=operation-details.component.d.ts.map