import { OperationStatus } from '@c8y/client';
import { OperationStatusOption } from './status-option.model';
export declare const OPERATION_STATUS_LABELS: {
    PENDING: "Pending";
    EXECUTING: "Executing";
    FAILED: "Failed";
    SUCCESSFUL: "Successful";
};
export type OperationStatusOptionsMapShared = {
    [key in keyof typeof OperationStatus]?: OperationStatusOption;
};
export declare const OPERATION_STATUS_OPTIONS_MAP: OperationStatusOptionsMapShared;
export declare const CLEAN_KEYS: string[];
export declare const CLEAN_KEYS_UPDATE: string[];
export declare const RESERVED_KEYS: string[];
export declare const STANDARD_KEYS: {
    failureReason: "Failure reason";
    description: "Description";
    status: "Status";
};
//# sourceMappingURL=operations.model.d.ts.map