import { CdkStep } from '@angular/cdk/stepper';
import { IManagedObject } from '@c8y/client';
import { C8yStepper } from '@c8y/ngx-components';
import { BaseStepperComponent } from '@c8y/ngx-components/operations/bulk-operation-stepper';
import { BulkOperationType, OperationDetails } from '@c8y/ngx-components/operations/bulk-operations-service';
import * as i0 from "@angular/core";
export declare class StepperBulkTypeDeviceProfileComponent extends BaseStepperComponent {
    readonly type: BulkOperationType;
    selectedDeviceProfile: IManagedObject;
    goToConfirmSelection($event: {
        stepper: C8yStepper;
        step: CdkStep;
    }): void;
    onDeviceProfileSelected(selectedItem: any): void;
    protected retrieveOperationPrototype(): OperationDetails;
    static ɵfac: i0.ɵɵFactoryDeclaration<StepperBulkTypeDeviceProfileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StepperBulkTypeDeviceProfileComponent, "c8y-stepper-bulk-type-device-profile", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=stepper-bulk-type-device-profile.component.d.ts.map