import { OnInit } from '@angular/core';
import { LpwanSetDeviceProtocolService } from './lpwan-set-device-protocol.service';
import { AlertService, ForOfFilterPipe } from '@c8y/ngx-components';
import { IManagedObject, InventoryService, IResultList } from '@c8y/client';
import { Router } from '@angular/router';
import { NgForm } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class LpwanAssignDeviceProtocolComponent implements OnInit {
    private lpwanService;
    private alertService;
    private router;
    private inventoryService;
    loading: boolean;
    device: IManagedObject;
    currentProtocol: IManagedObject;
    availableProtocols: IResultList<IManagedObject>;
    newProtocol: IManagedObject;
    filterProtocols: ForOfFilterPipe<IManagedObject>;
    pattern: string;
    lpwanSetDeviceProtocolForm: NgForm;
    constructor(lpwanService: LpwanSetDeviceProtocolService, alertService: AlertService, router: Router, inventoryService: InventoryService);
    ngOnInit(): Promise<void>;
    setPipe(filterStr: string): void;
    reload(): Promise<void>;
    loadDevice(): Promise<void>;
    apply(selectedProtocol: any): Promise<void>;
    refreshCache(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LpwanAssignDeviceProtocolComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LpwanAssignDeviceProtocolComponent, "set-device-protocol", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=lpwan-set-device-protocol.component.d.ts.map