import { BsModalRef } from 'ngx-bootstrap/modal';
import { MultipleLnsConnectorService } from './multiple-lns-connector.service';
import { IApplication } from '@c8y/client';
import { AlertService } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class ConnectionInfoWithDownloadCsvComponent {
    private modal;
    private connectorService;
    private alertService;
    private translateService;
    messageData: any;
    appData: IApplication;
    modalTitle: string;
    connectionName: string;
    constructor(modal: BsModalRef, connectorService: MultipleLnsConnectorService, alertService: AlertService, translateService: TranslateService);
    dismiss(): void;
    download(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConnectionInfoWithDownloadCsvComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConnectionInfoWithDownloadCsvComponent, "connection-info-with-download-csv", never, { "messageData": { "alias": "messageData"; "required": false; }; "appData": { "alias": "appData"; "required": false; }; "modalTitle": { "alias": "modalTitle"; "required": false; }; "connectionName": { "alias": "connectionName"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=connection-info-with-download-csv.component.d.ts.map