import { OnInit } from '@angular/core';
import { NgForm } from '@angular/forms';
import { AlertService, ModalService } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { LoriotConnection, LpwanState } from '../multiple-lns-connector.model';
import { MultipleLnsConnectorService } from '../multiple-lns-connector.service';
import * as i0 from "@angular/core";
export declare class LoriotMultipleLnsConnectorComponent implements OnInit {
    private connectorService;
    private alertService;
    private translateService;
    private modalService;
    private modal;
    state: LpwanState;
    cloneDeep: any;
    connection: LoriotConnection;
    connections: LoriotConnection[];
    showPassword: boolean;
    connectorsForm: NgForm;
    cardHeader: "LORIOT connections";
    allowedSpecialCharacters: string;
    namePattern: string;
    namePatternError: any;
    originalConnection: LoriotConnection;
    constructor(connectorService: MultipleLnsConnectorService, alertService: AlertService, translateService: TranslateService, modalService: BsModalService, modal: ModalService);
    ngOnInit(): Promise<void>;
    loadConnections(): Promise<void>;
    setModel(connectionObj?: any): Promise<void>;
    resetEditedUnsavedConnection(): Promise<LoriotConnection | undefined>;
    addConnection(): Promise<void>;
    save(): Promise<void>;
    deleteConnection(originalConnection: any): Promise<void>;
    changePassword(): void;
    private saveConnection;
    private delete;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoriotMultipleLnsConnectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoriotMultipleLnsConnectorComponent, "loriot-multiple-lns-connector", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=loriot-multiple-lns-connector.component.d.ts.map