import { OnInit } from '@angular/core';
import { NgForm } from '@angular/forms';
import { AlertService, ModalService } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { LpwanState, SigfoxConnection } from './multiple-lns-connector.model';
import { MultipleLnsConnectorService } from './multiple-lns-connector.service';
import * as i0 from "@angular/core";
export declare class SigfoxMultipleLnsConnectorComponent implements OnInit {
    private connectorService;
    private alertService;
    private translateService;
    private modalService;
    private modal;
    state: LpwanState;
    cloneDeep: any;
    connection: SigfoxConnection;
    connections: SigfoxConnection[];
    showPassword: boolean;
    connectorsForm: NgForm;
    cardHeader: "Sigfox connections";
    allowedSpecialCharacters: string;
    namePattern: string;
    namePatternError: any;
    originalConnection: SigfoxConnection;
    constructor(connectorService: MultipleLnsConnectorService, alertService: AlertService, translateService: TranslateService, modalService: BsModalService, modal: ModalService);
    ngOnInit(): Promise<void>;
    loadConnections(): Promise<void>;
    setModel(connectionObj?: any): Promise<void>;
    resetEditedUnsavedConnection(): Promise<SigfoxConnection | undefined>;
    addConnection(): Promise<void>;
    save(): Promise<void>;
    deleteConnection(originalConnection: any): Promise<void>;
    changePassword(): void;
    private saveConnection;
    private delete;
    static ɵfac: i0.ɵɵFactoryDeclaration<SigfoxMultipleLnsConnectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SigfoxMultipleLnsConnectorComponent, "sigfox-multiple-lns-connector", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=sigfox-multiple-lns-connector.component.d.ts.map