import { BootstrapSettings, LWM2MEndpoint } from '@c8y/ngx-components/protocol-lwm2m/model';
import { Lwm2mFormWrapperBase } from './form-wrapper-base.component';
import { Lwm2mConfigurationService } from '@c8y/ngx-components/protocol-lwm2m/services';
import * as i0 from "@angular/core";
export declare class Lwm2mFormBootstrapSettings extends Lwm2mFormWrapperBase<BootstrapSettings> {
    protected service: Lwm2mConfigurationService<BootstrapSettings>;
    protected endpoint: LWM2MEndpoint;
    constructor(service: Lwm2mConfigurationService<BootstrapSettings>);
    createForm(): {
        fieldGroup: ({
            key: string;
            type: string;
            props: {
                label: "Bootstrap Server ID";
                placeholder: string;
                min: number;
            };
        } | {
            key: string;
            type: string;
            props: {
                label: "Security instance offset";
                placeholder: string;
                min: number;
            };
        })[];
    }[];
    static ɵfac: i0.ɵɵFactoryDeclaration<Lwm2mFormBootstrapSettings, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Lwm2mFormBootstrapSettings, "c8y-lwm2m-form-bootstrap-settings", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=bootstrap-settings.component.d.ts.map