import { OnInit, ViewContainerRef } from '@angular/core';
import { ServerSettings } from '@c8y/ngx-components/protocol-lwm2m/model';
import { Lwm2mConfigurationService } from '@c8y/ngx-components/protocol-lwm2m/services';
import { Lwm2mFormSingleServerSettings } from './single-server-settings.component';
import { ActivatedRoute, Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class Lwm2mFormServerSettings implements OnInit {
    protected service: Lwm2mConfigurationService<ServerSettings>;
    protected route: ActivatedRoute;
    protected router: Router;
    private componentRef;
    private destroy$;
    formContainer: ViewContainerRef;
    cmp: Lwm2mFormSingleServerSettings;
    id: string;
    listelements$: import("rxjs").Observable<{
        title: string;
        icon: string;
        id: string;
    }[]>;
    constructor(service: Lwm2mConfigurationService<ServerSettings>, route: ActivatedRoute, router: Router);
    ngOnInit(): void;
    ngOnDestroy(): void;
    select(id: any): void;
    createComponent(id: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Lwm2mFormServerSettings, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Lwm2mFormServerSettings, "c8y-lwm2m-form-server-settings", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=servers-settings.component.d.ts.map