import { OnInit, EventEmitter } from '@angular/core';
import { AutoApplyConstraints } from './opcua-protocol-device-type.interface';
import { IManagedObject, InventoryService } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class OpcuaAutoApplySettingsComponent implements OnInit {
    private inventoryService;
    opcuaServers: IManagedObject[];
    selectedItems: IManagedObject[];
    filteredList: IManagedObject[];
    checked: {};
    readonly sizeToShowFilter: number;
    constraints: AutoApplyConstraints;
    placeholderSelectServerIds: string;
    showServerIds: boolean;
    showBrowsePath: boolean;
    showServerFragment: boolean;
    showRootNodes: boolean;
    updateSelectedItem: EventEmitter<boolean>;
    private _model;
    constructor(inventoryService: InventoryService);
    ngOnInit(): Promise<void>;
    set model(model: IManagedObject);
    get model(): IManagedObject;
    serverIdsSelected(items: IManagedObject[]): void;
    onChangeNodeId(event: any): void;
    onChangeShowServerIds(event: any): void;
    onChangeShowBrowsePath(event: any): void;
    onChangeShowServerFragment(event: any): void;
    add(): void;
    remove(index: any): void;
    trackByFn(index: any, _item: any): any;
    updateConstraints(items: any): void;
    filterItems(filterText: any): void;
    isChecked(item: any): any;
    onSelect(selected: any, item: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpcuaAutoApplySettingsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OpcuaAutoApplySettingsComponent, "opcua-auto-apply", never, { "model": { "alias": "model"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=opcua-auto-apply-settings.component.d.ts.map