import { OnInit, QueryList, ChangeDetectorRef } from '@angular/core';
import { Router } from '@angular/router';
import { OpcuaService } from './opcuaService';
import { AlertService } from '@c8y/ngx-components';
import { OpcuaDeviceType } from './opcua-protocol-device-type.interface';
import { OpcuaDeviceProtocolMapping } from './opcua-device-protocol-mapping.component';
import * as i0 from "@angular/core";
export declare class OpcuaDeviceProtocolDetailComponent implements OnInit {
    private changeDetectorRef;
    private opcuaService;
    private alertService;
    private router;
    instanceList: QueryList<OpcuaDeviceProtocolMapping>;
    initialModel: OpcuaDeviceType;
    model: any;
    server: any;
    selectedNode: any;
    isLoaded: boolean;
    constructor(changeDetectorRef: ChangeDetectorRef, opcuaService: OpcuaService, alertService: AlertService, router: Router);
    ngAfterContentChecked(): void;
    getParentAttr: (key: any) => any;
    getMapping(): any;
    getEmptyMappingObject(): {
        id: number;
        browsePath: any[];
    };
    getOverriddenSubscriptionsByPath(browsePath: string[]): any;
    getStructuredResource(resource: any): any;
    ngOnInit(): Promise<void>;
    updateViableMapping(model: any): any;
    trackById(_index: number, el: any): number;
    addVariable(): void;
    updateVariable(mappingObject: any): void;
    removeVariable(mappingObject: any): void;
    actionHandler(actionObject: any): void;
    extractOverridSubscriptionType(_mapping: any): any[][];
    prepareRequestJson(_model: any): {};
    save(): Promise<void>;
    canSave(deviceTypeForm: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpcuaDeviceProtocolDetailComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OpcuaDeviceProtocolDetailComponent, "opcua-device-protocol-detail", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=opcua-device-protocol-detail.component.d.ts.map