import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { C8yJSONSchema, C8yStepper, GainsightService } from '@c8y/ngx-components';
import { FormlyFieldConfig } from '@ngx-formly/core';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { RegisterDeviceService } from '../../register-device.service';
import { BulkFailedResult, BulkFileExample, BulkResult } from './extensible-bulk-device-registration.model';
import { BulkExtensibleDeviceRegistrationService } from './extensible-bulk-device-registration.service';
import * as i0 from "@angular/core";
export declare class ExtensibleBulkDeviceRegistrationModalComponent implements OnInit {
    private jsonschema;
    private bulkExtensibleDeviceRegistrationService;
    private registerDeviceService;
    private bsModalRef;
    private gainsightService;
    stepper: C8yStepper;
    title: string;
    examples: BulkFileExample[];
    message: string;
    success: boolean;
    loadingError: boolean;
    pending: boolean;
    contextPath: string;
    result: BulkResult | BulkFailedResult;
    form: FormGroup<{}>;
    model: {};
    template: FormlyFieldConfig[];
    constructor(jsonschema: C8yJSONSchema, bulkExtensibleDeviceRegistrationService: BulkExtensibleDeviceRegistrationService, registerDeviceService: RegisterDeviceService, bsModalRef: BsModalRef, gainsightService: GainsightService);
    ngOnInit(): Promise<void>;
    upload(): Promise<void>;
    getFile(model: any): any;
    complete(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExtensibleBulkDeviceRegistrationModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ExtensibleBulkDeviceRegistrationModalComponent, "extensible-device-registration-modal-component", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=extensible-bulk-device-registration-modal.component.d.ts.map