import { OnInit } from '@angular/core';
import { C8yJSONSchema } from '@c8y/ngx-components';
import { ExtensibleDeviceRegistrationService } from './extensible-device-registration.service';
import { FormlyFieldConfig } from '@ngx-formly/core';
import { BsModalRef } from 'ngx-bootstrap/modal';
import * as i0 from "@angular/core";
export declare class ExtensibleDeviceRegistrationModalComponent implements OnInit {
    bsModalRef: BsModalRef;
    private jsonschema;
    private registrationService;
    title: string;
    loadingErrorMessage: string;
    pages: FormlyFieldConfig[][];
    labels: string[];
    contextPath: string;
    constructor(bsModalRef: BsModalRef, jsonschema: C8yJSONSchema, registrationService: ExtensibleDeviceRegistrationService);
    ngOnInit(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExtensibleDeviceRegistrationModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ExtensibleDeviceRegistrationModalComponent, "extensible-device-registration-modal", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=extensible-device-registration-modal.component.d.ts.map