import { OnInit } from '@angular/core';
import { C8yStepper, GainsightService } from '@c8y/ngx-components';
import { FormGroup } from '@angular/forms';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { ExtensibleDeviceRegistrationService } from './extensible-device-registration.service';
import { RegisterDeviceService } from '../../register-device.service';
import { FormlyFieldConfig } from '@ngx-formly/core';
import * as i0 from "@angular/core";
export declare class ExtensibleDeviceRegistrationStepperComponent implements OnInit {
    private customProviderService;
    private registerDeviceService;
    private bsModalRef;
    private gainsightService;
    message: string;
    errorMessage: string;
    pendingStatus: boolean;
    forms: FormGroup[];
    model: any;
    stepper: C8yStepper;
    contextPath: string;
    labels: string[];
    steps: FormlyFieldConfig[][];
    private readonly SERVER_ERROR;
    private readonly SUCCESSFUL_REGISTRATION;
    private readonly NO_CONNECTION;
    constructor(customProviderService: ExtensibleDeviceRegistrationService, registerDeviceService: RegisterDeviceService, bsModalRef: BsModalRef, gainsightService: GainsightService);
    ngOnInit(): void;
    save(): Promise<void>;
    close(): void;
    complete(): void;
    goToFirstStep(): void;
    isRegistrationStep(): boolean;
    finalStepStatus(): string;
    private handleError;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExtensibleDeviceRegistrationStepperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ExtensibleDeviceRegistrationStepperComponent, "c8y-extensible-device-registration-stepper", never, { "contextPath": { "alias": "contextPath"; "required": false; }; "labels": { "alias": "labels"; "required": false; }; "steps": { "alias": "steps"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=extensible-device-registration-stepper.component.d.ts.map