import { ApplicationService, FetchClient, IResult } from '@c8y/client';
import { AppStateService } from '@c8y/ngx-components';
import { BaseExtensibleDeviceRegistrationService } from '../base-extensible-device-registration.service';
import { ExtensibleDeviceRegistrationSchema } from './extensible-device-registration.model';
import { ExtensibleDeviceRegistrationProvider } from '../base-device-registration.model';
import * as i0 from "@angular/core";
export declare class ExtensibleDeviceRegistrationService extends BaseExtensibleDeviceRegistrationService {
    protected applicationService: ApplicationService;
    protected stateService: AppStateService;
    private client;
    constructor(applicationService: ApplicationService, stateService: AppStateService, client: FetchClient);
    getSchema(contextPath: string): Promise<ExtensibleDeviceRegistrationSchema>;
    getDeviceRegistrationProviders(): Promise<ExtensibleDeviceRegistrationProvider[]>;
    registerDevice(contextPath: string, model: any): Promise<IResult<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExtensibleDeviceRegistrationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ExtensibleDeviceRegistrationService>;
}
//# sourceMappingURL=extensible-device-registration.service.d.ts.map