import { RemoteAccessConfiguration, RemoteAccessProtocolProvider, RemoteAccessService } from '@c8y/ngx-components/remote-access/data';
import * as i0 from "@angular/core";
export declare class TelnetRemoteAccessProtocolProviderService implements RemoteAccessProtocolProvider {
    private remoteAccess;
    protocolName: string;
    protocolLabel: "Telnet";
    protocolDescription: "Allows to connect to a Telnet service.";
    protocolIcon: "laptop";
    constructor(remoteAccess: RemoteAccessService);
    getDefaultEndpointConfiguration(): Promise<Partial<RemoteAccessConfiguration>>;
    removeEndpoint(deviceId: string, currentEndpointConfig: RemoteAccessConfiguration): Promise<void>;
    connectEndpointHref(deviceId: string, configuration: RemoteAccessConfiguration): Promise<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TelnetRemoteAccessProtocolProviderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TelnetRemoteAccessProtocolProviderService>;
}
export declare const remoteAccessTelnetProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map