import { AfterViewInit, OnDestroy } from '@angular/core';
import { Terminal } from '@xterm/xterm';
import { RemoteAccessService } from '@c8y/ngx-components/remote-access/data';
import { ActivatedRoute } from '@angular/router';
import '@xterm/xterm/css/xterm.css';
import * as i0 from "@angular/core";
export declare class TerminalViewerComponent implements AfterViewInit, OnDestroy {
    private remoteAccess;
    private activatedRoute;
    title: string;
    container: HTMLElement | null;
    terminal: Terminal | null;
    socket: WebSocket | null;
    firstDeviceMessageReceived: boolean;
    readonly configurationId: string;
    readonly deviceId: string;
    protected observer: ResizeObserver;
    constructor(remoteAccess: RemoteAccessService, activatedRoute: ActivatedRoute);
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    toggleFullscreen(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TerminalViewerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TerminalViewerComponent, "c8y-terminal-viewer", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=terminal-viewer.component.d.ts.map