import { OnInit } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { RemoteAccessConfiguration } from '@c8y/ngx-components/remote-access/data';
import * as i0 from "@angular/core";
export declare class RemoteAccessVncEndpointModalComponent implements OnInit {
    private formBuilder;
    credentialTypes: ({
        readonly name: "NONE";
        readonly value: "NONE";
        readonly label: "No password";
    } | {
        readonly name: "PASS_ONLY";
        readonly value: "PASS_ONLY";
        readonly label: "Password only";
    })[];
    title: "Remote access endpoint";
    form: ReturnType<typeof this.initForm>;
    currentValue: Partial<RemoteAccessConfiguration>;
    result: Promise<Partial<{
        id: string;
        name: string;
        hostname: string;
        port: number;
        protocol: string;
        password: string;
        credentialsType: "PASS_ONLY" | "NONE";
    }>>;
    private _resolve;
    private _reject;
    constructor(formBuilder: FormBuilder);
    ngOnInit(): void;
    initForm(): import("@angular/forms").FormGroup<{
        id: import("@angular/forms").FormControl<string>;
        name: import("@angular/forms").FormControl<string>;
        hostname: import("@angular/forms").FormControl<string>;
        port: import("@angular/forms").FormControl<number>;
        protocol: import("@angular/forms").FormControl<string>;
        password: import("@angular/forms").FormControl<string>;
        credentialsType: import("@angular/forms").FormControl<"PASS_ONLY" | "NONE">;
    }>;
    cancel(): void;
    save(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RemoteAccessVncEndpointModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RemoteAccessVncEndpointModalComponent, "c8y-remote-access-vnc-endpoint-modal", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=remote-access-vnc-endpoint-modal.component.d.ts.map