import { IManagedObject } from '@c8y/client';
import { BottomDrawerRef, C8yStepper, Column, GridConfigContextProvider, ModalService, UserPreferencesGridConfigContext } from '@c8y/ngx-components';
import { DeviceGridService } from '@c8y/ngx-components/device-grid';
import { Observable } from 'rxjs';
import { ReplaceDeviceWizardService } from './replace-device-wizard.service';
import * as i0 from "@angular/core";
export declare class ReplaceDeviceWizardComponent implements GridConfigContextProvider {
    service: ReplaceDeviceWizardService;
    private deviceGridService;
    private modal;
    private drawerRef;
    private static readonly DEFAULT_VISIBLE_COLUMNS;
    REPLACE_DEVICE_STEP_STATES_MAP: import("./replace-device-wizard.model").ReplaceDeviceStepStatesMap;
    classes: string;
    stepper: C8yStepper;
    set deviceToReplace(deviceToReplace: IManagedObject);
    replacementDeviceId: string;
    baseQuery$: Observable<object>;
    columns: Column[];
    constructor(service: ReplaceDeviceWizardService, deviceGridService: DeviceGridService, modal: ModalService, drawerRef: BottomDrawerRef<ReplaceDeviceWizardComponent>);
    getGridConfigContext(): UserPreferencesGridConfigContext;
    replace(): Promise<void>;
    continue(): void;
    cancel(): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReplaceDeviceWizardComponent, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ReplaceDeviceWizardComponent, "c8y-replace-device-wizard", never, { "deviceToReplace": { "alias": "deviceToReplace"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=replace-device-wizard.component.d.ts.map