import { EventEmitter } from '@angular/core';
import { DeviceConfigurationListEmptyState, SupportedConfigurationItem } from '@c8y/ngx-components/repository/shared';
import * as i0 from "@angular/core";
export declare class DeviceConfigurationListComponent {
    items: SupportedConfigurationItem[];
    itemIcon: string;
    emptyState: DeviceConfigurationListEmptyState;
    isFilterEnabled: boolean;
    configSelected: EventEmitter<string>;
    selectedConfig: any;
    filterTerm: string;
    showConfigurationTypePreview(config: any): void;
    updatePipe(filterTerm: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceConfigurationListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DeviceConfigurationListComponent, "c8y-device-configuration-list", never, { "items": { "alias": "items"; "required": false; }; "itemIcon": { "alias": "itemIcon"; "required": false; }; "emptyState": { "alias": "emptyState"; "required": false; }; "isFilterEnabled": { "alias": "isFilterEnabled"; "required": false; }; }, { "configSelected": "configSelected"; }, never, never, false, never>;
}
//# sourceMappingURL=device-configuration-list.component.d.ts.map