import { IManagedObject, InventoryBinaryService } from '@c8y/client';
import { CellRendererContext } from '@c8y/ngx-components';
import { RepositoryService } from '../repository.service';
import * as i0 from "@angular/core";
export declare class FileCellRendererComponent {
    context: CellRendererContext;
    private inventoryBinaryService;
    private repositoryService;
    constructor(context: CellRendererContext, inventoryBinaryService: InventoryBinaryService, repositoryService: RepositoryService);
    isBinaryFile(): boolean;
    getBinaryName(configuration: IManagedObject): import("rxjs").Observable<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileCellRendererComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileCellRendererComponent, "c8y-file-cell-renderer", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=file.cell-renderer.component.d.ts.map