import { AlertService } from '@c8y/ngx-components';
import { RepositoryService } from '../repository.service';
import { InventoryBinaryService } from '@c8y/client';
import { LinkRenderType } from './link-render-type.enum';
import * as i0 from "@angular/core";
export declare class FileDownloadComponent {
    private repositoryService;
    private inventoryBinaryService;
    private alertService;
    url: string;
    linkRenderType: typeof LinkRenderType;
    isDownloading: boolean;
    constructor(repositoryService: RepositoryService, inventoryBinaryService: InventoryBinaryService, alertService: AlertService);
    getBinaryName$(binaryUrl: any): import("rxjs").Observable<string>;
    determineBehavior(): LinkRenderType;
    downloadFile(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileDownloadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileDownloadComponent, "c8y-file-download", never, { "url": { "alias": "url"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=file-download.component.d.ts.map