import { EventEmitter } from '@angular/core';
import { IManagedObject, IResultList } from '@c8y/client';
import { Router } from '@angular/router';
import { RouterService as C8yRouter } from '@c8y/ngx-components';
import { Observable, UnaryFunction } from 'rxjs';
import { SearchConfig } from './search-config.model';
import * as i0 from "@angular/core";
export declare class SearchActionComponent {
    private c8yRouter;
    private router;
    moduleConfig: SearchConfig;
    showAdvancedFilters: boolean;
    customPlaceholder: string;
    customQuery: UnaryFunction<string, Observable<IResultList<IManagedObject>>>;
    typeaheadReload: EventEmitter<any>;
    constructor(c8yRouter: C8yRouter, router: Router, moduleConfig: SearchConfig);
    triggerDataLoad(): void;
    onSearch(on: string): void;
    onFilter(on: string): void;
    onClick(mo: IManagedObject): void;
    private navigate;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchActionComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchActionComponent, "c8y-search-action", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=search-action.component.d.ts.map