import { InjectionToken } from '@angular/core';
export declare const SEARCH_CONFIG: InjectionToken<SearchConfig>;
/**
 * Configuration object of the SearchModule.
 */
export interface SearchConfig {
    /**
     * Allows to enable advanced filters.
     * Default value: true.
     */
    showAdvancedFilters?: boolean;
    /**
     * Allows a custom placeholder.
     * Default value: ''
     */
    placeholder?: string;
}
//# sourceMappingURL=search-config.model.d.ts.map