import { OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { SearchGridComponent } from './search-grid.component';
import { AlertService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class SearchResultsComponent implements OnDestroy {
    private route;
    private alert;
    filter: string;
    searchText: string;
    searchGrid: SearchGridComponent;
    filteringName: string;
    private readonly WARNING_TIMEOUT_TIME;
    private unsubscribe$;
    constructor(route: ActivatedRoute, alert: AlertService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    resetSearch(): void;
    resetFilter(): void;
    ngOnDestroy(): void;
    private onQueryParamsChange;
    private shouldFilter;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchResultsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchResultsComponent, "c8y-search-results", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=search-results.component.d.ts.map