import { DeviceRegistrationService, InventoryService } from '@c8y/client';
import { AppStateService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class SensorPhoneService {
    private ui;
    private inventoryService;
    private deviceRegistrationService;
    readonly HTTP_STATUS_CODE: {
        OK: number;
        CREATED: number;
    };
    private domainName;
    private tenantId;
    private PHONE_GROUP_FRAGMENT;
    private readonly PHONE_GROUP_NAME;
    constructor(ui: AppStateService, inventoryService: InventoryService, deviceRegistrationService: DeviceRegistrationService);
    getHost(): string;
    getTenantName(): string;
    getTenantId(): string;
    checkPhoneGroupExists(): Promise<any>;
    addPhoneGroup(): Promise<any>;
    createPhoneGroup(): Promise<import("@c8y/client").IManagedObject>;
    generateRegistrationData(deviceId: any): string;
    createPhoneRegistrationRequest(deviceId: any): Promise<void>;
    acceptPhoneRegistrationRequest(deviceId: any): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SensorPhoneService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SensorPhoneService>;
}
//# sourceMappingURL=sensor-phone.service.d.ts.map