import { IManagedObject } from '@c8y/client';
import { ConfirmModalComponent, GainsightService, ModalLabels, StatusType } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class UnassignModalComponent {
    private translateService;
    private gainsightService;
    CURRENT_LOCATION: string;
    asset: IManagedObject;
    modalRef: ConfirmModalComponent;
    message: string;
    closeSubject: Subject<boolean>;
    labels: ModalLabels;
    title: "Unassign";
    status: StatusType;
    constructor(translateService: TranslateService, gainsightService: GainsightService);
    ngOnInit(): void;
    ngAfterViewInit(): Promise<void>;
    onClose(): void;
    onDismiss(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UnassignModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UnassignModalComponent, "c8y-unassign-modal", never, { "asset": { "alias": "asset"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=unassign-modal.component.d.ts.map