import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ITenant, TenantService } from '@c8y/client';
import { ActivatedRoute } from '@angular/router';
import { AlertService, GainsightService } from '@c8y/ngx-components';
import { CustomPropertiesService, TenantCustomPropertyField } from '../custom-properties/custom-properties.service';
import * as i0 from "@angular/core";
export declare class CustomPropertiesComponent implements OnInit {
    private tenantService;
    private alertService;
    private activatedRoute;
    private customPropertiesService;
    private gainsightService;
    fieldDefinitions: TenantCustomPropertyField[];
    customPropsForm: FormGroup;
    tenant: ITenant | null;
    initialized: boolean;
    constructor(tenantService: TenantService, alertService: AlertService, activatedRoute: ActivatedRoute, customPropertiesService: CustomPropertiesService, gainsightService: GainsightService);
    ngOnInit(): Promise<void>;
    onSubmit(): Promise<void>;
    private loadTenantDetails;
    private applyValuesFromTenant;
    private getDirtyValues;
    private sendGainsightEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomPropertiesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomPropertiesComponent, "c8y-custom-properties", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=custom-properties.component.d.ts.map