import { TenantUiService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class TenantListGuard {
    private tenantUiService;
    private active;
    constructor(tenantUiService: TenantUiService);
    /**
     * Checks if tenant list should be active,
     * i.e. whether the current tenant can read other tenants.
     * **Note: the check is executed only once in the runtime.**
     *
     * @returns True, if the feature should be active.
     */
    canActivate(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<TenantListGuard, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TenantListGuard>;
}
//# sourceMappingURL=tenant-list.guard.d.ts.map