import { NavigatorNode, NavigatorNodeFactory } from '@c8y/ngx-components';
import { TenantListGuard } from './tenant-list/tenant-list.guard';
import { TenantsModuleConfig } from './tenants.model';
import * as i0 from "@angular/core";
export declare class TenantsNavigationFactory implements NavigatorNodeFactory {
    private tenantListGuard;
    private config;
    private navs;
    constructor(tenantListGuard: TenantListGuard, config: TenantsModuleConfig);
    get(): Promise<NavigatorNode[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TenantsNavigationFactory, [null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TenantsNavigationFactory>;
}
//# sourceMappingURL=tenants-navigation.factory.d.ts.map