import { aggregationType } from '@c8y/client';
import { DateTimeContext } from '@c8y/ngx-components';
import { Interval } from '@c8y/ngx-components/interval-picker';
import * as i0 from "@angular/core";
export declare class DatapointExplorerService {
    readonly DEFAULT_INTERVAL: Interval['id'];
    getDefaultContext(): {
        date: DateTimeContext;
        interval: "minutes" | "hours" | "days" | "weeks" | "months" | "custom";
        realtime: boolean;
        aggregation: aggregationType;
    };
    calculateAggregation([dateFrom, dateTo]: DateTimeContext, requestedAggregation: aggregationType | null): {
        selectedAggregation: aggregationType | null;
        disabledAggregations: Partial<Record<aggregationType, boolean>>;
    };
    getDateTimeContextByInterval(intervalId: Interval['id']): DateTimeContext;
    private getTimeRangeInMs;
    private validateTimeRanges;
    private getDisabledAggregations;
    private determineAggregation;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatapointExplorerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DatapointExplorerService>;
}
//# sourceMappingURL=time-context.service.d.ts.map