import { AlertService, AppStateService } from '@c8y/ngx-components';
import { EditorComponent } from '@c8y/ngx-components/editor';
import { TranslationStoreService } from '@c8y/ngx-components/translation-editor/data';
import type * as Monaco from 'monaco-editor';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class AdvancedTranslationEditorComponent {
    private appState;
    private translationStore;
    private alert;
    private translation;
    valueString: import("@angular/core").WritableSignal<string>;
    editorOptions: EditorComponent['editorOptions'];
    isLoading: import("@angular/core").WritableSignal<boolean>;
    isValidJSON: import("@angular/core").Signal<boolean>;
    JSONSchema: any;
    editorComponent: EditorComponent;
    availableLangs: string[];
    constructor(appState: AppStateService, translationStore: TranslationStoreService, alert: AlertService, translation: TranslateService);
    onValueChange(data: string): void;
    onEditorInit(_data: Monaco.editor.IStandaloneCodeEditor): void;
    refresh(): Promise<void>;
    importTranslationKeys(): Promise<void>;
    saveTranslations(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdvancedTranslationEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AdvancedTranslationEditorComponent, "c8y-advanced-translation-editor", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=advanced-translation-editor.component.d.ts.map