import { ElementRef } from '@angular/core';
import { CellRendererContext, Permissions } from '@c8y/ngx-components';
import { TranslationEditorComponent } from '../translation-editor/translation-editor.component';
import * as i0 from "@angular/core";
export declare class ManageTranslationCellRendererComponent {
    context: CellRendererContext;
    private permissions;
    private grid;
    private readonly FOCUS_RENDER_WAIT_TIME_IN_MS;
    isCellEditable: boolean;
    cellValue: string;
    cellInput: ElementRef;
    isCreateDisabled: boolean;
    constructor(context: CellRendererContext, permissions: Permissions, grid: TranslationEditorComponent);
    ngOnInit(): void;
    save(): Promise<void>;
    cancel(): void;
    editCell(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ManageTranslationCellRendererComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ManageTranslationCellRendererComponent, "c8y-manage-translation-cell-renderer", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=manage-translation-cell-renderer.component.d.ts.map