import { ReplaySubject } from 'rxjs';
export declare enum ViewContextLegacyParameter {
    Device = "deviceId",
    Group = "groupId",
    User = "userId",
    Application = "applicationId",
    Microservice = "applicationId",
    SubscribedApplications = "applicationId",
    Tenant = "tenantId",
    Service = "deviceId",// use 'deviceId' as parameter name so that device views (Measurements, Events, Alarms) can be reused for service
    Simulators = "deviceId"
}
declare function c8yViewsProvider($routeProvider: any, c8yTabsProvider: any, c8yPathUtils: any): {
    when: (path: any, cfg: any, runPhase: any) => any;
    $get(): {
        contextViews: ReplaySubject<unknown>;
        when(path: any, cfg: any): any;
        getByPath: (path: any) => any;
        prefixWithSlash: (path: any) => string;
    };
};
export { c8yViewsProvider };
//# sourceMappingURL=views.provider.d.ts.map