import { DynamicComponentErrorStrategy } from '@c8y/ngx-components';
export declare const dataPointsTableWidgetDefinition: {
    id: "Data points table";
    label: "Data points table";
    description: "A table display of a collection of data points";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/datapoints-table").DatapointsTableViewWidgetComponent>;
    loadConfigComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/datapoints-table").DatapointsTableWidgetConfigComponent>;
    previewImage: string;
    errorStrategy: DynamicComponentErrorStrategy.OVERLAY_ERROR;
    data: {
        schema: () => Promise<{
            default: typeof import("c8y-schema-loader?interfaceName=*");
            schema: import("json-schema").JSONSchema7;
        }>;
        settings: {
            noNewWidgets: false;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    noDeviceTarget: true;
                    minCol: number;
                    datapointAttributes: string[];
                };
            };
        };
        displaySettings: {
            globalAutoRefreshContext: true;
            globalTimeContext: true;
            globalRealtimeContext: false;
            globalAggregationContext: true;
        };
    };
};
export declare const dataPointsTableWidgetProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map