export declare const deviceManagementWelcomeWidgetDefinition: {
    id: "devicemanagement.welcome.widget";
    label: "Quick links";
    description: "Displays quick links for Device Management";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/device-management-welcome").WelcomeToDeviceManagementComponent>;
    previewImage: string;
    data: {
        settings: {
            noNewWidgets: false;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    noDeviceTarget: true;
                    groupsSelectable: false;
                };
            };
        };
    };
};
//# sourceMappingURL=index.d.ts.map