import { DynamicDatapointsResolver } from '@c8y/ngx-components';
export declare const radialGaugeWidgetDefinition: {
    id: "KPI Radial Gauge";
    label: "Radial gauge";
    description: "Shows the device measurements in a radial gauge.";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/info-gauge").InfoGaugeWidgetViewComponent>;
    loadConfigComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/info-gauge").InfoGaugeWidgetConfigComponent>;
    previewImage: string;
    resolve: {
        datapoints: typeof DynamicDatapointsResolver;
    };
    data: {
        schema: () => Promise<{
            default: typeof import("c8y-schema-loader?interfaceName=*");
            schema: import("json-schema").JSONSchema7;
        }>;
        settings: {
            noNewWidgets: false;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    noDeviceTarget: true;
                    groupsSelectable: false;
                };
            };
        };
    };
};
export declare const radialGaugeWidgetProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map