import { OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ApplicationService, TenantService } from '@c8y/client';
import { DocLink, DocsService, NavigatorService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class WelcomeToCockpitComponent implements OnInit, OnDestroy {
    private tenantService;
    private docs;
    private router;
    private navigator;
    private applicationService;
    config: any;
    welcomeMessage: any;
    quickLinks: Partial<DocLink>[];
    private readonly CONFIGURATION_NODE;
    private readonly TRIAL;
    private tenantType;
    private navNodes;
    private configurationNode;
    private links;
    private docsSubscription;
    private navSubscription;
    constructor(tenantService: TenantService, docs: DocsService, router: Router, navigator: NavigatorService, applicationService: ApplicationService);
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    private setMessage;
    private createQuicklinkAddGroup;
    private createConnectSmartphoneQuickLink;
    private createQuickLinkReports;
    private createQuickLinkExports;
    private createQuicklinkSmartRules;
    private createQuicklinkRegisterDevice;
    private createQuicklinkUserGuide;
    private isConfigChildNodeShown;
    private findNavigatorNode;
    static ɵfac: i0.ɵɵFactoryDeclaration<WelcomeToCockpitComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WelcomeToCockpitComponent, "c8y-welcome-to-cockpit", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=welcome.component.d.ts.map