import { OnChanges, SimpleChanges } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { ImageWidgetConfig, ImageWidgetStyle } from '../image-widget.model';
import { ImageWidgetService } from '../image-widget.service';
import * as i0 from "@angular/core";
export declare class ImageWidgetViewComponent implements OnChanges {
    private imageWidget;
    config: ImageWidgetConfig;
    imageBinaryId$: BehaviorSubject<string>;
    imageDetails$: Observable<{
        file: File;
        base64: string;
    }>;
    styling: ImageWidgetStyle | null;
    loading: boolean;
    constructor(imageWidget: ImageWidgetService);
    ngOnChanges(changes: SimpleChanges): void;
    private setStyling;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageWidgetViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageWidgetViewComponent, "c8y-image-widget-view", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=image-widget-view.component.d.ts.map