import { InventoryBinaryService } from '@c8y/client';
import { InventoryService } from '@c8y/client';
import { AlertService, FilesService } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import { ImageWidgetConfig, ImageWidgetStyle } from './image-widget.model';
import * as i0 from "@angular/core";
export declare class ImageWidgetService {
    private inventory;
    private fileService;
    private alert;
    private translate;
    private binary;
    constructor(inventory: InventoryService, fileService: FilesService, alert: AlertService, translate: TranslateService, binary: InventoryBinaryService);
    getImageDetails(imageBinaryId: string | null): Promise<{
        file: File;
        base64: string;
    }>;
    uploadFile(file: File, options?: {
        dashboardMoId?: string;
        isDeviceTypeDashboard?: boolean;
    }): Promise<string>;
    getStyling(config: ImageWidgetConfig): ImageWidgetStyle | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageWidgetService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ImageWidgetService>;
}
//# sourceMappingURL=image-widget.service.d.ts.map