import { OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { FormBuilder, NgForm } from '@angular/forms';
import type { DatapointAttributesFormConfig, DatapointSelectorModalOptions } from '@c8y/ngx-components/datapoint-selector';
import { WidgetConfigComponent } from '@c8y/ngx-components/context-dashboard';
import { OnBeforeSave } from '@c8y/ngx-components';
import { LinearGaugeWidgetConfig } from '../linear-gauge.model';
import * as i0 from "@angular/core";
export declare class LinearGaugeWidgetConfigComponent implements OnInit, OnBeforeSave {
    private formBuilder;
    private form;
    private widgetConfig;
    config: LinearGaugeWidgetConfig;
    formGroup: ReturnType<LinearGaugeWidgetConfigComponent['createForm']>;
    datapointSelectionConfig: Partial<DatapointSelectorModalOptions>;
    defaultFormOptions: Partial<DatapointAttributesFormConfig>;
    private limits;
    constructor(formBuilder: FormBuilder, form: NgForm, widgetConfig: WidgetConfigComponent);
    onBeforeSave(config?: LinearGaugeWidgetConfigComponent['config']): boolean | Promise<boolean> | Observable<boolean>;
    ngOnInit(): void;
    private initForm;
    private createForm;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinearGaugeWidgetConfigComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LinearGaugeWidgetConfigComponent, "c8y-linear-gauge-widget-config", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=linear-gauge-widget-config.component.d.ts.map