import { OnChanges } from '@angular/core';
import { Observable } from 'rxjs';
import { DynamicComponent, DynamicComponentAlertAggregator, DynamicComponentComponent, MeasurementRealtimeService, RangeDisplay } from '@c8y/ngx-components';
import { ContextDashboardComponent } from '@c8y/ngx-components/context-dashboard';
import { LinearGaugeWidgetConfig } from '../linear-gauge.model';
import * as i0 from "@angular/core";
export declare class LinearGaugeWidgetViewComponent implements OnChanges, DynamicComponent {
    private measurementRealtime;
    private dashboard;
    private dynamicComponent?;
    config: LinearGaugeWidgetConfig;
    rangeDisplayConfig$: Observable<RangeDisplay>;
    alerts: DynamicComponentAlertAggregator;
    private activeDatapoint$;
    constructor(measurementRealtime: MeasurementRealtimeService, dashboard: ContextDashboardComponent, dynamicComponent?: DynamicComponentComponent);
    ngOnChanges(): void;
    private getRangeDisplayConfig$;
    private assignContextFromContextDashboard;
    private getOrientation;
    private getErrorType;
    private isInRange;
    private updateAlertStatus;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinearGaugeWidgetViewComponent, [null, { optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LinearGaugeWidgetViewComponent, "c8y-linear-gauge-widget-view", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=linear-gauge-widget-view.component.d.ts.map