import { IManagedObject } from '@c8y/client';
import { ClusterMapConfig } from '@c8y/ngx-components/map';
import { GlobalAutoRefreshWidgetConfig, GlobalTimeContextWidgetConfig } from '@c8y/ngx-components';
export type MapRefreshOption = 'none' | 'realtime' | 'interval' | 'dashboard-auto-refresh-context' | 'dashboard-realtime-context';
export interface MapWidgetConfig extends GlobalTimeContextWidgetConfig, GlobalAutoRefreshWidgetConfig {
    device?: IManagedObject;
    mapConfig: ClusterMapConfig;
    widgetInstanceGlobalTimeContext?: boolean;
    widgetInstanceGlobalAutoRefreshContext?: boolean;
    realtime?: boolean;
    displaySettings?: {
        globalTimeContext: boolean;
        globalAutoRefreshContext: boolean;
        globalRealtimeContext: boolean;
    };
}
//# sourceMappingURL=map-widget.model.d.ts.map